const chalk = require("chalk");

module.exports = [
  {
    type: "String",
    name: "name",
    message: `${chalk.yellow("项目名称")}${chalk.grey("(不要全数字)")} :`,
    default: "my-work",
    validate: function(input) {
      if (/^\d+$/.test(input)) return false;

      return true;
    }
  },
  {
    type: "String",
    name: "git",
    message: chalk.yellow("git地址: "),
    validate: function(input) {
      if (input.trim() === "") return false;

      return true;
    }
  },
  {
    type: "String",
    name: "gitBranch",
    message: chalk.yellow("拉取的分支名: "),
    default: "master"
  },
  {
    type: "String",
    name: "distPath",
    message: chalk.yellow("原静态文件目录名: "),
    default: "dist"
  },
  {
    type: "rawlist",
    name: "type",
    message: chalk.yellow("渲染方式: "),
    choices: [
      {
        value: "static",
        name: "🐸  H5静态资源"
      },
      {
        value: "umiSsr",
        name: "🐝  umSSr渲染"
      },
      {
        value: "vueSsr",
        name: "🍎  vueSSr渲染"
      }
    ]
  },
  {
    type: "rawlist",
    name: "history",
    message: chalk.yellow("webpack中路由history模式: "),
    choices: [
      {
        value: "hash",
        name: "🍒  hash"
      },
      {
        value: "browser",
        name: "😾  browser"
      }
    ]
  },
  {
    type: "confirm",
    name: "install",
    message: `${chalk.yellow("是否帮你安装所有依赖")} :`,
    default: "Y"
  }
];
