 [简体中文](./README.zh-CN.md)

<h1 align="center">OYO CRS 1.0</h1>

- 预览: http://preview.pro.ant.design/index-cn
- 首页: http://pro.ant.design/index-cn
- 文档: http://pro.ant.design/docs/getting-started-cn
- 更新日志: http://pro.ant.design/docs/changelog-cn
- 常见问题: http://pro.ant.design/docs/faq-cn
- 进行提问: https://github.com/ant-design/ant-design-pro/issues
- Yarn: https://yarnpkg.com/zh-Hans/docs/usage

## 一、前序准备

你的本地环境需要安装 [node](http://nodejs.org/) 和 [git](https://git-scm.com/)。我们的技术栈基于 [ES2015+](http://es6.ruanyifeng.com/)、[React](http://facebook.github.io/react/)、[UmiJS](https://umijs.org/)、[dva](http://github.com/dvajs/dva)、[g2](https://antv.alipay.com/zh-cn/g2/3.x/index.html) 和 [antd](https://ant.design/docs/react/introduce-cn)。

More instructions at [documentation](http://pro.ant.design/docs/getting-started).


## 二、开发说明

下载代码。

```bash
$ git clone http://39.107.75.176/h5/crs.git crs
$ cd crs       
```

安装基础。

* 确保node版本是8.4或以上
* 用cnpm或yarn能节约你安装依赖的时间
> * [yarn文档](https://yarn.bootcss.com/docs/)
> * [从npm迁移到yarn](https://yarn.bootcss.com/docs/migrating-from-npm/)

* 安装yarn

```bash
npm install -g yarn
```

* 安装`package.json`依赖。

```bash
$ npm install
$ yarn install 或者 yarn
```

启动项目

  * 使用npm安装
  
  ```bash
  $ npm run start   # 访问 http://localhost:8000
  $ npm run lint    # 使用对应的安装命令去运行命令
  $ npm run dev     # 接口调用开发环境 no mock
  $ npm run test    # 接口调用测试环境 no mock

  ```

  * 使用yarn安装

  ```bash
  $ yarn run start  # 访问 http://localhost:8000
  $ yarn run lint   # 使用对应的安装命令去运行命令
  ```

## 三、目录结构

```bash
├── config                   # umi 配置，包含路由，构建等配置
├── mock                     # 本地模拟数据
├── public
│   └── favicon.png          # Favicon
├── src
│   ├── assets               # 本地静态资源
│   ├── components           # 业务通用组件
│   ├── e2e                  # 集成测试用例
│   ├── layouts              # 通用布局
│   ├── models               # 全局 dva model
│   ├── pages                # 业务页面入口和常用模板
│   ├── services             # 后台接口服务
│   ├── utils                # 工具库
│   ├── locales              # 国际化资源
│   ├── global.less          # 全局样式
│   └── global.js            # 全局 JS
├── tests                    # 测试工具
├── README.md
└── package.json
```

## 四、目录结构说明

```
- 新增订单
- 新增酒店
- 订单管理
  * 订单列表
    - 订单详情
    - 房单详情
    - 账单详情
    - 日志（V1.0.1）  
- 酒店信息（V1.0.1）
  * 基础信息
  * 房型管理
  * 房间管理
  * 基准价设置
  * 房价设置
- 渠道管理（仅一级目录）
  * 新增渠道
  * 设置渠道
- 价格策略（仅一级目录）
  * 新增全天价格策略
  * 新增时租价格策略
- 权限管理
  * 用户管理
  * 角色管理
```

## 五、UI约定说明

0. [layout](https://ant.design/docs/spec/layout-cn)

1. [color](https://ant.design/docs/spec/colors-cn)
 - 功能色：成功、出错、失败、提醒、链接，不做修改
 - theme：目前andt默认，后期统一修改一般符合OYO品牌形象的色调

2. size
  - button:default(即不设置)
   - [font-size与line-height](https://ant.design/docs/spec/font-cn)

| font-size|  line-height |
| :---: | :----:  |
| 12  |  20 |
| 14  | 22  |
| 16  | 24  |
| 20  | 28  |
| ...  | ...  |

3. icon
 - [antd icon](https://ant.design/components/icon-cn/)
 - [iconfont](http://iconfont.cn/home/index)

4. [message](https://ant.design/components/message-cn/)

```javascript
  message.success(content, [duration], onClose)
  message.error(content, [duration], onClose)
  message.info(content, [duration], onClose)
  message.warning(content, [duration], onClose)
  message.warn(content, [duration], onClose)
  message.loading(content, [duration], onClose)
```

5.[Modal](https://ant.design/components/message-cn/)

`新增xxx`用Modal

```javascript
  Modal.info
  Modal.success
  Modal.error
  Modal.warning
  Modal.confirm
```

## 六、Git工作流

 * 所有分支从`master`拉取。根据提测日来命名。如`feature-20180915`（项目负责人从`master`上开拉取），工程师本地开发分支，根据提测日来命名加上姓名。如`feature-20180915-liyi`(开发自己从`master`上开分支拉取)。联调前merge requst到`feature-20180915`上。
 * `master`，主分支，与线上版本同步。
 由当前`test`分支merge至`master`分支，再发布线上。
 * `test`，提交test环境（提测）分支。
 由当前`develop`分支merge至`test`分支，自动触发jenkins持续集成脚本，发布test环境服务器。
 * `develop`分支，提交dev环境分支。由当前`feature-20180915`分支merge至`develop`分支，自动触发jenkins持续集成脚本，发布dev环境服务器。
 * `feature`分支，个人所负责的需求分支，由当前master拉取。命名带上个人名字，需求描述。或者日期等。如`feature-20180915-liyi`
 * `fix`分支，线上紧急bug修复，不受发版日限制，可以直接打包发布测试环境，ok后再merge至master再发布。

  测试工作流：

    如：李雷有自己的feature，是`feature-20180915-xm`   韩梅梅分支是`feature-20180915-hmm`。两人都在0915日上测试环境。

    李雷在gitlab上，提一个merge request 至 `feature-20180915`。仔细看自己的changes，检查是否出现太的changes，非自己的changes需要留意。是否需求开发周期过长，导致个人分支落后master太多。建议这种情况先在个人开发分支 `git rebase master`，再提merge request。检查ok再merge。

    韩梅梅操作一致。如遇到冲突。建议先本地merge master再提merge request。建议不要在gitlab上解决冲突（会直接merge develop分支至自己的开发分支）。 还有冲突就要找到对应的人。解决冲突。

    所有feature分支ok后。再打包发布测试环境

  发版工作流：
    `test`分支经过测试ok后。直接merge到`master`。

  注意：所有分支 都基于master拉取。开发周期过长。请先merge master至本地。




## 七、相关文档说明

* [宙斯CRS1.0 PRD](https://pro.modao.cc/app/8cff22d02acccef8aab335d570cb977a8cf0f73a#screen=sB992E20F4B1534229026573)
* [宙斯CRS1.0 API](https://www.showdoc.cc/web/#/148767637991522?page_id=845660440880593)

## 八、编码约定和指南
 * [Ant Design 实战教程（Beta版）](https://www.yuque.com/ant-design/course)
 * [CSS Module](https://github.com/css-modules/css-modules)


## 九、菜单（路由）新增流程
* src/constant/menu.js 定义code 与 菜单文案以及uri（新增需主动同步至后端。用于后端下发菜单权限处理）。
* config/router.config.js 定义每个路由的code值。用于在后端下发code list后的权限判断。
* 自己mock时。则在/mock/user.js   ‘POST /api/crs/v1/account/token/getMenu’ 新增对应code

## 十、fetch用法

* `fetch.js`对外暴露两个`API`
   * `authFetch`, 在header与body添加token
   * `fetch`

* 用法实例：

业务error 与网路error都走 catch。如果业务层需要处理error，需try  catch
```javascript
// service
authFetch(`/api/crs/v1/token/getAccount`,{
    params,       // 需上行的参数
    method:'POST' // 默认GET,可不传
  });
```

```javascript
// model
 try {
        response = yield call(getUserInfo, payload);
      } catch (error) {
        // 消息体
        console.log(error.response);
        //;
      }
```
