export default [
  // user
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        path: '/user',
        redirect: '/',
      },
      {
        path: '/user/login',
        component: './User/Login',
        redirect: '/',
      },
      {
        path: '/user/register',
        component: './User/Register',
      },
      {
        path: '/user/register-result',
        component: './User/RegisterResult',
      },
      {
        path: '/user/resetPass',
        component: './User/ResetPass',
      },

      {
        path: '/user/setNewPass',
        component: './User/SetNewPass',
      },
    ],
  },
  // app
  {
    path: '/',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/',
        component: './Home/Home',
      },
      {
        name: 'exception',
        icon: 'warning',
        path: '/exception',
        hideInMenu: true,
        routes: [
          // exception
          {
            path: '/exception/403',
            name: 'not-permission',
            component: './Exception/403',
          },
          {
            path: '/exception/404',
            name: 'not-find',
            component: './Exception/404',
          },
          {
            path: '/exception/500',
            name: 'server-error',
            component: './Exception/500',
          },
          {
            path: '/exception/trigger',
            name: 'trigger',
            hideInMenu: true,
            component: './Exception/TriggerException',
          },
        ],
      },
      {
        name: 'hotelManage',
        icon: 'file-add',
        path: '/hotel',
        code: 'CRS7',
        Routes: ['src/pages/RouterAuthorized'],
        routes: [
          {
            name: 'hotelList',
            path: '/hotel/list',
            component: './Hotel/HotelList/index',
            code: 'CRS7.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'customerService', // 客服评论录入
            icon: 'file-add',
            path: '/hotel/customerService',
            hideInMenu: true,
            component: './Hotel/CustomerService/CustomerService',
            code: 'CRS3.1.3',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'batchUpload',
            path: '/hotel/batchUpload',
            component: './Hotel/BatchUpload/index.tsx',
            code: 'CRS7.1.4',
            hideInMenu: true,
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'hotelCreateEdit',
            path: '/hotel/hotelCreateEdit',
            hideInMenu: true,
            code: 'CRS7.2',
            Routes: ['src/pages/RouterAuthorized'],

            routes: [
              {
                name: 'basicInfoDetail',
                path: '/hotel/hotelCreateEdit/basicInfoDetail',
                component: './Hotel/HotelCreateEdit/BasiciInfoDetail',
                code: 'CRS7.2.1.1',
                Routes: ['src/pages/RouterAuthorized'],
              },

              {
                name: 'hotelCreateEdit',
                path: '/hotel/hotelCreateEdit/index',
                component: './Hotel/HotelCreateEdit/index',
                code: 'CRS7.2',
                Routes: ['src/pages/RouterAuthorized'],
              },
              // 查看签约房态
              {
                name: 'hotelRoomStatusType',
                path: '/hotel/hotelCreateEdit/hotelRoomStatusType',
                component: './Hotel/HotelCreateEdit/ViewRoomStatusType',
                code: 'CRS7.2',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'housePicHandler',
                path: '/hotel/hotelCreateEdit/housePicHandler',
                component: './Hotel/HotelCreateEdit/HousePicHandler/index',
                code: 'CRS7.2', // CRS7.2.1.3
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'houseFacilities',
                path: '/hotel/hotelCreateEdit/houseFacilities',
                code: 'CRS7.2.3',

                Routes: ['src/pages/RouterAuthorized'],
                routes: [
                  {
                    path: '/hotel/hotelCreateEdit/houseFacilities',
                    redirect: '/hotel/list',
                  },
                  {
                    name: 'list',
                    path: '/hotel/hotelCreateEdit/houseFacilities/list',
                    component: './Hotel/HotelCreateEdit/HouseFacilities/index',
                    code: 'CRS7.2.3',
                    Routes: ['src/pages/RouterAuthorized'],
                  },
                  {
                    name: 'query',
                    path: '/hotel/hotelCreateEdit/houseFacilities/query',
                    component: './Hotel/HotelCreateEdit/HouseFacilities/Update',
                    code: 'CRS7.2.3.2',
                    Routes: ['src/pages/RouterAuthorized'],
                  },
                  {
                    name: 'update',
                    path: '/hotel/hotelCreateEdit/houseFacilities/update',
                    component: './Hotel/HotelCreateEdit/HouseFacilities/Update',
                    code: 'CRS7.2.3.1',
                    Routes: ['src/pages/RouterAuthorized'],
                  },
                ],
              },
            ],
          },
          {
            name: 'hotelCommentTag', // 酒店标签列表
            path: '/hotel/hotelCommentTag',
            component: './Hotel/HotelCommentTag/index',
            code: 'CRS7.3',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'hotelCreate',
            path: '/hotel/create',
            component: './HotelCreate/Create',
            code: 'CRS7.5',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'batchAssociate',
            path: '/hotel/batchAssociate',
            component: './Hotel/BatchAssociate/index.tsx',
            code: 'CRS7.7',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'commentManage',
            path: '/hotel/commentManage',
            component: './Hotel/CommentManage/index',
            code: 'CRS7.10',
          },
          {
            name: 'nearby',
            path: '/hotel/nearby',
            component: './Hotel/Nearby',
            code: 'CRS7.8',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'basePrice',
            path: '/hotel/basePrice',
            component: './Hotel/BasePrice',
            code: 'CRS7.11',
          },
          {
            name: 'hotelRoomChange',
            path: '/hotel/hotelRoomChange',
            component: './Hotel/HotelRoomChange/index.tsx',
            code: 'CRS7.9',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'hotelWifi',
            path: '/hotel/hotelWifi',
            component: './Hotel/HotelWifis/index',
            code: 'CRS7.12',
            Routes: ['src/pages/RouterAuthorized'],
          },
        ],
      },
      {
        name: 'order',
        icon: 'file-text',
        path: '/order',
        code: 'CRS3',
        Routes: ['src/pages/RouterAuthorized'],

        routes: [
          {
            path: '/order',
            redirect: '/order/list',
            icon: 'file-add',
            code: 'CRS3.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'create',
            path: '/order/create',
            component: './Order/Create',
            code: 'CRS3.6',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/list',
            name: 'list',
            component: './Order/List',
            code: 'CRS3.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/detail',
            name: 'detail',
            component: './Order/Detail',
            hideInMenu: true,
            hideChildrenInMenu: true,
            code: 'CRS3.2',
            Routes: ['src/pages/RouterAuthorized'],

            routes: [
              {
                path: '/order/detail/',
                redirect: '/order/detail/order',
              },
              {
                path: '/order/detail/order',
                name: 'order',
                component: './Order/Order',
                code: 'CRS3.2.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                path: '/order/detail/room',
                name: 'room',
                component: './Order/Room',
                code: 'CRS3.2.2',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                path: '/order/detail/bill',
                name: 'bill',
                component: './Order/Bill',
                code: 'CRS3.2.3',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                path: '/order/detail/journal',
                name: 'journal',
                component: './Order/Journal',
                code: 'CRS3.2.4',
                Routes: ['src/pages/RouterAuthorized'],
              },
            ],
          },
          {
            path: '/order/supplement',
            name: 'supplement',
            component: './Order/Supplement',
            code: 'CRS3.3',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/complaint',
            name: 'complaint',
            component: './Order/Complaint',
            code: 'CRS3.4',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/daily',
            name: 'daily',
            component: './Order/Daily',
            code: 'CRS3.8',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/errorHandle',
            name: 'errorHandle',
            component: './Order/ErrorHandle.tsx',
            code: 'CRS3.7',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/handleExceptionTask',
            name: 'handleExceptionTask',
            component: './Order/HandleExceptionTask',
            hideInMenu: true,
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/preventCID',
            name: 'preventCID',
            component: './Order/PreventCID/index',
            code: 'CRS3.9',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/order/highBooking',
            name: 'highBooking',
            component: './Order/highBooking/index.tsx',
            code: 'CRS3.10',
            Routes: ['src/pages/RouterAuthorized'],
          },
        ],
      },
      {
        name: 'channel',
        icon: 'share-alt',
        path: '/channel',
        code: 'CRS6',
        Routes: ['src/pages/RouterAuthorized'],

        routes: [
          {
            path: '/channel',
            redirect: '/channel/list',
            Routes: ['src/pages/RouterAuthorized'],
            code: 'CRS6.1',
          },
          {
            path: '/channel/list',
            name: 'list',
            component: './Channel/List',
            code: 'CRS6.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
        ],
      },
      {
        name: 'price',
        icon: 'money-collect',
        path: '/price',
        code: 'CRS4',
        Routes: ['src/pages/RouterAuthorized'],
        routes: [
          {
            path: '/price',
            redirect: '/price/list',
          },
          {
            path: '/price/list',
            name: 'list',
            component: './Price/List',
            code: 'CRS4.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/price/create',
            name: 'create',
            hideInMenu: true,
            component: './Price/AddStrategy',
            code: 'CRS4.2',
            Routes: ['src/pages/RouterAuthorized'],
          },
        ],
      },
      // {
      //   name: 'performance',
      //   path: '/performance',
      //   component: './Performance/index',
      //   hideInMenu: true,
      // },
      {
        name: 'permission',
        icon: 'lock',
        path: '/permission',
        code: 'CRS5',
        Routes: ['src/pages/RouterAuthorized'],

        routes: [
          {
            path: '/permission',
            redirect: '/permission/user',
            code: 'CRS5.2',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/permission/roleAdd',
            name: 'roleAdd',
            component: './Permission/RoleAddEdit',
            code: 'CRS5.1.2',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },
          {
            path: '/permission/roleEdit',
            name: 'roleEdit',
            component: './Permission/RoleAddEdit',
            code: 'CRS5.1.1',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },
          {
            path: 'role',
            name: 'role',
            component: './Permission/Role',
            code: 'CRS5.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            path: '/permission/query',
            name: 'roleQuery',
            component: './Permission/RoleAddEdit',
            code: 'CRS5.1.3',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },

          {
            path: '/permission/user',
            name: 'user',
            component: './Permission/User',
            code: 'CRS5.2',
            Routes: ['src/pages/RouterAuthorized'],
          },

          {
            path: '/permission/user/userAdd',
            name: 'userAdd',
            component: './Permission/UserAddEdit',
            code: 'CRS5.2.2',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },
          {
            path: '/permission/user/userEdit',
            name: 'userEdit',
            component: './Permission/UserAddEdit',
            code: 'CRS5.2.1',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },
          {
            path: '/permission/user/userInfo',
            name: 'userInfo',
            component: './Permission/UserAddEdit',
            code: 'CRS5.2.3',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },
          {
            path: '/permission/user/batchAdd',
            name: 'batchAdd',
            component: './Permission/BatchAdd.tsx',
            code: 'CRS5.2.8',
            Routes: ['src/pages/RouterAuthorized'],
            hideInMenu: true,
          },
        ],
      },
      // PMS运营管理
      {
        name: 'notice',
        icon: 'schedule',
        path: '/notice',
        code: 'CRS13',

        Routes: ['src/pages/RouterAuthorized'],
        routes: [
          {
            path: '/notice',
            redirect: '/notice/noticeList',
          },
          // 通知公告
          {
            name: 'noticeList',
            path: '/notice/noticeList',
            component: './Notice/NoticeList/NoticeList.js',
            code: 'CRS13.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          // 上传

          {
            name: 'upload',
            path: '/notice/upload',
            component: './Notice/HotelUpload/index.jsx',
            code: 'CRS13.2',
            Routes: ['src/pages/RouterAuthorized'],
          },

          // 管理PMS应用 添加
          {
            name: 'managePmsApp',
            path: '/notice/managePmsApp',
            component: './Notice/ManagePmsApp/index.js',
            code: 'CRS13.6',
            Routes: ['src/pages/RouterAuthorized'],
          },
          // HMI配置
          // {
          //   name: 'HMIConfigure',
          //   path: '/notice/HMIConfigure',
          //   component: './Notice/HMIConfigure/index.js',
          //   code: 'CRS13.5',
          //   code: 'CRS13.4',
          //   Routes: ['src/pages/RouterAuthorized'],
          // },
          // PMS酒店功能配置
          {
            name: 'PMSFuncConfigure',
            path: '/notice/PMSFuncConfigure',
            component: './Notice/PMSFuncConfigure/index.jsx',
            code: 'CRS13.3',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'doorLock',
            path: '/notice/doorLock',
            component: './Notice/DoorLock/index',
            code: 'CRS13.4',
            Routes: ['src/pages/RouterAuthorized'],
          },
          // HMI配置
          {
            name: 'HMIConfigure',
            path: '/notice/HMIConfigure',
            component: './Notice/HMIConfigure/index.js',
            code: 'CRS13.5',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'whiteList',
            path: '/notice/whiteList',
            component: './Notice/WhiteList/index',
            code: 'CRS13.7',
          },
        ],
      },
      {
        name: 'equipment',
        icon: 'schedule',
        path: '/equipment',
        code: 'CRS14',
        Routes: ['src/pages/RouterAuthorized'],
        routes: [
          {
            name: 'IDCardDeviceLog',
            path: '/equipment/IDCardDeviceLog',
            component: './DeviceCenter/IDCardDeviceLog',
            code: 'CRS14.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'dataDashboard',
            path: '/equipment/dataDashboard',
            component: './Equipment/DataDashboard',
            code: 'CRS13.1',
            Routes: ['src/pages/RouterAuthorized'],
          },
          {
            name: 'dataDashboardDetail',
            path: '/equipment/dataDashboard',
            code: 'CRS13.1',
            hideInMenu: true,
            Routes: ['src/pages/RouterAuthorized'],
            routes: [
              {
                name: 'equipmentMonitor',
                path: '/equipment/dataDashboard/equipmentMonitor',
                component: './Equipment/DataDashboard/SmartDoorLock/components/EquipmentMonitor',
                code: 'CRS13.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'equipmentMonitorDetail',
                path: '/equipment/dataDashboard/equipmentMonitorDetail',
                component:
                  './Equipment/DataDashboard/SmartDoorLock/components/EquipmentMonitorDetail',
                code: 'CRS13.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'hardwareMonitor',
                path: '/equipment/dataDashboard/hardwareMonitor',
                component: './Equipment/DataDashboard/SmartDoorLock/components/HardwareMonitor',
                code: 'CRS13.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'hardwareMonitorDetail',
                path: '/equipment/dataDashboard/hardwareMonitorDetail',
                component:
                  './Equipment/DataDashboard/SmartDoorLock/components/HardwareMonitorDetail',
                code: 'CRS13.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'profitMonitor',
                path: '/equipment/dataDashboard/profitMonitor',
                component: './Equipment/DataDashboard/SmartDoorLock/components/ProfitMonitor',
                code: 'CRS13.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
              {
                name: 'profitMonitorDetail',
                path: '/equipment/dataDashboard/profitMonitorDetail',
                component: './Equipment/DataDashboard/SmartDoorLock/components/ProfitMonitorDetail',
                code: 'CRS13.1',
                Routes: ['src/pages/RouterAuthorized'],
              },
            ],
          },
          // 设备中心
          // {
          //   name: 'deviceCenter',
          //   icon: 'appstore',
          //   path: '/deviceCenter',
          //   code: 'CRS14',
          //   routes: [
          //     {
          //       name: 'IDCardDeviceLog',
          //       path: '/deviceCenter/IDCardDeviceLog',
          //       component: './DeviceCenter/IDCardDeviceLog',
          //       code: 'CRS14.1',
          //       Routes: ['src/pages/RouterAuthorized'],
          //     },
          //   ],
          // },
        ],
      },
      // {
      //   name: 'basicInfo',
      //   icon: 'file-add',
      //   path: '/basicInfo',
      //   code: 'CRS7',
      //   Routes: ['src/pages/RouterAuthorized'],
      //   routes: [
      //     {
      //       name: 'basicInfo',
      //       icon: 'file-add',
      //       path: '/basicInfo/index',
      //       component: './BasicInfo/index',
      //       code: 'CRS7',
      //       Routes: ['src/pages/RouterAuthorized'],
      //     },
      //     {
      //       name: 'salesmanDetail',
      //       icon: 'file-add',
      //       path: '/basicInfo/salesmanDetail',
      //       component: './BasicInfo/SalesmanDetail',
      //       code: 'CRS7',
      //       Routes: ['src/pages/RouterAuthorized'],
      //     },
      //     {
      //       name: 'salesmanSet',
      //       icon: 'file-add',
      //       path: '/basicInfo/salesmanSet',
      //       component: './BasicInfo/SalesmanSet',
      //       code: 'CRS7',
      //       Routes: ['src/pages/RouterAuthorized'],
      //     },
      //   ],
      // },
    ],
  },
];
