// 代码中会兼容本地 service mock 以及部署站点的静态数据
export default {
  'POST /api/crs/v1/hotel/updateHotelBaseInfo': {
    code: '000',
    msg: '成功',
  },
  'GET /channel/hotelCommission': {
    code: '000',
    data: [
      {
        applyType: 1,
        channelName: '酒店上线流程自测',
        value: 50,
        channelId: 1,
        status: 1,
      },
      {
        applyType: 1,
        channelName: '酒店上线流程自测',
        value: 50,
        channelId: 55,
        status: 1,
      },
      {
        applyType: 0,
        channelName: '酒店上线流程自测2',
        value: 500,
        channelId: 56,
        status: 1,
      },
      {
        applyType: 0,
        channelName: 'OTA渠道',
        value: 500,
        channelId: 60,
        status: 1,
      },
    ],
    msg: '成功',
  },
  'GET /api/crs/v1/hotel/getHotelBaseInfo': {
    code: '000',
    msg: '成功',
    data: {
      id: 17782,
      name: 'OYO 8005 莲之香酒店',
      alternateName: '深圳莲之香商务酒店',
      oyoId: 'CN_SZX004',
      description:
        "<p><b>Facilities</b></p>Located in the heart of Shenzhen, OYO 8005  promises a great experience to the guests at affordable rates. The well trained and friendly staff of OYO maintains the property and ensures your stay is smooth.</p><p><strong>Facilities</strong></p><ul><li>The property offers AC, Geyser, TV and more.</li><li>To ensure the safety of guests, the hotel provides facilities like fire safety, first aid and round the clock security.</li><li>To provide further assistance to our guests, we have a 24-hour helpdesk on our property.</li></ul><p><strong>What's Nearby</strong></p><ul></ul>",
      email: 'rudy.sun@oyorooms.com',
      phone: '+8675526034593',
      landmark: '百旺大厦',
      street: '深圳南山区西丽街道沙河西路白芒村南1号百旺大厦',
      createTime: '2018-09-19 14:33:55',
      countryName: '中国',
      stateName: 'Guangdong',
      cityName: 'Shenzhen',
      clusterName: 'Nanshan',
      pincode: 518000,
      latitude: '22.627603',
      longitude: '113.946176',
      primaryContact: '+8675526034593',
      managerName: 'Sury',
      totalRooms: 1813,
      uniqueCode: '8005',
      checkinTime: '14:00',
      checkoutTime: '12:00',
      channelCommissionList: [
        {
          channelId: 55,
          channelName: '酒店上线流程自测',
          applyType: 1,
          value: 50,
          status: 1,
        },
        {
          channelId: 56,
          channelName: '酒店上线流程自测2',
          applyType: 0,
          value: 500,
          status: 1,
        },
      ],
    },
  },
  'GET /api/crs/v1/roomType/getAllOyoRoomType': {
    code: '000',
    data: [
      {
        roomTypeCode: 'SK',
        roomTypeName: '标准大床房 ',
        roomTypeId: 20,
      },
      {
        roomTypeCode: 'DK',
        roomTypeName: '豪华大床房',
        roomTypeId: 26,
      },
      {
        roomTypeCode: 'DKS',
        roomTypeName: '豪华大床套房',
        roomTypeId: 27,
      },
      {
        roomTypeCode: 'MK',
        roomTypeName: '麻将大床房',
        roomTypeId: 28,
      },
      {
        roomTypeCode: 'SD',
        roomTypeName: '标准双床房',
        roomTypeId: 29,
      },
      {
        roomTypeCode: 'DD',
        roomTypeName: '豪华双床房',
        roomTypeId: 30,
      },
      {
        roomTypeCode: 'DDS',
        roomTypeName: '豪华双床套房',
        roomTypeId: 31,
      },
      {
        roomTypeCode: 'MD',
        roomTypeName: '麻将双床房',
        roomTypeId: 32,
      },
      {
        roomTypeCode: 'TR',
        roomTypeName: '三人房',
        roomTypeId: 33,
      },
      {
        roomTypeCode: 'THR',
        roomTypeName: '主题房',
        roomTypeId: 34,
      },
      {
        roomTypeCode: 'abc',
        roomTypeName: '测试房型',
        roomTypeId: 35,
      },
      {
        roomTypeCode: 'SPD',
        roomTypeName: '特惠双床房',
        roomTypeId: 36,
      },
      {
        roomTypeCode: 'SPK',
        roomTypeName: '特惠大床房',
        roomTypeId: 37,
      },
    ],
    msg: '成功',
  },
  'GET /api/crs/v1/roomType/getSellRoomTypeList': {
    code: '000',
    data: [
      {
        saleRoomTypeId: 1,
        saleRoomTypeName: '豪华双人间',
      },
      {
        saleRoomTypeId: 2,
        saleRoomTypeName: '五一大床房',
      },
      {
        saleRoomTypeId: 3,
        saleRoomTypeName: '临海xxx房',
      },
      {
        saleRoomTypeId: 4,
        saleRoomTypeName: '临火山xxx房',
      },
    ],
    msg: '成功',
  },
  'GET /api/crs/v1/channel/getAllValidatedChannel': {
    code: '000',
    msg: '成功',
    data: [
      {
        channelId: 1,
        channelName: '不试了1',
        channelCode: 'BookingSource_0001',
      },
      {
        channelId: 55,
        channelName: '不试了55',
        channelCode: 'BookingSource_0055',
      },
      {
        channelId: 56,
        channelName: '不试了56',
        channelCode: 'BookingSource_0056',
      },
      {
        channelId: 60,
        channelName: '不试了60',
        channelCode: 'BookingSource_0060',
      },
    ],
  },
  'GET /api/crs/v1/roomType/roomTypeBindRateCodes': {
    code: '000',
    msg: '成功',
    data: null,
  },
  'GET /api/crs/v1/roomType/getRoomTypeRateCodeList': {
    code: '000',
    data: [
      {
        rateCodeId: 1000,
        description: '七夕专享',
        rateCodeName: '七夕专享',
      },
      {
        rateCodeId: 20000,
        description: '情人节加价两倍',
        rateCodeName: '情人节打折',
      },
      {
        rateCodeId: 30000,
        description: '会员专享8折',
        rateCodeName: '会员专享',
      },
      {
        rateCodeId: 4,
        description: '连住5天打9折',
        rateCodeName: '连住5天专享',
      },
      {
        rateCodeId: 5,
        description: '默认门市价',
        rateCodeName: '门市价',
      },
    ],
    msg: '成功',
  },
  'GET /roomType/getSellRoomTypeList': (req, res) => {
    const result = {
      code: '000',
      data: [
        {
          saleRoomTypeId: 1,
          saleRoomTypeName: '豪华双人间',
        },
        {
          saleRoomTypeId: 2,
          saleRoomTypeName: '五一大床房',
        },
        {
          saleRoomTypeId: 3,
          saleRoomTypeName: '临海xxx房',
        },
        {
          saleRoomTypeId: 4,
          saleRoomTypeName: '临火山xxx房',
        },
      ],
      msg: '成功',
    };
    return res.json(result);
  },
  'GET /roomType/getAllOyoRoomType': (req, res) => {
    const result = {
      code: '000',
      data: [
        {
          roomTypeCode: 'SK',
          roomTypeName: '标准大床房 ',
          roomTypeId: 20,
        },
        {
          roomTypeCode: 'DK',
          roomTypeName: '豪华大床房',
          roomTypeId: 26,
        },
        {
          roomTypeCode: 'DKS',
          roomTypeName: '豪华大床套房',
          roomTypeId: 27,
        },
        {
          roomTypeCode: 'MK',
          roomTypeName: '麻将大床房',
          roomTypeId: 28,
        },
        {
          roomTypeCode: 'SD',
          roomTypeName: '标准双床房',
          roomTypeId: 29,
        },
        {
          roomTypeCode: 'DD',
          roomTypeName: '豪华双床房',
          roomTypeId: 30,
        },
        {
          roomTypeCode: 'DDS',
          roomTypeName: '豪华双床套房',
          roomTypeId: 31,
        },
        {
          roomTypeCode: 'MD',
          roomTypeName: '麻将双床房',
          roomTypeId: 32,
        },
        {
          roomTypeCode: 'TR',
          roomTypeName: '三人房',
          roomTypeId: 33,
        },
        {
          roomTypeCode: 'THR',
          roomTypeName: '主题房',
          roomTypeId: 34,
        },
        {
          roomTypeCode: 'abc',
          roomTypeName: '测试房型',
          roomTypeId: 35,
        },
        {
          roomTypeCode: 'SPD',
          roomTypeName: '特惠双床房',
          roomTypeId: 36,
        },
        {
          roomTypeCode: 'SPK',
          roomTypeName: '特惠大床房',
          roomTypeId: 37,
        },
      ],
      msg: '成功',
    };
    return res.json(result);
  },
  'GET /roomType/roomTypeListWithRateCode': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: [
        {
          roomTypeId: 1,
          roomTypeName: '标准双人间',
          rateCodeList: [
            {
              rateCodeName: null,
              rateCodeDesc: null,
              channelList: ['酒店上线流程自测'],
            },
            {
              rateCodeName: '会员专享',
              rateCodeDesc: '会员专享8折',
              channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
            },
            {
              rateCodeName: '连住5天专享',
              rateCodeDesc: '连住5天打9折',
              channelList: ['酒店上线流程自测2'],
            },
            {
              rateCodeName: '门市价',
              rateCodeDesc: '默认门市价',
              channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
            },
          ],
        },
        {
          roomTypeId: 2,
          roomTypeName: '标准大床房',
          rateCodeList: [
            {
              rateCodeName: '七夕专享',
              rateCodeDesc: '七夕专享',
              channelList: ['酒店上线流程自测'],
            },
            {
              rateCodeName: null,
              rateCodeDesc: null,
              channelList: ['酒店上线流程自测'],
            },
            {
              rateCodeName: '会员专享',
              rateCodeDesc: '会员专享8折',
              channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
            },
            {
              rateCodeName: '连住5天专享',
              rateCodeDesc: '连住5天打9折',
              channelList: ['酒店上线流程自测2'],
            },
            {
              rateCodeName: '门市价',
              rateCodeDesc: '默认门市价',
              channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
            },
          ],
        },
        {
          roomTypeId: 3,
          roomTypeName: '豪华大床房',
          rateCodeList: [
            {
              rateCodeName: '七夕专享',
              rateCodeDesc: '七夕专享',
              channelList: ['酒店上线流程自测'],
            },
            {
              rateCodeName: null,
              rateCodeDesc: null,
              channelList: ['酒店上线流程自测'],
            },
            {
              rateCodeName: '会员专享',
              rateCodeDesc: '会员专享8折',
              channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
            },
            {
              rateCodeName: '连住5天专享',
              rateCodeDesc: '连住5天打9折',
              channelList: ['酒店上线流程自测2'],
            },
            {
              rateCodeName: '门市价',
              rateCodeDesc: '默认门市价',
              channelList: ['酒店上线流程自测', '酒店上线流程自测2'],
            },
          ],
        },
      ],
    };
    return res.json(result);
  },
  'GET /roomType/getHotelBindRoomTypeList': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: [
        {
          oyoRoomTypeId: 1,
          oyoRoomTypeName: '标准双人间',
          saleRoomTypeId: 1,
          saleRoomTypeName: 'AAA大床房',
          roomCount: 186,
          roomLevel: null,
          isValid: null,
        },
        {
          oyoRoomTypeId: 2,
          oyoRoomTypeName: '标准大床房',
          saleRoomTypeId: 2,
          saleRoomTypeName: 'BBB大床房',
          roomCount: 99,
          roomLevel: null,
          isValid: null,
        },
        {
          oyoRoomTypeId: 3,
          oyoRoomTypeName: '豪华大床房',
          saleRoomTypeId: 3,
          saleRoomTypeName: 'CCC大床房',
          roomCount: 30,
          roomLevel: null,
          isValid: null,
        },
      ],
    };
    return res.json(result);
  },
  'POST /roomType/saveRoomTypeList': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'POST /price/updateListRateByDay': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'POST /roomType/roomTypeBindRateCodes': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'POST /price/presetRate': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'POST /hotel/hotelLive/:hotelId': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'POST /hotel/updateHotelBaseInfo': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'GET /channel/getAllValidatedChannel': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: [
        {
          channelId: 5,
          channelName: '不试了',
          channelCode: 'BookingSource_0005',
        },
        {
          channelId: 15,
          channelName: '不试了15',
          channelCode: 'BookingSource_0015',
        },
      ],
    };
    return res.json(result);
  },
  'GET /hotel/sync': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: 'SUCCESS',
    };
    return res.json(result);
  },
  'GET /hotel/getHotelBaseInfo': (req, res) => {
    const result = {
      code: '000',
      msg: '成功',
      data: {
        id: 1,
        name: 'OYO 舒适测试酒店',
        pyName: 'Tian Di Hotel',
        enName: 'Tian Di Hotel',
        street: '大鹏新区大鹏街道布新社区南坑埔南39号（近海滨浴场）',
        phone: '+918800807247',
        totalRooms: 405,
        fax: '000000',
        email: 'himan.raghav92@gmail.com',
        breakfast: 0,
        summary: '',
        description:
          "<p><b>Facilities</b></p>With its easy accessibility to many key attractions, OYO 8001  in Shenzhen offers you the best services, experience and comfort at affordable rates. The OYO is maintained with a skilled and friendly staff to ensure you have a good stay.</p><p><strong>Facilities</strong></p><ul><li>All our rooms are well furnished and equipped with AC, Geyser, Mini Fridge and a lot more.</li><li>First aid, round the clock security and fire safety are provided to our guests for their safety. </li><li>We also have a 24-hour helpdesk to offer assistance to the guests at any time.</li></ul><p><strong>What's Nearby</strong></p><ul></ul>",
        checkinTime: '14:00',
        checkoutTime: '12:00',
        channelCommissionList: [
          {
            channelId: 1,
            channelName: '大哥大dadas',
            applyType: 1,
            value: 50,
            status: 1,
          },
        ],
      },
    };
    return res.json(result);
  },
  'GET /hotel/crsEdit/hotelInfo': {
    code: '000',
    msg: '成功',
    data: {
      id: 16386,
      oyoId: 'CN_SZX002',
      uniqueCode: '8001',
      name: 'OYO 8001 大鹏天邸酒店123',
      enName: 'OYO 8001 大鹏天邸酒店123',
      alternateName: 'Tian Di Hotel123',
      type: 1,
      activationDate: '2017-10-29T00:00:00.000+0000',
      signRoomNum: 50,
      roomNum: 50,
      floor: '4-6',
      lastDecorateDate: '2017-10-28T16:00:00.000+0000',
      nearybyLandmarkDirection: 'heiheihei',
      hotelFeature: '嘿嘿别',
      checkinTime: '11:00',
      checkoutTime: '12:00',
      payMethodList: [1, 3],
      mapLink: 'https://j.map.baidu.com/XPmhO123',
      latitude: '22.1111',
      longitude: '114.2222',
      locationDescription: '111天邸大酒店 坐落于大鹏新区，交通便利，周边闻名景区众多',
      street: '111大鹏新区大鹏街道布新社区南坑埔南39号（近海滨浴场123）',
      zoneId: 8,
      zoneName: null,
      hubId: 28,
      hubName: null,
      stateId: 37,
      stateName: null,
      cityId: 550,
      cityName: '深圳',
      clusterId: 1306,
      clusterName: null,
      styleTagList: [1, 2],
      locationTagList: [1, 2],
      travelTypeTagList: [1, 2],
      nearybyLandmarkList: ['呵呵', '啊哈'],
      landmarkList: ['大鹏古城', '玄冰'],
      breakfast: {
        breakfastType: 1,
        breakfastTime: '8:00',
        addressType: 1,
      },
      managerName: 'Hotel contact123',
      phoneList: ['+918800807247', '+918800807248'],
      amenities: [1, 2, 3],
    },
  },

  'GET /amenity/all': {
    code: '000',
    msg: '成功',
    data: [
      {
        id: 1,
        code: 'normal_air_conditioning',
        name: '空调类型AC-普通分体式空调',
        type: '0',
        group: '空调类型AC',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:38:00.000+0000',
        updateTime: '2018-11-14T06:03:59.000+0000',
      },
      {
        id: 2,
        code: 'central_air_conditioning',
        name: '空调类型AC-中央空调',
        type: '0',
        group: '空调类型AC',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:38:29.000+0000',
        updateTime: '2018-11-14T06:04:04.000+0000',
      },
      {
        id: 3,
        code: 'pay_park',
        name: '停车场-收费',
        type: '0',
        group: '停车场',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:39:44.000+0000',
        updateTime: '2018-11-09T11:17:18.000+0000',
      },
      {
        id: 4,
        code: 'free_park',
        name: '停车场-不收费',
        type: '0',
        group: '停车场',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:40:35.000+0000',
        updateTime: '2018-11-09T10:16:43.000+0000',
      },
      {
        id: 5,
        code: 'pay_dry_cleaning',
        name: '干洗-收费',
        type: '0',
        group: '干洗',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:40:55.000+0000',
        updateTime: '2018-11-09T10:16:46.000+0000',
      },
      {
        id: 6,
        code: 'free_dry_cleaning',
        name: '干洗-不收费',
        type: '0',
        group: '干洗',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:40:57.000+0000',
        updateTime: '2018-11-09T10:16:49.000+0000',
      },
      {
        id: 7,
        code: 'pay_shine_shoes ',
        name: '擦鞋-收费',
        type: '0',
        group: '擦鞋',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:41:26.000+0000',
        updateTime: '2018-11-09T10:16:51.000+0000',
      },
      {
        id: 8,
        code: 'free_shine_shoes ',
        name: '擦鞋-不收费',
        type: '0',
        group: '擦鞋',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:41:38.000+0000',
        updateTime: '2018-11-09T10:16:54.000+0000',
      },
      {
        id: 9,
        code: 'pay_iron_clothes',
        name: '熨衣-收费',
        type: '0',
        group: '熨衣',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:42:07.000+0000',
        updateTime: '2018-11-09T10:16:57.000+0000',
      },
      {
        id: 10,
        code: 'free_iron_clothes',
        name: '熨衣-不收费',
        type: '0',
        group: '熨衣',
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:42:15.000+0000',
        updateTime: '2018-11-09T10:16:59.000+0000',
      },
      {
        id: 11,
        code: '24th_hot_water',
        name: '24小时热水',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:43:53.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 12,
        code: 'free_wifi',
        name: '免费WiFi',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:44:09.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 13,
        code: 'free_bottled_water',
        name: '免费瓶装水',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:44:25.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 14,
        code: 'free_toiletries',
        name: '免费洗漱用品',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:44:38.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 15,
        code: 'swiming_pool(interior)',
        name: '游泳池(室内)',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:44:51.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 16,
        code: 'gam',
        name: '健身房',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:44:57.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 17,
        code: 'sap',
        name: 'SPA',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:11.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 18,
        code: 'sauna',
        name: '桑拿',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:16.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 19,
        code: 'bar',
        name: '酒吧',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:22.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 20,
        code: 'restaurant',
        name: '餐厅',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:28.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 21,
        code: 'cafa',
        name: '咖啡厅',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:33.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 22,
        code: 'lounge',
        name: '休息室',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:39.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 23,
        code: 'meeting_room',
        name: '会议室',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:44.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 24,
        code: 'business_center',
        name: '商务中心',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:45:52.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 25,
        code: 'facilities_for_the_disabled',
        name: '残疾人设施',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:03.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 26,
        code: 'lobby_bar',
        name: '大堂吧',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:12.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 27,
        code: 'banquet_hall',
        name: '宴会厅',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:19.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 28,
        code: 'meal_delivery_service',
        name: '送餐服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:27.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 29,
        code: 'wake_up_service',
        name: '叫醒服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:32.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 30,
        code: 'laundry_service',
        name: '洗衣服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:37.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 31,
        code: 'baggage_deposit',
        name: '行李寄存',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:47.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 32,
        code: 'ticket_service',
        name: '票务服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:46:53.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 33,
        code: 'forgin_currency_exchange',
        name: '外币兑换',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:47:00.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 34,
        code: 'car_rental',
        name: '租车',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:47:05.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 35,
        code: 'pickup_and_delivery_service',
        name: '接送服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:47:12.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 36,
        code: 'taxi_service',
        name: '叫车服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:47:20.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 37,
        code: 'wedding_service',
        name: '婚宴服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:47:25.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 38,
        code: 'pet_allowed',
        name: '可携带宠物',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:47:34.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 39,
        code: 'multilingual_service',
        name: '多语言服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:48:28.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 40,
        code: 'copying',
        name: '复印',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:48:33.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 41,
        code: 'fax',
        name: '传真',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:48:38.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 42,
        code: 'print',
        name: '打印',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:48:46.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 43,
        code: 'elevator',
        name: '电梯',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:48:50.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 44,
        code: 'atm',
        name: 'ATM机',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:48:57.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 45,
        code: '24th_ reception',
        name: '24小时前台',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:04.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 46,
        code: 'postal_service',
        name: '邮政服务',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:11.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 47,
        code: 'multi-function_hall',
        name: '多功能厅',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:17.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 48,
        code: 'public_area_monitoring',
        name: '公共区域监控系统',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:28.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 49,
        code: 'front_desk_safe_box',
        name: '前台保险柜',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:36.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 50,
        code: 'tv',
        name: '电视',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:41.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 51,
        code: 'ac',
        name: '空调',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:49:46.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 52,
        code: 'electronic_kettle',
        name: '电热水壶',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:50:05.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 53,
        code: 'telephone',
        name: '电话',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:50:36.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 54,
        code: 'hari_dryer',
        name: '吹风机',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:50:49.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 55,
        code: 'sofa',
        name: '沙发',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:51:04.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 56,
        code: 'bathtub',
        name: '浴缸',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:51:16.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 57,
        code: 'safe_box',
        name: '保险箱',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:51:46.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 58,
        code: 'mini_bar',
        name: '迷你吧',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:52:15.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 59,
        code: 'microwave_over',
        name: '微波炉',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:52:42.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 60,
        code: 'refrigerator',
        name: '冰箱',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:53:02.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
      {
        id: 61,
        code: 'mahjon',
        name: '麻将桌',
        type: '1',
        group: null,
        isDeleted: 0,
        createBy: 'init',
        updateBy: 'init',
        createTime: '2018-11-09T06:53:15.000+0000',
        updateTime: '2018-11-09T08:45:35.000+0000',
      },
    ],
  },
};
