const hotelRoomList = [];

for (let i = 0; i < 10; i += 1) {
  hotelRoomList.push({
    id: i,
    hotelRoomTypeId: 4330 + i,
    roomTypeName: '标准大床房 ',
    saleRoomTypeName: '超级大床房(24点前入住)',
    space: 20,
    floor: '1-3',
    // 是否有窗 0全部有窗 1部分有窗 2无窗
    windowType: 1,
    windowDisadvantage: '天窗,窗户较小',
    // 床型信息
    bedInfoList: [
      {
        bedInfoParentId: 1 * i + 1,
        baseBedInfoList: [
          {
            id: 1 + i,
            bedInfoId: 1,
            count: 1,
          },
          {
            id: 2 + i,
            bedInfoId: 2,
            count: 1,
          },
        ],
      },
      {
        bedInfoParentId: 2 * i + 1,
        baseBedInfoList: [
          {
            id: 31 + i,
            bedInfoId: 1,
            count: 1,
          },
          {
            id: 32 + i,
            bedInfoId: 2,
            count: 1,
          },
        ],
      },
    ],
    personAllowed: 2,
    // 是否可以加床 0不可以 1可以
    extraBedAllowed: 1,
    roomFeature: '很大,江景房',
    // 房型基础设施
    baseAmenities: [1, 2, 3],
    // 更多设施
    moreAmenities: [15, 16],
  });
}
const bedInfo = {
  mockType: 1,
  code: '000',
  msg: '成功',
  data: [
    {
      name: '单人床',
      sizeList: [
        {
          id: 1,
          code: 'single_bed',
          name: '单人床',
          size: '1',
        },
        {
          id: 2,
          code: 'single_bed',
          name: '单人床',
          size: '1',
        },
        {
          id: 3,
          code: 'single_bed',
          name: '单人床',
          size: '1.2',
        },
        {
          id: 4,
          code: 'single_bed',
          name: '单人床',
          size: '1.35',
        },
        {
          id: 5,
          code: 'single_bed',
          name: '单人床',
          size: '1.5',
        },
      ],
    },
    {
      name: '大床',
      sizeList: [
        {
          id: 6,
          code: 'common_bed',
          name: '大床',
          size: '1.5',
        },
        {
          id: 7,
          code: 'common_bed',
          name: '大床',
          size: '1.8',
        },
        {
          id: 8,
          code: 'common_bed',
          name: '大床',
          size: '2',
        },
        {
          id: 9,
          code: 'common_bed',
          name: '大床',
          size: '2.2',
        },
      ],
    },
    {
      name: '圆型水床',
      sizeList: [
        {
          id: 19,
          code: 'circular_water_bed',
          name: '圆型水床',
          size: '2',
        },
        {
          id: 20,
          code: 'circular_water_bed',
          name: '圆型水床',
          size: '2.2',
        },
        {
          id: 21,
          code: 'circular_water_bed',
          name: '圆型水床',
          size: '2.4',
        },
        {
          id: 22,
          code: 'circular_water_bed',
          name: '圆型水床',
          size: '2.6',
        },
        {
          id: 23,
          code: 'circular_water_bed',
          name: '圆型水床',
          size: '2.8',
        },
      ],
    },
    {
      name: '方形水床',
      sizeList: [
        {
          id: 15,
          code: 'square_water_bed',
          name: '方形水床',
          size: '1.5',
        },
        {
          id: 16,
          code: 'square_water_bed',
          name: '方形水床',
          size: '1.8',
        },
        {
          id: 17,
          code: 'square_water_bed',
          name: '方形水床',
          size: '2',
        },
        {
          id: 18,
          code: 'square_water_bed',
          name: '方形水床',
          size: '2.2',
        },
      ],
    },
    {
      name: '圆床',
      sizeList: [
        {
          id: 10,
          code: 'round_bed',
          name: '圆床',
          size: '2',
        },
        {
          id: 11,
          code: 'round_bed',
          name: '圆床',
          size: '2.2',
        },
        {
          id: 12,
          code: 'round_bed',
          name: '圆床',
          size: '2.4',
        },
        {
          id: 13,
          code: 'round_bed',
          name: '圆床',
          size: '2.6',
        },
        {
          id: 14,
          code: 'round_bed',
          name: '圆床',
          size: '2.8',
        },
      ],
    },
  ],
};

const amenitiesInfo = {
  mockType: 1,
  code: '000',
  msg: '成功',
  data: {
    baseAmenities: [
      {
        id: 1,
        name: '空调类型AC-普通分体式空调',
      },
      {
        id: 2,
        name: '空调类型AC-中央空调',
      },
      {
        id: 3,
        name: '停车场-收费',
      },
      {
        id: 4,
        name: '停车场-不收费',
      },
      {
        id: 5,
        name: '干洗-收费',
      },
      {
        id: 6,
        name: '干洗-不收费',
      },
    ],
    moreAmenities: [
      {
        id: 15,
        name: '24小时热水',
      },
      {
        id: 16,
        name: '免费WiFi',
      },
      {
        id: 17,
        name: '免费瓶装水',
      },
      {
        id: 18,
        name: '免费洗漱用品',
      },
    ],
  },
};

export default {
  'GET /roomType/v1/getRoomTypeInfoByHotelId': {
    mockType: 1,
    code: '000',
    msg: '成功',
    data: hotelRoomList,
  },
  'GET /bedInfo/v1/all': bedInfo,
  'GET /hotel/v1/amenities': amenitiesInfo,
  'POST /roomType/v1/deleteRoomTypeBedInfo': {
    mockType: 1,
    code: '010',
    msg: '成功',
    data: null,
  },
  'POST /roomType/v1/saveRoomTypeInfo': {
    mockType: 1,
    code: '010',
    msg: '成功',
    data: null,
  },
};
