import mockjs from 'mockjs';
import moment from 'moment';

export default {
  'GET /hotel/manage/v1/getHotelRoomTypeStatus': function(req, res) {
    return res.json(
      mockjs.mock({
        code: '000',
        msg: '成功',
        data: {
          hotelId: 17782,
          currentDate: moment().format('YYYY-MM-DD HH:mm:ss'),
          'channelStatusList|6': [
            {
              'channelId|+1': 1,
              'channelName|1': ['艺龙', '去哪儿', '飞猪', 'OYO-APP', 'OYO-小程序', 'MM-APP销售'],
              roomTypeId: null,
              'status|1': ['open', 'close'],
              'configStatus|1': ['timed_open', 'timed_close'],
              startTime: '2019-04-05 11:01:25',
              endTime: moment()
                .add(10, 'seconds')
                .format('YYYY-MM-DD HH:mm:ss'),
            },
          ],
        },
      })
    );
  },
  'POST /hotel/manage/v1/UpdateHotelRoomTypeStatus': {
    code: '000',
    msg: null,
    data: null,
  },
  'GET /hotel/manage/v1/getHotelOperateLog': mockjs.mock({
    code: '000',
    msg: null,
    data: {
      pageNum: 1,
      pageSize: 10,
      totalPages: 40,
      totalCount: 400,
      'result|10': [
        {
          'id|+1': 1,
          time: '2018-02-21 12:23:23',
          operator: '张三（36067）',
          operate: '新增 渠道',
          channelName: '艺龙（直连）',
          operateList: '状态：无效-->有效',
          notes: '批次号XXX',
        },
      ],
    },
  }),
  'GET /hotel/manage/v1/getHouseOperateLog': mockjs.mock({
    code: '000',
    msg: null,
    data: {
      pageNum: 1,
      pageSize: 10,
      totalPages: 40,
      totalCount: 400,
      'result|10': [
        {
          'id|+1': 1,
          time: '2018-02-21 12:23:23',
          operator: '张三（36067）',
          houseName: '标准大床房',
          operate: '删除 价格策略',
          channel: 'OTA到店付（非直连）',
          notes: '批次号XXX',
        },
      ],
    },
  }),
  'GET /hotel/manage/v1/getPriceOperateLog': mockjs.mock({
    code: '000',
    msg: null,
    data: {
      pageNum: 1,
      pageSize: 10,
      totalPages: 40,
      totalCount: 400,
      'result|10': [
        {
          'id|+1': 1,
          time: '2018-02-21 12:23:23',
          operator: '张三（36067）',
          range: '2018-02-28 至 2018-03-11',
          houseType: '标准大床房',
          price: '100-->199',
          notes: '批次号XXX',
        },
      ],
    },
  }),
};
