function acceptsHtml(header, options) {
  const htmlAcceptHeaders = ["text/html", "*/*"];

  for (let i = 0; i < htmlAcceptHeaders.length; i++) {
    if (header.indexOf(htmlAcceptHeaders[i]) !== -1) {
      return true;
    }
  }
  return false;
}

class StaticRender {
  constructor(router) {
    this.router = router;
  }

  install() {
    this.render();
  }

  render() {
    this.router.get("*", async function(ctx) {
      // 遮蔽静态文件
      if (
        ctx.method !== "GET" ||
        !ctx.header ||
        typeof ctx.header.accept !== "string" ||
        ctx.header.accept.indexOf("application/json") === 0 ||
        !acceptsHtml(ctx.header.accept) ||
        ctx.url.indexOf(".") !== -1
      ) {
        return;
      }

      if (ctx.url === "/") {
        await ctx.render("index");
      } else {
        ctx.body = "404哦";
      }
    });
  }
}

module.exports = StaticRender;
