// 按钮权限控制 必传code字段
import React, { Children, Component } from 'react';
import { Button } from 'antd';
import { isReactComponentInstance } from '@/utils/utils';
/**
 *
 * @param {code:'按钮code；值'}
 *
 */
const ComponentAuthorized = props => {
  const { myDisabled, code, children, hiden, ...rest } = props;
  let disabled = false; // 权限disabled
  if (!code) {
    console.warn('ButtonAuthorized props need key(code)');
  }
  const menuList = localStorage.menuList ? JSON.parse(localStorage.menuList) : [];
  disabled = !menuList.some(item => item.code === code);

  let finDisable = disabled; // 最终disabled

  if (typeof myDisabled === 'boolean') {
    finDisable = disabled || myDisabled;
  }

  if (children && typeof children === 'object') {
    // 遍历所有子组件
    let res = React.Children.map(children, child => {
      if (child.type) {
        return React.cloneElement(child, {
          // 把父组件的props赋值给每个子组件
          finDisable,
          ...rest,
        });
      }
      return child;
    });

    return res;
  }

  // 没有权限的时候隐藏
  if (hiden) {
    if (disabled) return null;

    return (
      <Button disabled={myDisabled} {...rest}>
        {children}
      </Button>
    );
  }

  return (
    <Button disabled={finDisable} {...rest}>
      {children}
    </Button>
  );
};
export default ComponentAuthorized;
