---
order: 0
title: 城市或者地区三级联动
---

用于oyo城市或者地区三级联动
需要model层hotelSearch支持  @/models/需要model层hotelSearch支持.js

---------------------------------------------------------------------------
````jsx
import CitySelect from '@/components/CitySelect/index';

// 输入框录入时触发
function onChange (val) {
 console.log(val)
}

// 城市三级联动
ReactDOM.render(
  <CitySelect
    type="cityList"
    value={searchCityId}
    onChange={onChange(val)}
    changeOnSelect
  />,
  mountNode,
);

// 地区三级联动
ReactDOM.render(
  <CitySelect
    type="areaList"
    style={{ width: '100%' }}
    onChange={onChange(val)}
  />,
  mountNode,
);

// 在from表单中使用
<FormItem style={widthStyle} label="区域" {...formItemLayout}>
 {getFieldDecorator('zone', {
    initialValue: '',
  })(
    <CitySelect
      type="areaList"
      style={{ width: '100%' }}
      onChange={onChange(val)}
      changeOnSelect
    />
  )}
</FormItem>

// 清空选择的数据
handleFormReset = () => {
  const { form } = this.props;

  // 重置城市选择框;
  form.setFieldsValue({
    zone: [],
  });
};
````

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| value  | string / object  |  无 | 变为受控组件 |
| type  | string  | 无 | 'areaList': 地区 'cityList': 城市 |
| onChange  | function  | 无 | 选择数据变更后 |
| [any]  | [any]  | 无 | antd下Cascader中所有属性 |