import React, { PureComponent } from 'react';
import { Tabs, Card, Cascader } from 'antd';
import { connect } from 'dva';

@connect(({ hotelSearch }) => ({
  hotelSearch,
}))
export default class CityList extends PureComponent {
  componentDidMount() {
    let { dispatch, type } = this.props;

    if (type === 'cityList') {
      dispatch({
        type: 'hotelSearch/fetchCityList',
      });
    } else if (type === 'areaList') {
      dispatch({
        type: 'hotelSearch/fetchAreaList',
      });
    } else if (type === 'newAreaList') {
      dispatch({
        type: 'hotelSearch/fetchNewAreaList',
      });
    }
  }

  cascaderFilter(inputValue, path) {
    let val = inputValue.toLowerCase();

    return path.some(option => option.label.toLowerCase().indexOf(val) > -1);
  }

  onCityChange = (val, objVal) => {
    let { onChange } = this.props;

    onChange && onChange(val, objVal);
  };

  render() {
    let { style = { width: 300 }, disabled, value, type, hotelSearch, changeOnSelect } = this.props;
    let data = hotelSearch[type];

    let props = {
      disabled,
      style,
      options: data,
      onChange: this.onCityChange,
      showSearch: { filter: this.cascaderFilter },
      placeholder: '请选择区域',
    };

    if (value) props.value = value;
    if (changeOnSelect) props.changeOnSelect = true;

    return <Cascader {...props} />;
  }
}
