---
order: 0
title: 酒店搜索
---

用酒店搜索。（酒店名: 模糊搜索, id: 酒店id搜索）

---------------------------------------------------------------------------

如下为直接使用组件:

````jsx
import HotelSearch from '@/components/HotelSearch/HotelSearch';

// 输入框录入时触发
function onChange (val) {
 console.log(val)
}

// 搜索到酒店时触发
function onSearch (val) {
 console.log(val)
}

// 可切换名字和酒店id
ReactDOM.render(
  <HotelSearch
    onChange={onChange}
    onSearch={onSearch}
  />,
  mountNode,
);

// 只支持酒店名搜索
ReactDOM.render(
  <HotelSearch
    defaultValue={{val: 'hello', hotelId: 1666 }}
    type="0"
    onSearch={onSearch}
  />,
  mountNode,
);
````

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| defaultValue  |  string / object |  无 | 初始值直接传字符串时会被转化为 {val: 'xxx'} |
| value  | string / object  |  无 | 变为受控组件 |
| type  | string  | 无 | '0': 名字搜索 '1': id搜索 其他: 搜索方式可选 |
| onSearch  | function  | 无 | 搜索到酒店时触发 |
| onChange  | function  | 无 | 输入框录入时触发 |

如下为在使用antd中Form中嵌套组件:
````jsx
import HotelSearch from '@/components/HotelSearch/HotelSearch';

class MyForm extends React.Component {
 render () {
  return (
   <Form onSubmit={this.query}>
    <FormItem style={widthStyle} label="酒店名称" {...formItemLayout}>
     {
      getFieldDecorator('hotelParams', {
       initialValue: '',
      })(<HotelSearch type="0" />)
     }
    </FormItem>
   </Form>
  )
 }
}
````
getFieldDecorator中属性
---------------------------------------------------------------------------

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| initialValue  |  string / object |  无 | 初始值直接传字符串时会被转化为 {val: 'xxx'} |