import React, { PureComponent } from 'react';
import { Select } from 'antd';
import { connect } from 'dva';

const { Option } = Select;

@connect(({ orderSource }) => ({ orderSource }))
export default class SourceList extends PureComponent {
  constructor(props) {
    super(props);
  }

  componentDidMount() {
    const { dispatch } = this.props;

    dispatch({
      type: 'orderSource/fetchChannelList',
    }).catch(e => {
      console.log(e);
    });
  }

  render() {
    const { orderSource } = this.props;

    return (
      <Select defaultValue={0}>
        <Option value={0} key="CRSChannelList-all">
          全部
        </Option>
        {orderSource.sourceList.map((channel, key) => (
          <Option key={`CRSChannelList-${channel.channelId}`} value={channel.channelId}>
            {channel.channelName}
          </Option>
        ))}
      </Select>
    );
  }
}
