import React, { ReactNode } from 'react';
// 默认execl
export const xlsx =
  'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,application/vnd.ms-excel';

export interface IRowList {
  buttonTitle?: string;
  comments: string;
}
export interface IRes {
  success: boolean;
  dom: ReactNode;
}

export interface IProps {
  xlsx?: string;
  isNeedTag: boolean;
  stepList: IRowList[];
  downloadUrl: string;
  param?: object;
  uploadFile(param: any): Promise<IRes>;
}

export const initialProps: IProps = {
  isNeedTag: false,
  stepList: [
    {
      buttonTitle: '下载表格',
      comments: ' 每次新增时需重新下载表格',
    },
    {
      comments:
        '填写信息：参照表格中的范例在excel中填写信息，填写完成后保存表格。（新增上限：n条/次)',
    },
    {
      buttonTitle: '上传表格',
      comments: ' 上传成功后10分钟内新增完成所有数据',
    },
  ],
  downloadUrl: './AddUsers.xlsx',
  uploadFile(param) {
    return Promise.resolve({
      success: true,
      dom: '上传成功',
    });
  },
};
