import { Button } from 'antd';
import React, { ReactNode, SFC } from 'react';
import buttonColor, { IcolorStyle } from './config/index';
interface IProps {
  OYOtype: 'blue' | 'green' | 'grey' | 'yellow' | 'red';
}

export const OyoButton: SFC<IProps> = ({ OYOtype, children, disabled, ...rest }: any) => {
  const color: IcolorStyle = buttonColor[OYOtype];
  if (!!color) {
    const { style, ...REST } = rest;
    if (style) {
      if (disabled) {
        return (
          <Button disabled={true} {...REST} style={{ ...style }}>
            {children}
          </Button>
        );
      } else {
        return (
          <Button {...REST} style={{ ...style, ...color }}>
            {children}
          </Button>
        );
      }
    } else {
      if (disabled) {
        return (
          <Button {...REST} disabled={true}>
            {children}
          </Button>
        );
      } else {
        return (
          <Button {...REST} style={{ ...color }}>
            {children}
          </Button>
        );
      }
    }
  } else {
    return (
      <Button disabled={disabled} {...rest}>
        {children}
      </Button>
    );
  }
};
