import React, { PureComponent } from 'react';
import { Table } from 'antd';

class OYONestedTable extends PureComponent {
  // what: ES6只有静态方法；ES7草案才有静态属性
  // how: 使用Babel：babel-preset-stage-0
  static defaultProps = {
    dataSource: [],
    columns: [{ title: '编号', dataIndex: 'id' }, { title: '操作', dataIndex: 'action' }],
    size: 'small',
    rowKey: 'id',
    bordered: true,
    style: { marginTop: 5, marginBottom: 5 },
    pagination: false,
  };

  constructor(props) {
    super(props);
    this.state = {
      ...props,
    };
  }

  static getDerivedStateFromProps(nextProps, prevState) {
    const { dataSource } = nextProps;
    if (dataSource !== prevState.dataSource) {
      return { ...nextProps };
    }

    return null;
  }

  handleLogPageChange = ({ current, pageSize }) => {
    const { pagination } = this.state;
    this.props.getLogList({
      pageNum: current,
      pageSize,
    });
    this.setState({
      pagination: {
        ...pagination,
        current,
      },
    });
  };

  render() {
    return (
      <Table
        {...this.state}
        onChange={this.handleLogPageChange}
        onShowSizeChange={this.handleLogPageChange}
      />
    );
  }
}

export default OYONestedTable;
