---
title: 图片拖拽组件
---

用于组件之间图片或者其他div标签排序移动

---------------------------------------------------------------------------
````jsx
import PicDrag from '@/components/PicDrag/PicDrag';

const isLoadSort = false
const editType = true
const list = [{
 url: 'xxxxxxx'
}, {
 url: 'xxxxxxx2'
}]

function onChange (op, item) {
 console.log(op, item)
}

ReactDOM.render(
  <PicDrag
    ref={ref => {
      this.picDrag${item.categoryRef = ref;
    }}
    className="picDrag"
    transition={350}
    minArea={5000}
    isLoading={isLoadSort}
    onChange={onChange(op, item)}
    disableMove={editType}
  >
    {list.map((img, i) => (
      <li className={styles.housePicBox} key={img.url}>
        <div>
          <img src={img.url} />
        </div>
        <div className={styles.info}>
          <Input placeholder="描述" />
        </div>
      </li>
    ))}
  </PicDrag>,
  mountNode,
);

````

| 属性 |  类型 |  默认 | 说明 |
| :---: | :----:  | :---: | :----:  |
| value  | Array |  无 | 已经选择的值 |
| list  | Array  | 无 | 需要选的list |
| onChange  | function  | 无 | 切换数据之后的钩子 |