import React, { PureComponent } from 'react';
import { Select } from 'antd';

const Option = Select.Option;

let optionList = Array.from(new Array(24), (item, index) => `${index}:00`);

export default class TimeSelect extends PureComponent {
  render() {
    const { value = '' } = this.props;
    let disabled = this.props.disabled === undefined ? false : this.props.disabled;

    return (
      <Select
        showSearch
        placeholder="选择时间"
        onChange={this.onChange}
        filterOption={(input, option) =>
          option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
        }
        value={value}
        disabled={disabled}
      >
        {optionList.map((item, index) => (
          <Option value={item} key={index}>
            {item}
          </Option>
        ))}
      </Select>
    );
  }

  onChange = val => {
    let { onChange } = this.props;

    onChange && onChange(val);
  };
}
