import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const CANCEL_REASON = [
  {
    value: 'OTHER_HOTEL_MORE_PREFERENTIA',
    name: '别家更优惠',
  },
  {
    value: 'WANT_BOOKING_OTHER_HOTEL',
    name: '想订其他酒店',
  },
  {
    value: 'BOOKING_SELECT_ERROR',
    name: '预订错了',
  },
  {
    value: 'CAN_NOT_FIND_HOTEL',
    name: '找不到酒店',
  },
  {
    value: 'PALN_HAVE_CHANGE',
    name: '计划有变',
  },
  {
    value: 'PROPERTY_OR_SERVICE_NOT_GOOD',
    name: '物业/服务不好',
  },
  {
    value: 'OTA_BACKGROUND_CANCEL',
    name: 'OTA后台取消',
  },
  {
    value: 'ROOM_PRICE_ERROR_NEED_REORDER',
    name: '房价错误需重新下单',
  },
  {
    value: 'RECEPTION_ADD_BOOKING_ERROR',
    name: '前台录单错误',
  },
  {
    value: 'HANDLING_BOOKING_ERROR',
    name: '搬单错误',
  },
  {
    value: 'ARRIVAL_NO_ROOM_AS_ROOM_IS_FULL',
    name: '到店无房-确认后满房',
  },
  {
    value: 'ARRIVAL_NO_ROOM_PRICE_NOT_CORRECT',
    name: '到店无房-价格不对',
  },
  {
    value: 'ARRIVAL_NO_ROOM_NOT_COOPERATE',
    name: '到店无房-不合作',
  },
  {
    value: 'ARRIVAL_NO_ROOM_CLOSE_A_BUSINESS',
    name: '到店无房-歇业',
  },
  {
    value: 'ARRIVAL_NO_ROOM_SYSTEM_PROBLEM',
    name: '到店无房-系统问题',
  },
  {
    value: 'ARRIVAL_NO_ROOM_NOT_RECOGNIZE_ACTIVITY',
    name: '到店无房-不承认活动',
  },
  {
    value: 'ARRIVAL_NO_ROOM_CAN_NOT_FIND_BOOKING',
    name: '到店无房-查无预定',
  },
  {
    value: 'ARRIVAL_NO_ROOM_REJECT_ORDER_TAKING',
    name: '到店无房-拒绝接单',
  },
  {
    value: 'ARRIVAL_NO_ROOM_NO_OPERATING_SYSTEM_CANNOT_SCHEDULE',
    name: '到店无房-不会操作系统无法安排',
  },
  {
    value: 'OTHER',
    name: '其它',
  },
];

const CANCEL_REASON_OPTION = CANCEL_REASON.map((item, key) => (
  <Option value={item.value} key={`CANCEL_REASON-${key}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.value]) {
      obj[element.value] = element;
    }
  });
  return obj;
}

const getCancelReasonFromName = function(status) {
  let obj = mapStatusToName || formatArr(CANCEL_REASON);
  return obj[status] ? obj[status].name : '未知类型';
};

export { CANCEL_REASON, CANCEL_REASON_OPTION, getCancelReasonFromName };
