import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const COMPLAINT_TYPE = [
  {
    status: 'ROOM_RESERVATION_STATUS',
    name: '房间状态错误',
  },
  {
    status: 'HIGHT_PRICE',
    name: '门店跳高单调整',
  },
  {
    status: 'BOOKING_SOURCE',
    name: '预订来源错误',
  },
  {
    status: 'BOOKING_EXT_BOOKING_SN',
    name: '渠道订单号错误',
  },
  {
    status: 'BOOKING_CONTACT_PHONE',
    name: '联系电话错误',
  },
  {
    status: 'BOOKING_CONTACT',
    name: '预定人错误',
  },
  {
    status: 'REMARK',
    name: '备注错误',
  },
  {
    status: 'ROOM_RESERVATION_AMOUNT',
    name: '房间总房价错误',
  },
  {
    status: 'BOOKING_ACCOUNT_TYPE',
    name: '入账主体错误',
  },
];

const COMPLAINT_TYPE_OPTION = COMPLAINT_TYPE.map((item, key) => (
  <Option value={item.status} key={`COMPLAINT_TYPE-${key}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getComplaintTypeFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(COMPLAINT_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { COMPLAINT_TYPE, COMPLAINT_TYPE_OPTION, getComplaintTypeFromStatus };
