const DISCOUNT_TYPE = [
  {
    status: 'MEMBER',
    name: 'OYO会员',
  },
  {
    status: 'OYO',
    name: 'OYO优惠',
  },
  {
    status: 'HOTEL',
    name: '酒店优惠',
  },
  {
    status: 'COUPON',
    name: '优惠券',
  },
];

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getDiscountTypeFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(DISCOUNT_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { DISCOUNT_TYPE, getDiscountTypeFromStatus };
