// TO_ONLINE(0, "待上线"),
// LIVE(2, "live"),
// ACTIVE(3, "active"),
// ON_HOLD(4, "冻结"),
// OFF_LINE(5, "离线"),
// SOLD_OUT(6, "sold_out");
import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const HOTEL_TYPE = [
  {
    status: '1',
    name: '直营店',
  },
  {
    status: '2',
    name: '加盟店',
  },
  {
    status: '3',
    name: '测试酒店',
  },
  {
    status: '4',
    name: 'EGM',
  },
];

const REPLY_TYPE = [
  {
    status: '0',
    name: '未回复',
  },
  {
    status: '1',
    name: '已回复',
  },
  {
    status: '-1',
    name: '全部',
  },
];

const HOTEL_TYPE_OPTION = HOTEL_TYPE.map((item, index) => (
  <Option value={item.status} key={`HOTEL_TYPE-${index}`}>
    {item.name}
  </Option>
));

const REPLY_TYPE_OPTION = REPLY_TYPE.map((item, index) => (
  <Option value={item.status} key={`REPLY_TYPE-${index}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getNameFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(HOTEL_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { HOTEL_TYPE, HOTEL_TYPE_OPTION, REPLY_TYPE_OPTION, getNameFromStatus };
