import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const HANDLE_TYPE = [
  {
    status: 'IN_PROCESS',
    name: '处理中',
  },
  {
    status: 'DONE',
    name: '已处理完成',
  },
  {
    status: null,
    name: '全部',
  },
];

const HANDLE_TYPE_OPTION = HANDLE_TYPE.map((item, key) => (
  <Option value={item.status} key={`HANDLE_TYPE-${key}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getHandleTypeFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(HANDLE_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { HANDLE_TYPE, HANDLE_TYPE_OPTION, getHandleTypeFromStatus };
