import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const ORDER_STATUS = [
  {
    value: 0,
    name: '待入住',
  },
  {
    value: 1,
    name: '入住',
  },
  {
    value: 2,
    name: '离店',
  },
  {
    value: 3,
    name: '取消',
  },
  {
    value: 4,
    name: 'noshow',
  },
];

const ORDER_STATUS_OPTION = ORDER_STATUS.map((item, key) => (
  <Option value={item.value} key={`ORDER_STATUS-${key}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.value]) {
      obj[element.value] = element;
    }
  });
  return obj;
}

const getOrderNameFromOrderStatus = function(status) {
  let obj = mapStatusToName || formatArr(ORDER_STATUS);
  return obj[status] ? obj[status].name : '未知类型';
};

export { ORDER_STATUS, ORDER_STATUS_OPTION, getOrderNameFromOrderStatus };
