import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const PMS_PAYMENT_TYPE = [
  {
    status: 1,
    name: '现金',
  },
  {
    status: 2,
    name: '微信',
  },
  {
    status: 3,
    name: '支付宝',
  },
  {
    status: 4,
    name: '银行卡',
  },
  {
    status: 15,
    name: '在线支付',
  },
  {
    status: 5,
    name: '挂账',
  },
];

const PMS_PAYMENT_TYPE_OPTION = PMS_PAYMENT_TYPE.map((item, key) => (
  <Option value={item.status} key={`PMS_PAYMENT_TYPE-${key}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getPMSPayTypeFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(PMS_PAYMENT_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { PMS_PAYMENT_TYPE, PMS_PAYMENT_TYPE_OPTION, getPMSPayTypeFromStatus };
