import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const SUBMIT_DEPT_TYPE = [
  {
    status: 'CUSTOMER_SERVICE',
    name: '客服',
  },
  {
    status: 'HOTEL',
    name: '门店',
  },
  // {
  //   status: '',
  //   name: '系统',
  // },
  {
    status: null,
    name: '全部',
  },
];

const SUBMIT_DEPT_TYPE_OPTION = SUBMIT_DEPT_TYPE.map((item, key) => (
  <Option value={item.status} key={`SUBMIT_DEPT_TYPE-${key}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getDeptTypeFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(SUBMIT_DEPT_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { SUBMIT_DEPT_TYPE, SUBMIT_DEPT_TYPE_OPTION, getDeptTypeFromStatus };
