import { getPageQuery } from '@/utils/utils';
import dva from 'dva';
import * as React from 'react';
import router from 'umi/router';
const { useContext } = React;

type INameSpace = null | string | string[];

interface Ires {
  dispatch: any;
  store?: object;
  [key: string]: any;
}

export const CONTEXTSTROE = React.createContext({
  store: window.g_app._store,
  dispatch: window.g_app._store.dispatch,
});

export function useStore(nameSpace: INameSpace) {
  const { store, dispatch } = useContext(CONTEXTSTROE) as any;
  const { getState } = store;
  const res: Ires = {
    dispatch,
    loading: getState().loading,
  };
  function addStore(key: string) {
    res[key] = getState()[key];
  }
  if (nameSpace) {
    if (Array.isArray(nameSpace)) {
      nameSpace.forEach(str => {
        addStore(str);
      });
    }
    if (typeof nameSpace === 'string') {
      addStore(nameSpace);
    }
  } else {
    res.store = getState();
  }
  return res;
}

export function useRouter() {
  return router;
}

export function useRoute() {
  return getPageQuery();
}
