import { getAmenityAll } from '@/services/equipment';

export default {
  namespace: 'equipment',

  state: {
    groupList: [],
    singleList: [],
    groupValues: [],
    singleValues: [],
  },

  effects: {
    *fetchList({ payload }, { call, put, select }) {
      try {
        let equipment = yield select(state => state.equipment);

        if (equipment.groupList.length || equipment.singleList.length) {
          return;
        }

        const res = yield call(getAmenityAll);

        let data = res.data;
        let groupList = [];
        let singleList = [];
        let groupValues = [];
        let singleValues = [];
        let groupObj = {};

        data.forEach(item => {
          if (item.group) {
            if (groupObj[item.group]) {
              if (typeof item.name === 'string') {
                let name = item.name.split('-');

                groupObj[item.group].push({
                  label: name[1],
                  value: item.id,
                });
              }
            } else if (typeof item.name === 'string') {
              let name = item.name.split('-');

              groupObj[item.group] = [];
              groupObj[item.group].push({
                label: name[1],
                value: item.id,
              });
            }

            groupValues.push(item.id);
          } else {
            singleList.push({
              name: item.name,
              id: item.id,
            });

            singleValues.push(item.id);
          }
        });

        Object.entries(groupObj).forEach(([key, value]) => {
          groupList.push({
            name: key,
            child: value,
            childValues: value.map(child => child.value),
          });
        });

        yield put({
          type: 'save',
          payload: {
            groupList,
            singleList,
            groupValues,
            singleValues,
          },
        });
      } catch (e) {
        console.log(e);
      }
    },
  },

  reducers: {
    save(state, action) {
      return {
        ...state,
        ...action.payload,
      };
    },
  },
};
