import { queryNotices } from '@/services/api';

export default {
  namespace: 'global',

  state: {
    collapsed: false,
    notices: [],
    STATUS_MAP: ['error', 'success', 'default'],
    STATUS: ['无效', '有效', '未知'],
    GUEST_SOURCE_TYPE: ['全部', '非会员', '会员'],
    CARD_TYPE: ['', '身份证'],
    ORDER_STATUS: [
      '待入住', // 0
      '入住', // 1
      '离店', // 2
      '取消', // 3
      'noshow', // 4
      // 'ownerbooking',
      // 'blocked',
      // 'hold',
      // 'unprocessed',
      // 'needmanualoverintervention',
      // 'needmanualoverbooking',
      // 'needmanualbulk',
      // 'Saved',
      // 'voidbooking',
    ],
    ORDER_PAYMENT_TYPE: ['到付', '预付', '信用住'],
    GUEST_TYPE: ['全部', '非会员', '会员'],
    HOTEL_ROOM_TYPE: [
      {
        roomCount: 1,
        oldRoomTypeName: '三人房',
        roomTypeCode: 'TR',
        saleRoomTypeId: 1,
        saleRoomTypeName: 'AAA大床房',
        roomTypeName: '三人房',
        roomTypeId: 5,
        oldRoomTypeId: 15,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '豪华大床房',
        roomTypeCode: 'abc8',
        saleRoomTypeId: 2,
        saleRoomTypeName: 'BBB大床房',
        roomTypeName: '海景房',
        roomTypeId: 8,
        oldRoomTypeId: 5,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '套房大床房',
        roomTypeCode: 'MD',
        saleRoomTypeId: 3,
        saleRoomTypeName: '标准双人房',
        roomTypeName: '麻将双床房',
        roomTypeId: 32,
        oldRoomTypeId: 6,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '主题房',
        roomTypeCode: 'abc7',
        saleRoomTypeId: 4,
        saleRoomTypeName: '标准大床房',
        roomTypeName: '主题房',
        roomTypeId: 7,
        oldRoomTypeId: 16,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '特惠房',
        roomTypeCode: '110',
        saleRoomTypeId: 5,
        saleRoomTypeName: '特惠双床房',
        roomTypeName: '特惠房',
        roomTypeId: 9,
        oldRoomTypeId: 12,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '标准大床房',
        roomTypeCode: 'SK',
        saleRoomTypeId: 6,
        saleRoomTypeName: '特惠大床房',
        roomTypeName: '标准大床房',
        roomTypeId: 2,
        oldRoomTypeId: 4,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '豪华双人房',
        roomTypeCode: 'abc3',
        saleRoomTypeId: 7,
        saleRoomTypeName: '豪华大床房',
        roomTypeName: '豪华大床房',
        roomTypeId: 3,
        oldRoomTypeId: 8,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '标准双人房',
        roomTypeCode: 'SD',
        saleRoomTypeId: 3,
        saleRoomTypeName: '标准双人房',
        roomTypeName: '标准双床房',
        roomTypeId: 1,
        oldRoomTypeId: 7,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '套房双床房',
        roomTypeCode: 'DD',
        saleRoomTypeId: 3,
        saleRoomTypeName: '标准双人房',
        roomTypeName: '豪华双床房',
        roomTypeId: 30,
        oldRoomTypeId: 9,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '麻将双人房',
        roomTypeCode: 'MK',
        saleRoomTypeId: 4,
        saleRoomTypeName: '标准大床房',
        roomTypeName: '麻将大床房',
        roomTypeId: 28,
        oldRoomTypeId: 14,
      },
      {
        roomCount: 1,
        oldRoomTypeName: '麻将大床房',
        roomTypeCode: 'TR1',
        saleRoomTypeId: 2,
        saleRoomTypeName: 'BBB大床房',
        roomTypeName: '三人房1',
        roomTypeId: 33,
        oldRoomTypeId: 13,
      },
    ],
    ISDIRECT: [{ key: 1, value: '直连' }, { key: 0, value: '非直连' }],
    COMMISSION_TYPE: [{ key: 0, value: '集团' }, { key: 1, value: '单店' }],
    // STATUS: [{ key: 0, value: '无效' }, { key: 1, value: '有效' }],
  },

  effects: {
    *fetchNotices(_, { call, put }) {
      const data = yield call(queryNotices);
      yield put({
        type: 'saveNotices',
        payload: data,
      });
      yield put({
        type: 'user/changeNotifyCount',
        payload: data.length,
      });
    },
    *clearNotices({ payload }, { put, select }) {
      yield put({
        type: 'saveClearedNotices',
        payload,
      });
      const count = yield select(state => state.global.notices.length);
      yield put({
        type: 'user/changeNotifyCount',
        payload: count,
      });
    },
  },

  reducers: {
    changeLayoutCollapsed(state, { payload }) {
      return {
        ...state,
        collapsed: payload,
      };
    },
    saveNotices(state, { payload }) {
      return {
        ...state,
        notices: payload,
      };
    },
    saveClearedNotices(state, { payload }) {
      return {
        ...state,
        notices: state.notices.filter(item => item.type !== payload),
      };
    },
  },
};
