import React, { PureComponent } from 'react';
import { Select } from 'antd';
import { queryCRSChannelList, queryChannelListMatchId } from '../services/orders';

const { Option } = Select;

export default {
  namespace: 'orderSource',

  state: {
    SOURCE_LIST: [],
    SOURCE_LIST_OPTION: [],
  },

  effects: {
    *fetchChannelList({ payload }, { call, put }) {
      try {
        const response = yield call(queryCRSChannelList, payload);
        const SOURCE_LIST = response.data || [];
        const SOURCE_LIST_OPTION = SOURCE_LIST.map((channel, key) => (
          <Option key={`CRSChannelList-${channel.channelId}`} value={channel.channelId}>
            {channel.channelName}
          </Option>
        ));
        yield put({
          type: 'setSourceList',
          payload: { SOURCE_LIST, SOURCE_LIST_OPTION },
        });
        return response;
      } catch (e) {
        return Promise.reject(e);
      }
    },
    *fetchChannelListMatchId({ payload }, { call, put }) {
      try {
        const response = yield call(queryChannelListMatchId, payload);
        return response;
      } catch (e) {
        return e.response;
      }
    },
  },

  reducers: {
    setSourceList(state, { payload }) {
      const { SOURCE_LIST, SOURCE_LIST_OPTION } = payload;
      return {
        ...state,
        SOURCE_LIST,
        SOURCE_LIST_OPTION,
      };
    },
  },

  // subscriptions: {
  //   queryCRSChannelList({ history, dispatch }) {
  //     dispatch({ type: 'fetchChannelList', payload: undefined }).catch(e => {
  //       console.log(e);
  //     });
  //   },
  // },
};
