import { fetchList } from '../services/roomTypeAndRelation';

const SearchList = [];

export default {
  namespace: 'roomTypeAndRelation',

  state: {
    list: [],
    saleList: [],
  },

  effects: {
    *fetchList({ payload }, { call, put, select }) {
      try {
        let roomTypeAndRelation = yield select(state => state.roomTypeAndRelation);

        if (roomTypeAndRelation.list.length) return;

        const response = yield call(fetchList, payload);

        let data = response.data;
        let { roomTypeList, saleRoomTypeList } = data;
        let list = [];
        let saleList = saleRoomTypeList.slice();

        roomTypeList.sort((a, b) => a.id - b.id);
        saleRoomTypeList.sort((a, b) => a.roomTypeId - b.roomTypeId);

        roomTypeList.forEach(({ code, id, name }, index) => {
          let saleData = saleRoomTypeList.find(item => item.roomTypeId === id);
          let nowData = {
            roomTypeCode: code,
            saleRoomTypeId: saleData ? saleData.saleRoomTypeId : null,
            saleRoomTypeName: saleData ? saleData.saleRoomTypeName : null,
            roomTypeName: name,
            roomTypeId: id,
            isCustom: /自定义/.test(name),
          };

          list.push(nowData);
          SearchList[id] = nowData;

          if (saleData) {
            let saleIndex = saleRoomTypeList.findIndex(item => item.roomTypeId === id);

            saleRoomTypeList.splice(saleIndex, 1);
          }
        });

        yield put({
          type: 'setList',
          payload: {
            list,
            saleList,
          },
        });
      } catch (e) {
        console.log(e);
      }
    },
  },

  reducers: {
    setList(state, { payload }) {
      return {
        ...payload,
      };
    },
  },
};

export function getRoomType(id) {
  return SearchList[id] || {};
}
