import {
  transFetch,
  transAuthUpdate,
  authFetch as request,
  transAuthFetch,
  authFetch,
} from '@/utils/fetch';

// dashboard首页获取数据接口
// 获取数据仪表首页智能门锁设备监控
export function dashboardHotelInfo(params) {
  return authFetch(`/api/crs/lock/dashboard/monitor`, {
    params,
    method: 'POST',
  });
}

// 只能锁酒店相关
// 获取智能锁酒店列表数据
export function smartHotelList(params) {
  return authFetch(`/api/crs/lock/dashboard/smartHotelList`, {
    params,
    method: 'POST',
  });
}

// 获取智能酒店列表项的详情-门锁总数量
export function lockStatusLogAll(params) {
  return authFetch(`/api/crs/lock/dashboard/lockStatusLogAll`, {
    params,
    method: 'POST',
  });
}

// 获取智能酒店列表项的详情-门锁预警数量
export function lockStatusLogLowVolt(params) {
  return authFetch(`/api/crs/lock/dashboard/lockStatusLogLowVolt`, {
    params,
    method: 'POST',
  });
}

// 硬件稳定性监控相关
// 获取硬件稳定性酒店列表
export function hardwareRobustnessHotelList(params) {
  return authFetch(`/api/crs/lock/dashboard/hardwareRobustnessHotelList`, {
    params,
    method: 'POST',
  });
}

// 获取硬件稳定性酒店列表明细-制卡请求
export function createCardRequestDetailList(params) {
  return authFetch(`/api/crs/lock/dashboard/createCardRequestDetailList`, {
    params,
    method: 'POST',
  });
}

// 获取硬件稳定性酒店列表明细-开锁上报时间
export function openLockDetailList(params) {
  return authFetch(`/api/crs/lock/dashboard/openLockDetailList`, {
    params,
    method: 'POST',
  });
}

// 收益泄露相关
// 收益泄露酒店列表
export function queryEarngingsReportByPage(params) {
  return authFetch(`/api/crs/report/queryEarngingsReportByPage`, {
    params,
    method: 'POST',
  });
}

// 收益泄露异常房间数详情
export function queryEarngingsRoomDetail(params) {
  return authFetch(`/api/crs/report/queryEarngingsRoomDetail`, {
    params,
    method: 'POST',
  });
}

// 收益泄露酒店列表
export function queryEarngingsOpenDetail(params) {
  return authFetch(`/api/crs/report/queryEarngingsOpenDetail`, {
    params,
    method: 'POST',
  });
}
