import React from 'react';
import { connect } from 'dva';
import styled from 'styled-components';

import logoImg from './assets/icon-home-oyo-logo.png';
import footerImg from './assets/icon-home-oyo-footer.png.png';

const HomeContainer = styled.div`
  /* position: absolute;
  width: 100%;
  height: 100%;
  right: 0;
  top: 65px;
  background-color: white; */
`;
const Logo = styled.div`
  display: block;
  float: right;

  width: 245px;
  height: 243px;
  margin: -20px -20px 0 0;

  background: no-repeat url(${logoImg}) center;
  background-size: cover;
  background-repeat: no-repeat;
`;
const Footer = styled.div`
  display: block;
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 232px;
  background: url(${footerImg}) center;
  background-size: contain;
  background-repeat-y: no-repeat;
`;

const User = styled.h2`
  display: inline-block;
  margin-top: 120px;
  margin-left: 60px;
  font-family: PingFangSC-Medium;
  font-size: 58px;
  color: #303133;
  letter-spacing: 0;
  line-height: 65px;
`;
const Welcome = styled.h3`
  display: block;
  margin-left: 60px;
  font-family: PingFangSC-Medium;
  font-size: 28px;
  color: #909399;
  letter-spacing: 0;
  line-height: 65px;
`;
@connect(({ user }) => ({
  user,
}))
export default class Home extends React.PureComponent {
  render() {
    const { user } = this.props;

    return (
      <HomeContainer>
        <Logo />
        <User>您好 {user && user.name ? `，${user.name}` : ``}</User>
        <Welcome>欢迎使用中央预订系统</Welcome>
        <Footer />
      </HomeContainer>
    );
  }
}
