import React, { PureComponent } from 'react';
import { Alert } from 'antd';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import { connect } from 'dva';
import { getBatchUnAssociateProps } from './config';

@connect(({ user }) => ({
  user,
}))
export default class batchUnassociation extends PureComponent {
  constructor(props) {
    super(props);
  }

  // 弹出msg
  renderRes = res => {
    return res.msg;
  };

  render() {
    return (
      <>
        <Alert
          message="本功能用于解除酒店现有的渠道和价格策略。"
          type="info"
          showIcon
          style={{ marginBottom: 10 }}
        />
        <Alert
          message="如该酒店的“渠道”或“价格策略”已无效或不存在，变更将会被忽略。"
          type="warning"
          showIcon
          style={{ marginBottom: 10 }}
        />

        <OyoBatchUpload {...getBatchUnAssociateProps(this)} />
      </>
    );
  }
}
