import { uploadAssociateFile, uploadUnAssociateFile } from '../services';

export function getDefaultConfig({ uploadType }, context) {
  return {
    xlsx: '.xlsx',
    stepList: [
      {
        buttonTitle: '下载模版',
        comments: '',
      },
      {
        comments: `填写模板：
首行为标题，请勿覆盖。
酒店代码（CN代码）获取：宙斯-酒店列表-OYO ID（例：CN_GGU004）
渠道代码获取：宙斯-渠道列表-渠道代码（例：OBS_0001）
价格策略代码获取：宙斯-价格策略列表-价格策略代码（例：9）

*单次不超过500家酒店`,
      },
      {
        buttonTitle: '上传文件',
        comments: ' 因处理数据较多，请等待5分钟后，在“批量执行结果”页面查看执行结果！',
      },
    ],
    uploadFile: function(param) {
      const { user } = this.props;
      const { formData } = param;
      const params = {
        operateId: user.accountId,
        operatorName: user.name,
      };
      formData.append('operateId', user.accountId);
      formData.append('operatorName', user.name);

      return uploadType({ formData, params }).then(res => {
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),

    downloadUrl: './ba-template.xlsx',
  };
}

export function getBatchAssociateProps(context) {
  return getDefaultConfig(
    {
      uploadType: uploadAssociateFile,
    },
    context
  );
}

export function getBatchUnAssociateProps(context) {
  return getDefaultConfig(
    {
      uploadType: uploadUnAssociateFile,
    },
    context
  );
}
