import { queryDetailsList } from '../services/index.ts';

export default {
  namespace: 'associate',

  state: {
    detailsList: [],
  },

  effects: {
    *fetchDetailsList({ payload }, { call, put }) {
      try {
        const response = yield call(queryDetailsList, payload);
        yield put({
          type: 'setDetailsList',
          payload: response,
        });
        return response;
      } catch (e) {
        yield put({
          type: 'setDetailsList',
          payload: [],
        });
        console.log(e.response);
      }
    },
  },

  reducers: {
    // 明细列表
    setDetailsList(state, { payload }) {
      const { data } = payload;
      let detailsList = [];
      if (Array.isArray(data) && data.length !== 0) {
        detailsList = data.map((item, key) => {
          const ele = item;
          ele.key = key;
          return ele;
        });
      }
      return detailsList;
    },
  },
};
