import { transAuthFetch, transAuthUpdate } from '@/utils/fetch';

interface IupExcelFile {
  params?: object;
  formData: FormData;
}

// 查询批量处理结果列表
export function queryResultsList(params) {
  return transAuthFetch(`/hotel/manage/batchBindChannelAndRateCode/logs`, {
    params,
    type: 1,
  });
}

// 查看单条处理明细列表
export function queryDetailsList(params) {
  return transAuthFetch(`/hotel/manage/batchBindChannelAndRateCode/detail`, {
    params,
    type: 1,
  });
}

// 上传关联表
export function uploadAssociateFile(param: IupExcelFile) {
  const { params, formData } = param;

  return transAuthUpdate(
    `/hotel/manage/batchBindChannelAndRateCode`,
    {
      params,
      formData,
      type: 1,
      method: 'POST',
    },
    'file'
  );
}

export function uploadUnAssociateFile(param: IupExcelFile) {
  const { params, formData } = param;

  return transAuthUpdate(
    `/hotel/manage/batchUnbindChannelOrRateCode`,
    {
      params,
      formData,
      type: 1,
      method: 'POST',
    },
    'file'
  );
}
