import { IProps } from '@/components/OyoBatchUpload/index.type';
import { uploadBasePriceFile, uploadControlPriceFile, uploadLimitPriceFile } from '../service';
export function getControlPriceProps(context) {
  return {
    xlsx: '.csv',
    stepList: [
      {
        buttonTitle: '下载控价白名单',
        comments: ' 每次新增时需重新下载表格',
      },
      {
        comments:
          '填写信息：参照表格中的范例在excel中填写信息，填写完成后保存表格。（新增上限：500条/次)',
      },
      {
        buttonTitle: '上传表格',
        comments: ' 上传成功后10分钟内新增完成所有数据',
      },
    ],
    downloadUrl: './WhiteListTest.csv',
    uploadFile: function(param) {
      const { user } = this.props;
      const { formData } = param;
      const params = { operateId: '1' };
      formData.append('operateId', user.accountId);
      return uploadControlPriceFile({ formData, params }).then(res => {
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),
  };
}

export function getChangebasePrice(context) {
  return {
    xlsx: '.csv',
    stepList: [
      {
        buttonTitle: '选择酒店并下载更改基准价模板',
        comments: ' 每次新增时需重新下载表格',
      },
      {
        comments: '修改信息：在Excel上修改相关信息，修改完毕请保存表格。（修改上限：5000条/次）',
      },
      {
        buttonTitle: '上传表格',
        comments: ' 上传成功后10分钟内新增完成所有数据',
      },
    ],
    downloadUrl: './FloorPriceTest.csv',
    uploadFile: function(param) {
      const { user } = this.props;
      const { formData } = param;
      const params = { operateId: '1' };
      formData.append('operateId', user.accountId);
      return uploadBasePriceFile({ formData, params }).then(res => {
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),
  };
}

export function getChangeLimitPrice(context) {
  return {
    xlsx: '.csv',
    stepList: [
      {
        buttonTitle: '下载更改限制价模板',
        comments: ' 每次修改时需重新下载表格',
      },
      {
        comments: '修改信息：在Excel上修改相关信息，修改完毕请保存表格。（修改上限：500条/次）',
      },
      {
        buttonTitle: '上传表格',
        comments: ' 上传成功后10分钟内新增完成所有数据',
      },
    ],
    downloadUrl: './LimitPriceTest.csv',
    uploadFile: function(param) {
      const { user } = this.props;
      const { formData } = param;
      const params = { operateId: '1' };
      formData.append('operateId', user.accountId);
      return uploadLimitPriceFile({ formData, params }).then(res => {
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),
  };
}
