import ButtonAuthorized from '@/components/ButtonAuthorized';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import judgePermission from '@/utils/judgePermission';
import { Badge, Button, Card, Col, Form, Input, message, Row, Select, Table, Tabs } from 'antd';
import { connect } from 'dva';
import React, { PureComponent } from 'react';
import { ChangebasePrice, ChangeLimitPrice, ControlPrice } from './components/index';
const codeArr = ['CRS7.1.4.1', 'CRS7.1.4.2'];
const TabPane = Tabs.TabPane;
interface Istate {
  key: string;
}
@connect(({ hotelLists, loading }) => ({
  hotelLists,
  loading: loading.models.hotelLists,
}))
export default class HotelListIndex extends PureComponent<object, Istate> {
  constructor(props) {
    super(props);
    this.state = {
      key: `${codeArr.findIndex(item => judgePermission(item))}`,
    };
  }

  public componentDidMount() {}

  public render() {
    const { key } = this.state;
    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs defaultActiveKey={key}>
            <TabPane tab="控价白名单模板" key="0" disabled={!judgePermission('CRS7.1.4.1')}>
              <ControlPrice />
            </TabPane>
            <TabPane tab="更改限制价模板" key="1" disabled={!judgePermission('CRS7.1.4.2')}>
              <ChangeLimitPrice />
            </TabPane>
            {/* <TabPane tab="更改基准价模板" disabled={true} key="2">
              <ChangebasePrice />
            </TabPane> */}
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
