import React, { Fragment } from 'react';
import { connect } from 'dva';
import { Table, Input, Button, Message, Popconfirm, Rate, Row, Col, Card, Tag } from 'antd';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import styles from './TagTable.less';

const { CheckableTag } = Tag;
const formItemLayout = {
  labelCol: { span: 2 },
  wrapperCol: { span: 18 },
};

// 输入框样式
const formItemStyle = {
  style: {
    width: '100%',
  },
};
class TagTable extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      rate: 1,
    };
  }

  // 判断标签的样式
  solveClass(item, commentTagsId, commentSubTagsId) {
    if (item && item.templateTagId) {
      return commentSubTagsId.includes(item.id) ? `${styles.active}` : '';
    }
    return commentTagsId.includes(item.id) ? `${styles.active}` : '';
  }

  render() {
    const { originData, commentTags, commentSubTags } = this.props;
    const commentTagsId = commentTags.map(item => item.id);
    const commentSubTagsId = commentSubTags.map(item => item.id);

    const columns = [
      {
        title: '类型',
        dataIndex: 'tageName',
        editable: true,
        width: 150,
      },
      {
        title: '标签',
        dataIndex: 'content',
        editable: true,
        render: (text, record) => {
          if (text && text.length) {
            return text.map(item => (
              <p
                className={this.solveClass(item, commentTagsId, commentSubTagsId)}
                onClick={() => this.props.clickEvent(item)}
              >
                {item.content}
              </p>
            ));
          }
        },
      },
    ];
    return (
      <Table
        size="small"
        rowKey="type"
        bordered
        className={styles.ltTagBtn}
        columns={columns}
        dataSource={originData}
        pagination={false}
        // onChange={this.handlePageChange}
        // onShowSizeChange={this.handlePageChange}
      />
    );
  }
}

export default TagTable;
