import { Select } from 'antd';
import { getTotalTag, doSubmitComment } from '../service/customerService';

export default {
  namespace: 'customerService',
  state: {
    tagList: [],
  },
  effects: {
    *getTagList({ payload }, { call, put }) {
      try {
        let res = yield call(getTotalTag, payload);
        let typeArr5 = [];
        let typeArr4 = [];
        let typeArr = [];
        let lastarr = [];

        if (res.code === '000' && res.data) {
          res.data.forEach(item => {
            if (Number(item.totalRate) === 5) {
              // 值得表扬 所有五星的标签
              typeArr5.push(item);
            } else if (Number(item.totalRate) === 4 && Number(item.type) === 1) {
              // 4星评论 希望更好
              typeArr4.push(item);
            } else if (
              item.content !== '其他，请补充' &&
              item.commentTemplateSubTags &&
              item.commentTemplateSubTags.length
            ) {
              // 1-3评分
              typeArr.push(item);
            }
          });
          // 处理1～3评分分类
          const typeArr3 = typeArr.map(item => {
            item.content = `吐槽${item.content}`;
            return item;
          });
          const str5 = {
            type: 'rate5',
            tageName: '值得表扬',
            content: typeArr5,
          };
          const str4 = {
            type: 'rate4',
            tageName: '希望更好',
            content: typeArr4,
          };
          lastarr.push(str5);
          lastarr.push(str4);
          typeArr3.forEach(item => {
            const substr = {
              type: item.id,
              tageName: item.content,
              content: item.commentTemplateSubTags,
            };
            lastarr.push(substr);
          });
          yield put({
            type: 'saveList',
            payload: lastarr,
          });
        }
      } catch (error) {
        console.log(error);
      }
    },
    *submitComment({ payload }, { call, pust, select }) {
      try {
        let user = yield select(state => state.user);
        payload.comment.operatorId = user.accountId || user.operatorId;
        let res = yield call(doSubmitComment, payload);
        return res;
      } catch (err) {
        return err;
      }
    },
  },
  reducers: {
    saveList(state, { payload }) {
      return {
        ...state,
        tagList: payload,
      };
    },
  },
};
