import {
  persistCommentTag,
  persistCommentSubTag,
  deleteCommentTagById,
  deleteCommentSubTagById,
  updateCommentTag,
  updateCommentSubTag,
  updateCommentTagPosition,
  updateCommentSubTagPosition,
  fetchCommentTags,
} from '../service';

export default {
  namespace: 'hotelCommentTag',
  state: {},
  effects: {
    /**
     * 创建标签
     * @param {*} param0
     * @param {*} param1
     */
    *persistCommentTag({ payload }, { call, put }) {
      try {
        let res = yield call(persistCommentTag, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },
    /**
     * 创建标签
     * @param {*} param0
     * @param {*} param1
     */
    *persistCommentSubTag({ payload }, { call, put }) {
      try {
        let res = yield call(persistCommentSubTag, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 删除对应到标签
     * @param {*} param0
     * @param {*} param1
     */
    *deleteCommentTagById({ payload }, { call, put }) {
      try {
        let res = yield call(deleteCommentTagById, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 删除对应到标签
     * @param {*} param0
     * @param {*} param1
     */
    *deleteCommentSubTagById({ payload }, { call, put }) {
      try {
        let res = yield call(deleteCommentSubTagById, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 更改标签
     * @param {*} param0
     * @param {*} param1
     */
    *updateCommentTag({ payload }, { call, put }) {
      try {
        let res = yield call(updateCommentTag, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 更改二级标签
     * @param {*} param0
     * @param {*} param1
     */
    *updateCommentSubTag({ payload }, { call, put }) {
      try {
        let res = yield call(updateCommentSubTag, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 更改标签位置
     * @param {*} param0
     * @param {*} param1
     */
    *updateCommentTagPosition({ payload }, { call, put }) {
      const { id, direction } = payload;
      try {
        let res = yield call(updateCommentTagPosition, id, direction);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 更改子标签位置
     * @param {*} param0
     * @param {*} param1
     */
    *updateCommentSubTagPosition({ payload }, { call, put }) {
      const { id, direction } = payload;
      try {
        let res = yield call(updateCommentSubTagPosition, id, direction);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },

    /**
     * 传入评分等级,返回对应的tag列表
     * @param {Object} param0
     * @param {Object} param1
     */
    *fetchCommentTags({ payload }, { call, put }) {
      try {
        let res = yield call(fetchCommentTags, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },
  },
  reducers: {
    // saveHotelDetail(state, { payload }) {
    //   return {
    //     hotelInfo: {
    //       ...state.hotelInfo,
    //       ...payload,
    //     },
    //   };
  },
};
