import React, { PureComponent } from 'react';
import { Card, Form, Input, Icon, Table } from 'antd';
import { connect } from 'dva';
import styles from '../basicInfoDetail.less';
import { getOYOConnectInfo } from '../../service/basicInfo';

const formItemLayout1 = {
  style: { width: 240 },
  labelCol: {
    sm: { span: 7 },
  },
  wrapperCol: {
    sm: { span: 17 },
  },
};

const formItemLayout2 = {
  style: { width: 300 },
  labelCol: {
    sm: { span: 7 },
  },
  wrapperCol: {
    sm: { span: 17 },
  },
};

@connect(({ loading, HotelCreateEditHotelBasicInfo }) => ({
  HotelCreateEditHotelBasicInfo,
}))
export default class HotelMap extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      connectList: [],
      isShow: true,
    };
  }

  componentDidMount() {
    let { hotelId } = this.props;

    getOYOConnectInfo({ hotelId })
      .then(res => {
        this.setState({
          connectList: res.data,
        });
      })
      .catch(er => {
        console.log(er);
      });
  }

  render() {
    let { HotelCreateEditHotelBasicInfo, style = {} } = this.props;
    let { connectList, isShow } = this.state;
    // let {
    //   hotelInfo: { contact },
    // } = HotelCreateEditHotelBasicInfo;
    // 将getEmployeePostList中的数据转化成 baseinfo里联系人的数据格式
    let solveConnectList = connectList.map(item => {
      item.type = item.roleName;
      item.email = item.email || '';
      return item;
    });

    // 处理为null返回格式
    // if (contact === null) {
    //   contact = [];
    // }
    // const lastConnectList = contact.concat(solveConnectList || []);

    const columns = [
      {
        title: '类型',
        dataIndex: 'type',
        key: 'type',
      },
      {
        title: '姓名',
        dataIndex: 'name',
        key: 'name',
      },
      {
        title: '电话',
        dataIndex: 'phone',
        key: 'phone',
      },
      {
        title: '邮箱',
        dataIndex: 'email',
        key: 'email',
      },
    ];

    return (
      <Card style={style} className={styles.basicInfoDetailContainer}>
        <div className={styles.basicInfoDetailTitle} onClick={this.handlerShow}>
          <p>OYO联系方式</p>
          {isShow ? <Icon type="caret-down" /> : <Icon type="caret-up" />}
        </div>
        <div className={styles.basicInfoDetailBd} style={{ display: isShow ? 'block' : 'none' }}>
          <Table dataSource={solveConnectList} columns={columns} pagination={false} />
          {/* {connectList.map((item, index) => (
            <Form layout="inline" key={index}>
              <Form.Item label="姓名" {...formItemLayout1}>
                <p>{item.name}</p>
              </Form.Item>
              <Form.Item label="电话" {...formItemLayout1}>
                <p>{item.phone}</p>
              </Form.Item>
              <Form.Item label="职位" {...formItemLayout2}>
                <p>{item.roleName}</p>
              </Form.Item>
            </Form>
          ))} */}
        </div>
      </Card>
    );
  }

  handlerShow = () => {
    this.setState({
      isShow: !this.state.isShow,
    });
  };
}
