import { fetch, authFetch, transAuthFetch } from '@/utils/fetch';

// 点击修改保存酒店限价
export function updateRoomTypePrice(params) {
  return authFetch(`/api/crs/price/limit/updateRoomTypePrice`, {
    type: 1,
    params,
    method: 'POST',
  });
}

export function getDayHotelPrice(params) {
  // return transAuthFetch(`/listRate/getListRateByHotelId`, {
  //   type: 1,
  //   params,
  //   method: 'GET',
  // });
  return authFetch(`/api/crs/v1/price/getRateByHotelAndDate`, {
    method: 'POST',
    params,
  });
}

// 修改单日酒店基准价
export function changeDayHotelPrice(params) {
  /**
   * ~ {
~~ "hotelId":1111,
~~ "operatorId":22,
~~ "rateDate":"2018-02-01",
~~ "rateList":
~~ [{
~~     "roomTypeId": 1,
~~     "rate": 100
~~   },
~~   {
~~     "roomTypeId": 2,
~~     "rate": 100
~~   },
~~   {
~~     "roomTypeId": 3,
~~     "rate": 100
~~   },
~~   {
~~     "roomTypeId": 4,
~~     "rate": 100
~~   },
~~   {
~~     "roomTypeId": 5,
~~     "rate": 100
~~   }
~~ ]
~~ }

   */

  return transAuthFetch(`/listRate/updateListRate`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// 修改区间酒店基准价
export function changeRangeHotelPrice(params) {
  // "hotelId":1111,
  // ~~ "operatorId":22,
  // ~~ "startDate":"2018-10-01",
  // ~~ "endDate":"2018-10-07",
  // ~~ "rateList":

  return transAuthFetch(`/listRate/updateListRateByDate`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// 修改周酒店基准价
export function changeWeekHotelPrice(params) {
  // "hotelId":1111,
  // ~~ "operatorId":22,
  // ~~ "weekList":[1,2,3,4,5,6,7],
  // ~~ "rateList":

  return transAuthFetch(`/listRate/updateListRateByWeek`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// 获取一个月的基准价
export function getMonthHotelPrice(params) {
  // hotelId|int|是|酒店id
  // rateDate|String|是|yyyy-MM 某年某月

  return transAuthFetch(`/listRate/getListRateByMonth`, {
    type: 1,
    params,
    method: 'GET',
  });
}

// 获取一个月内的基础(含库存)
export function getHotelListRateByMonth(params) {
  // hotelId|int|是|酒店id
  // rateDate|String|是|yyyy-MM 某年某月

  return authFetch(`/api/crs/v1/price/getHotelListRateByMonth`, {
    params,
    method: 'GET',
  });
}

export function queryAllValidatedChannel() {
  return authFetch(`/api/crs/v1/channel/getAllValidatedChannel`);
}
