import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const APPLY_TYPE = [
  {
    status: '0',
    name: '集团',
  },
  {
    status: '1',
    name: '单店',
  },
];

const APPLY_TYPE_OPTION = APPLY_TYPE.map((item, index) => (
  <Option value={item.status} key={`APPLY_TYPE-${index}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getApplyTypeFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(APPLY_TYPE);
  return obj[status] ? obj[status].name : '未知类型';
};

export { APPLY_TYPE, APPLY_TYPE_OPTION, getApplyTypeFromStatus };
