import React from 'react';
import { Select } from 'antd';

const { Option } = Select;

const STATUS = [
  {
    status: '0',
    name: '无效',
  },
  {
    status: '1',
    name: '有效',
  },
];

const STATUS_OPTION = STATUS.map((item, index) => (
  <Option value={item.status} key={`STATUS-${index}`}>
    {item.name}
  </Option>
));

let mapStatusToName = null;

function formatArr(list) {
  let obj = {};
  list.forEach(element => {
    if (!obj[element.status]) {
      obj[element.status] = element;
    }
  });
  return obj;
}

const getStatusFromStatus = function(status) {
  let obj = mapStatusToName || formatArr(STATUS);
  return obj[status] ? obj[status].name : '未知类型';
};

export { STATUS, STATUS_OPTION, getStatusFromStatus };
