import React, { Component } from 'react';
import OYOTable from '@/components/OyoTable/OyoTable.tsx';

export default class BasicOperation extends Component {
  constructor(props) {
    super(props);
    this.state = {
      params: {},
      pageParams: ['pageNum', 'pageSize'],
    };
  }

  componentDidMount() {
    const { hotelId } = this.props;

    this.setState(
      {
        params: { hotelId },
      },
      () => this.oyotable.getPageList()
    );
  }

  getList = params => {
    const { onLogOperation } = this.props;
    return onLogOperation(params)
      .then(res => {
        if (!(res && res.data)) return { data: [], totalCount: 0 };
        const { result, totalCount } = res.data;

        console.log('展示基准价日志', result);
        return {
          data: result || [],
          total: totalCount || 0,
        };
      })
      .catch(e => Promise.reject(e));
  };

  render() {
    const { params, pageParams } = this.state;
    const { columns, rowKey } = this.props;
    const preventGetList = true;

    return (
      <div>
        <OYOTable
          ref={ref => {
            this.oyotable = ref;
          }}
          rowKey={rowKey}
          bordered
          size="small"
          params={params}
          pageParams={pageParams}
          columns={columns}
          preventGetList={preventGetList}
          getList={this.getList}
        />
      </div>
    );
  }
}
