import React, { PureComponent } from 'react';
import { Tabs, Card, Modal, Button, Row, Col, Form, Input, Radio } from 'antd';
import 'react-photoswipe/lib/photoswipe.css';
import { PhotoSwipe, PhotoSwipeGallery } from 'react-photoswipe';

const RadioGroup = Radio.Group;

let items = [
  {
    src: 'http://lorempixel.com/1200/900/sports/1',
    w: 1200,
    h: 900,
    title: 'Image 1',
  },
  {
    src: 'http://lorempixel.com/1200/900/sports/2',
    w: 1200,
    h: 900,
    title: 'Image 2',
  },
];

let options = {
  // http://photoswipe.com/documentation/options.html
  shareEl: false,
};

export default class HotelInvoiceModal extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      isOpen: false,
    };
  }

  handleOk = e => {
    let { visibleChange } = this.props;
    visibleChange && visibleChange(false);
  };

  handleCancel = e => {
    let { visibleChange } = this.props;
    visibleChange && visibleChange(false);
  };

  showImgView = () => {
    this.setState({
      isOpen: true,
    });
  };

  handleClose = () => {
    this.setState({
      isOpen: false,
    });
  };

  render() {
    let { visible } = this.props;
    let { isOpen } = this.state;
    let { showImgView, handleClose } = this;
    return (
      <Modal
        title="酒店资质信息维护"
        visible={visible}
        onOk={this.handleOk}
        onCancel={this.handleCancel}
        width={600}
      >
        <h3>营业执照</h3>
        <Row>
          <Col span={20}>
            <Form layout="horizontal">
              <Form.Item label="当前门店">OYO酒店</Form.Item>
              <Form.Item label="发票资质">
                <RadioGroup onChange={this.onChange} value={this.state.value}>
                  <Radio value={1}>可开发票</Radio>
                  <Radio value={2}>不可开发票</Radio>
                </RadioGroup>
              </Form.Item>

              <Form.Item label="发票类型">
                <RadioGroup onChange={this.onChange} value={this.state.value}>
                  <Radio value={1}>房费</Radio>
                  <Radio value={2}>住宿费</Radio>
                </RadioGroup>
              </Form.Item>

              <Form.Item label="发票项目">
                <RadioGroup onChange={this.onChange} value={this.state.value}>
                  <Radio value={1}>房费</Radio>
                  <Radio value={2}>住宿费</Radio>
                </RadioGroup>
              </Form.Item>
            </Form>
          </Col>
        </Row>

        <PhotoSwipe isOpen={isOpen} items={items} options={options} onClose={handleClose} />
      </Modal>
    );
  }
}
