import React, { PureComponent } from 'react';
import { Tabs, Card, Modal, Button, Row, Col, Form, Input } from 'antd';
import 'react-photoswipe/lib/photoswipe.css';
import { PhotoSwipe, PhotoSwipeGallery } from 'react-photoswipe';

let items = [
  {
    src: 'http://lorempixel.com/1200/900/sports/1',
    w: 1200,
    h: 900,
    title: 'Image 1',
  },
  {
    src: 'http://lorempixel.com/1200/900/sports/2',
    w: 1200,
    h: 900,
    title: 'Image 2',
  },
];

let options = {
  // http://photoswipe.com/documentation/options.html
  shareEl: false,
};

export default class HotelQualificationModal extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      isOpen: false,
    };
  }

  handleOk = e => {
    let { visibleChange } = this.props;
    visibleChange && visibleChange(false);
  };

  handleCancel = e => {
    let { visibleChange } = this.props;
    visibleChange && visibleChange(false);
  };

  showImgView = () => {
    this.setState({
      isOpen: true,
    });
  };

  handleClose = () => {
    this.setState({
      isOpen: false,
    });
  };

  render() {
    let { visible } = this.props;
    let { isOpen } = this.state;
    let { showImgView, handleClose } = this;

    const formItemLayout = {
      labelCol: { span: 7 },
      wrapperCol: { span: 14 },
    };
    // const buttonItemLayout = {
    //   wrapperCol: { span: 14, offset: 4 },
    // } ;

    return (
      <Modal
        title="酒店资质信息维护"
        visible={visible}
        onOk={this.handleOk}
        onCancel={this.handleCancel}
        width={800}
      >
        <h3>营业执照</h3>
        <Row>
          <Col span={4}>
            <img alt="11" src="111" onClick={showImgView} />
          </Col>
          <Col span={20}>
            <Form layout="horizontal">
              <Form.Item label="执照类型" {...formItemLayout}>
                <Input placeholder="单行输入" />
              </Form.Item>
              <Form.Item label="企业名称" {...formItemLayout}>
                <Input placeholder="单行输入" />
              </Form.Item>

              <Form.Item label="统一社会信用代码或注册号" {...formItemLayout}>
                <Input placeholder="单行输入" />
              </Form.Item>

              <Form.Item label="经营范围" {...formItemLayout}>
                <Input placeholder="单行输入" />
              </Form.Item>

              <Form.Item label="截止日期" {...formItemLayout}>
                <Input placeholder="单行输入" />
              </Form.Item>
            </Form>
          </Col>
        </Row>

        <h3>特种行业许可证</h3>
        <Row>
          <Col span={24}>
            <img alt="11" src="111" onClick={showImgView} />
          </Col>
        </Row>

        <h3>消防证</h3>
        <Row>
          <Col span={24}>
            <img alt="11" src="111" onClick={showImgView} />
          </Col>
        </Row>

        <PhotoSwipe isOpen={isOpen} items={items} options={options} onClose={handleClose} />
      </Modal>
    );
  }
}
