import React, { PureComponent } from 'react';
import { Button, message } from 'antd';
import { connect } from 'dva';
import WrappedSearchForm from '../HotelCommentForm';
import CommentPie from './CommentPie';

@connect(({ HotelComment }) => ({
  HotelComment,
}))
class UserComment extends PureComponent {
  constructor() {
    super();
    this.state = {
      pieData: {
        averageTotalRate: 0,
      },
    };
  }

  componentDidMount() {
    this.props.solveSearch();
    this.getPieData();
  }

  getPieData = () => {
    const { dispatch, hotelId } = this.props;
    dispatch({
      type: 'HotelComment/getPieData',
      payload: {
        hotelId,
      },
    })
      .then(({ code, data }) => {
        if (code === '000' && data) {
          this.setState({
            pieData: data,
          });
        }
      })
      .catch(er => {
        console.log(er);
      });
  };

  onSearch = query => {
    this.props.solveSearch(query);
  };

  render() {
    const { pieData } = this.state;
    const salesTypeData = [];
    for (let i = 5; i >= 1; i--) {
      const pieItem = {
        x: `${i}分`,
        y: pieData[`commentCountRate${i}`],
      };
      salesTypeData.push(pieItem);
    }

    const originData = {
      salesTypeData,
      data: pieData,
    };

    return (
      <div>
        <div style={{ width: '40%' }}>
          {pieData.averageTotalRate > 0 && <CommentPie salesPieData={originData} />}
        </div>
        <WrappedSearchForm type={this.props.type} onSearch={this.onSearch} />
      </div>
    );
  }
}

export default UserComment;
