import { fetch, authFetch, transAuthFetch } from '@/utils/fetch';

// 获取酒店详细信息

export function getHotelDetail(params) {
  return transAuthFetch(`/hotel/crsEdit/hotelInfo`, {
    type: 1,
    params,
    method: 'GET',
  });
}

// 品牌线
export function getBrand(params) {
  return transAuthFetch(`/hotel/getHotelTypeBrandType`, {
    type: 1,
    params,
    method: 'GET',
  });
}

// OYO联系方式
export function getOYOConnectInfo(params) {
  return transAuthFetch(`/api/v1/account/getEmployeePostList`, {
    type: 5,
    params,
    method: 'GET',
  });
}

// 字典
export function getMetadataList(params) {
  return transAuthFetch(`/common/metadataList`, {
    type: 1,
    params: {
      typeList:
        'hotel_breakfast, hotel_tag_style,hotel_tag_location,hotel_tag_travel_type,hotel_cooper_model,hotel_pay_method, hotel_breakfast_address',
    },
    method: 'GET',
  });
}

// 保存
export function save(params) {
  return transAuthFetch(`/hotel/crsEdit/hotelInfo`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// pti审核
export function getPTI(params) {
  return transAuthFetch(`/hotel/hotelBaseInfo`, {
    type: 1,
    params,
    method: 'GET',
  });
}

// pti审核保存
export function savePTI(params) {
  return transAuthFetch(`/hotel/tpiCheckStatus`, {
    type: 1,
    params,
    method: 'POST',
  });
}
