import { authFetch, transAuthFetch } from '@/utils/fetch';

/**
 * 获取对应hotelId的评论
 * @param {String} params
 */
export function fetchHotelCommissionById(params) {
  return transAuthFetch(`/cn-search/search/comment/getCommentList`, {
    // return transAuthFetch(`/v1/back/page/comment/hotel/rate/${1}`, {
    type: 6,
    method: 'POST',
    params,
  });
}

/**
 * 获取对应hotelId的客服评论列表
 * @param {String} params
 */
export function fetchCustomerCommissionById(params) {
  return authFetch(`/api/crs/v1/ugc/post/token`, {
    method: 'POST',
    params,
  });
}

/**
 * 更改该评论在c端展示与否
 * @param {String} id
 * @param {Enum} status 1:正常，5：隐藏
 */
export function updateHotelCommissionStatus(id, status) {
  return transAuthFetch(`/v1/back/page/comment/${id}/updateStatus/${status}`, {
    type: 8,
  });
}

/**
 * 更改该评论在c端展示与否
 * @param {String} id
 * @param {Enum} status 1:正常，5：隐藏
 */
export function updateHotelCommissionIsTopStatus(id, setTop) {
  return transAuthFetch(`/v1/back/page/comment/${id}/setTop/${setTop}`, {
    type: 8,
  });
}

/**
 * 更改该评论在c端展示与否
 * @param {String} id
 * @param {Enum} status 1:正常，5：隐藏
 */
export function getPieData(id) {
  return transAuthFetch(`/v1/back/page/hotel/hotelRate?hotelId=${id}`, {
    type: 8,
  });
}

/**
 * 客服评论列表
 * @param {String} id
 * @param {Enum} status 1:正常，5：隐藏
 */
export function queryAverageRate(params) {
  return transAuthFetch(`/v1/front/page/hotel/averageRate/info`, {
    type: 8,
    method: 'GET',
    params,
  });
}
