import { transAuthFetch } from '@/utils/fetch';

/**
 * 获取酒店房型绑定设施列表
 * @param {Object} { hotelId }
 */
export function queryHotelRoomTypeAmenities(params) {
  return transAuthFetch(`/roomType/v1/getRoomTypeInfoByHotelId`, {
    type: 1,
    params,
  });
}

/**
 * 更新酒店房型设施： 新增/编辑/保存
 * @param {Object}
 */
export function updateHotelRoomTypeAmenities(params) {
  return transAuthFetch(`/roomType/v1/saveRoomTypeInfo`, {
    method: 'POST',
    type: 1,
    params,
  });
}

/**
 * 酒店床型列表【静态数据】
 */
export function queryHotelAllBedInfoList() {
  return transAuthFetch(`/bedInfo/v1/all`, {
    type: 1,
  });
}

/**
 *
 */
export function deleteRoomTypeBedInfo(params) {
  return transAuthFetch(`/roomType/v1/deleteRoomTypeBedInfo`, {
    type: 1,
    method: 'POST',
    params,
  });
}
