import { transAuthFetch } from '@/utils/fetch';

// 获取酒店详细信息
export function getHotelDetail(params) {
  return transAuthFetch(`/roomType/v1/getHotelBindRoomTypeList`, {
    method: 'GET',
    type: 1,
    params,
  });
}

// 保存房型列表
export function saveHotelBindRoomTypeList(params) {
  return transAuthFetch(`/roomType/v1/saveHotelBindRoomTypeList`, {
    method: 'POST',
    type: 1,
    params,
  });
}

// 关联房间列表展示
export function getRoomListByRoomType(params) {
  return transAuthFetch(`/room/v1/getRoomListByHotelAndRoomType`, {
    method: 'GET',
    type: 1,
    params,
  });
}

// 保存关联房间列表展示
export function saveRoomListForRoomType(params) {
  return transAuthFetch(`/room/v1/saveRoomListForRoomType`, {
    method: 'POST',
    type: 1,
    params,
  });
}

// 保存关联房间列表展示
export function deleteRoomType(params) {
  return transAuthFetch(`/roomType/v1/delete`, {
    method: 'POST',
    type: 1,
    params,
  });
}

// 获取签约房态
export function getSignedRommState(hotelId = '') {
  return transAuthFetch(`/roomType/v1/getHotelRooms?hotelId=${hotelId}&floor=1`, {
    method: 'GET',
    type: 1,
  });
}
