import React from 'react';

const STATUS_TYPE = [
  {
    name: '执行中',
    color: '#FFCC00',
  },
  {
    name: '成功',
    color: '#336600',
  },
  {
    name: '部分失败',
    color: '#CC3300',
  },
  {
    name: '执行中',
    color: '#FFCC00',
  },
  {
    name: '部分失败',
    color: '#CC3300',
  },
];

const DETAIL_STATUS_TYPE = [
  {
    name: '待执行',
    color: '#FFCC00',
  },
  {
    name: '成功',
    color: '#336600',
  },
  {
    name: '失败',
    color: '#CC3300',
  },
  {
    name: '执行中',
    color: '#FFCC00',
  },
  {
    name: '部分失败',
    color: '#CC3300',
  },
];

const ROOM_STATUS_TYPE = {
  '0': '',
  '1': '绿房',
  '2': '可改造黑房',
  '3': '可售黑房',
  '4': '不可售黑房',
};

const ADD_TYPE = {
  MODIFY: '修改',
  ADD: '新增',
  DELETE: '删除',
};

const DEFAULTLOGMODEL = [
  {
    title: '当前状态',
    dataIndex: 'status',
    key: 'status',
    render: (status, item) => {
      let { color, name } = DETAIL_STATUS_TYPE[status];
      return (
        <p
          style={{
            margin: 'auto 0',
            color: `${color}`,
            cursor: 'pointer',
          }}
        >
          {`${name}`}
        </p>
      );
    },
  },
  {
    title: '明细',
    dataIndex: 'errorMessage',
    key: 'errorMessage',
  },
];

let LOGMODEL = {
  ROOM_STATE_CHANGE: [
    {
      title: '酒店CRS ID',
      dataIndex: 'oyoId',
      key: 'oyoId',
    },
    {
      title: '房间号',
      dataIndex: 'roomNo',
      key: 'roomNo',
    },
    {
      title: '房型',
      dataIndex: 'roomTypeId',
      key: 'roomTypeId',
    },
    {
      title: '原房态',
      dataIndex: 'apolloStatus',
      key: 'apolloStatus',
      render: apolloStatus => ROOM_STATUS_TYPE[apolloStatus],
    },
    {
      title: '变更后房态',
      dataIndex: 'newApolloStatus',
      key: 'newApolloStatus',
      render: newApolloStatus => ROOM_STATUS_TYPE[newApolloStatus],
    },
  ],
  ROOM_FLOOR_CHANGE: [
    {
      title: '酒店CRS ID',
      dataIndex: 'oyoId',
      key: 'oyoId',
    },
    {
      title: '原房间号',
      dataIndex: 'roomNo',
      key: 'roomNo',
    },
    {
      title: '原楼层',
      dataIndex: 'floor',
      key: 'floor',
    },
    {
      title: '更改后楼层',
      dataIndex: 'newFloor',
      key: 'newFloor',
    },
  ],
  ROOM_NO_CHANGE: [
    {
      title: '酒店CRS ID',
      dataIndex: 'oyoId',
      key: 'oyoId',
    },
    {
      title: '房间号',
      dataIndex: 'roomNo',
      key: 'roomNo',
    },
    {
      title: '房型',
      dataIndex: 'roomTypeId',
      key: 'roomTypeId',
    },
    {
      title: '更改后房间号',
      dataIndex: 'newRoomNo',
      key: 'newRoomNo',
    },
  ],
  ROOM_ADD_OR_DELETE: [
    {
      title: '酒店CRS ID',
      dataIndex: 'oyoId',
      key: 'oyoId',
    },
    {
      title: '房间号',
      dataIndex: 'roomNo',
      key: 'roomNo',
    },
    {
      title: '楼层',
      dataIndex: 'floor',
      key: 'floor',
    },
    {
      title: '房型',
      dataIndex: 'roomTypeId',
      key: 'roomTypeId',
    },
    {
      title: '房态',
      dataIndex: 'apolloStatus',
      key: 'apolloStatus',
    },
    {
      title: '增加/减少',
      dataIndex: 'operateType',
      key: 'operateType',
      render: operateType => ADD_TYPE[operateType],
    },
  ],
  ROOM_TYPE_CHANGE: [
    {
      title: '酒店CRS ID',
      dataIndex: 'oyoId',
      key: 'oyoId',
    },
    {
      title: '原房型代码',
      dataIndex: 'roomTypeCode',
      key: 'roomTypeCode',
    },
    {
      title: '目标房型代码',
      dataIndex: 'newRoomTypeCode',
      key: 'newRoomTypeCode',
    },
  ],
  ROOM_TYPE_CHANGE_NEW: [
    {
      title: '酒店CRS ID',
      dataIndex: 'oyoId',
      key: 'oyoId',
    },
    {
      title: 'RoomID',
      dataIndex: 'roomId',
      key: 'roomId',
    },
    {
      title: '房间号',
      dataIndex: 'roomNo',
      key: 'roomNo',
    },
    {
      title: '修改前房型代码',
      dataIndex: 'roomTypeCode',
      key: 'roomTypeCode',
    },
    {
      title: '修改后房型代码',
      dataIndex: 'newRoomTypeCode',
      key: 'newRoomTypeCode',
    },
  ],
};

Object.entries(LOGMODEL).forEach(([key, val]) => {
  LOGMODEL[key] = val.concat(DEFAULTLOGMODEL);
});

export { STATUS_TYPE, DETAIL_STATUS_TYPE, ROOM_STATUS_TYPE, LOGMODEL };
