import React, { PureComponent } from 'react';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import { Card, Tabs } from 'antd';
import {
  RoomStateChange,
  RoomFloorChange,
  RoomNumChange,
  RoomTotalChange,
  RoomTypeChange,
  BatchResults,
} from './components/index';
import { isHasAuth } from '@/utils/authority';

const { TabPane } = Tabs;

export default class HotelRoomChange extends PureComponent<object, any> {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs defaultActiveKey="0">
            <TabPane tab="房态变更" key="0" forceRender={true}>
              <RoomStateChange />
            </TabPane>
            <TabPane tab="变更房间楼层" key="1">
              <RoomFloorChange />
            </TabPane>
            <TabPane tab="变更房间号" key="2">
              <RoomNumChange />
            </TabPane>
            <TabPane tab="增减房间" key="3">
              <RoomTotalChange />
            </TabPane>
            <TabPane tab="房型变更" key="4" disabled={!isHasAuth('CRS7.9.1')}>
              <RoomTypeChange />
            </TabPane>

            <TabPane tab={<span style={{ fontWeight: 'bolder' }}>批量执行结果</span>} key="5">
              <BatchResults />
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
