import { transAuthDownload, transAuthFetch, transAuthUpdate } from '@/utils/fetch';

interface IupExcelFile {
  params?: object;
  formData: FormData;
}

// 查询批量处理结果列表
export function queryResultsList(params) {
  return transAuthFetch(`/hotel/manage/document/query`, {
    method: 'POST',
    params,
    type: 1,
  });
}

// 下载单条结果的可下载项
export function queryDetailsList(params) {
  return transAuthDownload(`/hotel/manage/document/download`, {
    params,
    type: 1,
  });
}

// 上传关联表
export function uploadAssociateFile(param: IupExcelFile) {
  const { params, formData } = param;

  return transAuthUpdate(
    `/hotel/manage/document/handle`,
    {
      params,
      formData,
      type: 1,
      method: 'POST',
    },
    'file'
  );
}

// 下载执行中数据明细
export function getLogList(params) {
  return transAuthFetch(`/hotel/manage/document/detail`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// 对房型变更进行立即执行操作
export function roomTypeChangeDo(params) {
  return transAuthFetch(`/hotel/manage/document/do`, {
    type: 1,
    params,
    method: 'GET',
  });
}
