import React, { PureComponent } from 'react';
import { connect } from 'dva';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import { uploadAssociateFile } from '../services/index';

@connect(({ user }) => ({
  user,
}))
export default class HotelWifi extends PureComponent {
  constructor(props) {
    super(props);

    this.state = {};
    this.batchUploadConfig = {
      xlsx: '.csv',
      stepList: [
        {
          buttonTitle: '下载模版',
          comments: '',
        },
        {
          comments: `参考表格中的范例，在Excel 中填写信息`,
        },
        {
          buttonTitle: '上传文件',
        },
      ],
      downloadUrl: './add_wifi_template.csv',
      uploadFile: param => {
        const { user } = this.props;
        const { formData } = param;

        formData.append('operatorId', user.accountId);
        // formData.append('operatorName', user.name);
        const params = {
          operateId: user.accountId,
          operatorName: user.name,
        };

        return uploadAssociateFile({
          formData,
          params,
        }).then(res => {
          return {
            success: true,
            dom: res.msg,
          };
        });
      },
    };
  }

  render() {
    return <OyoBatchUpload {...this.batchUploadConfig} />;
  }
}
