import { transAuthUpdate, transAuthFetch, authFetch } from '@/utils/fetch';

// 上传关联表
export function uploadAssociateFile(param) {
  const { params, formData } = param;

  return transAuthUpdate(
    `/hotel/wifi/upload`,
    {
      params,
      formData,
      type: 1,
      method: 'POST',
    },
    'file'
  );
}

// 获取列表
export function pageList(params) {
  return authFetch(`/api/crs/v1/hotel/wifi/pageList`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// 编辑wifi
export function editWifi(params) {
  return authFetch(`/api/crs/v1/hotel/wifi/update`, {
    type: 1,
    params,
    method: 'POST',
  });
}

// 删除wifi
export function deleteWifi(params) {
  return authFetch(`/api/crs/v1/hotel/wifi/delete`, {
    type: 1,
    params,
    method: 'GET',
  });
}
