import { fetch, authFetch, transAuthFetch, transFetch } from '@/utils/fetch';

// 酒店名称、OYO ID的搜索下拉列表
export function searchHotel(params) {
  return transAuthFetch(`/cn-search/search/hotelSearch`, {
    type: 6,
    params,
    method: 'POST',
  });
}

// 地标的搜索下拉列表
export function searchPOI(params) {
  return transAuthFetch(`/cn-search/poiSearch`, {
    type: 6,
    params,
    method: 'POST',
  });
}

// 通过经纬度获取周围酒店
export function fetchNearbyHotels(params) {
  let { latitude, longitude } = params;
  latitude = Number.parseFloat(latitude);
  longitude = Number.parseFloat(longitude);
  params.latitude = Number.isNaN(latitude) ? undefined : latitude;
  params.longitude = Number.isNaN(longitude) ? undefined : longitude;

  return transAuthFetch(`/cn-search/search/hotelInfoSearch`, {
    type: 6,
    method: 'POST',
    params,
  });
}
