import React, { PureComponent } from 'react';
import { Tabs, Card, Row, Col, Button, message } from 'antd';
import { connect } from 'dva';
import ButtonAuthorized from '@/components/ButtonAuthorized';
import ChangeStatusModal from './ChangeStatusModal';
// 编辑以及取消编辑的按钮组件 会接入权限
@connect(() => ({}))
export default class ButtonList extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      // type: 'query', // ‘edit’
      visible: false,
    };
  }

  change = type => {
    let { callBack } = this.props;
    // this.setState({
    //   type,
    // });
    callBack && callBack(type);
  };

  changeStatus = ({ status, hotelId }) => {
    let { callBackStatus, dispatch } = this.props;
    message.info('状态更新成功');
    callBackStatus &&
      callBackStatus({
        status,
        hotelId,
      });

    // 修改基础信息
    dispatch({
      type: 'HotelCreateEditHotelBasicInfo/updateStatus',
      payload: status,
    });
  };

  changeModal = bl => {
    this.setState({
      visible: bl,
    });
  };

  judgeCode = () => {
    let { code } = this.props;
    const menuList = localStorage.menuList ? JSON.parse(localStorage.menuList) : [];
    let disabled = !menuList.some(item => item.code === code);

    return disabled;
  };

  judgeUpdateCode = () => {
    // 更新酒店状态code
    let code = 'CRS7.1.1';

    const menuList = localStorage.menuList ? JSON.parse(localStorage.menuList) : [];
    let disabled = !menuList.some(item => item.code === code);

    return disabled;
  };

  render() {
    let { changeStatus, changeModal, judgeCode, judgeUpdateCode } = this;
    const { visible } = this.state;
    let { hotelId, status, code, type } = this.props;
    return (
      <Row style={{ marginBottom: 10, width: 1200 }}>
        {type === 'query' ? (
          <Col span={2}>
            <Button
              type="primary"
              // size="small"
              disabled={judgeCode()}
              onClick={() => this.change('edit')}
            >
              打开编辑
            </Button>
          </Col>
        ) : (
          <Col span={2}>
            <Button type="primary" onClick={() => this.change('query')}>
              {' '}
              取消编辑
            </Button>{' '}
          </Col>
        )}

        {/* <Col span={16} /> */}

        <Col span={2}>
          {/* <Button
            type="primary"
            size="small"
            onClick={() => this.changeModal(true)}
            disabled={judgeUpdateCode()}
          >
            更新状态
          </Button> */}

          {/* <ButtonAuthorized
            type="primary"
            // size="small"
            code="CRS7.1.1"
            onClick={() => this.changeModal(true)}
          >
            更新状态
          </ButtonAuthorized> */}
        </Col>

        <ChangeStatusModal
          visible={visible}
          hotelId={hotelId}
          status={status}
          changeStatus={changeStatus}
          callback={bl => changeModal(bl)}
        />
      </Row>
    );
  }
}
