import React, { PureComponent } from 'react';
import { Tabs, Card, Row, Col, Button, Modal, Radio, Input, DatePicker, message } from 'antd';
import moment from 'moment';
import { connect } from 'dva';
import { editReplyContent } from '../CommentManage/services/index';

const { TextArea } = Input;

@connect(({ user }) => ({
  user,
}))
export default class EditReplyModal extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      confirmLoading: false,

      id: '',
      replyNewContent: '',
    };
  }

  componentDidMount() {
    console.log('editreplyModal里的user', this.props.user.name);
  }

  componentWillReceiveProps(nextProps) {
    let { commentId, replyContent } = nextProps;
    this.setState({
      id: commentId,
      replyNewContent: replyContent,
    });
  }

  handleOk = () => {
    let { callback, updateCommentList, isCanEdit } = this.props;
    let { id, replyNewContent } = this.state;
    const isCanEditType = isCanEdit();

    if (isCanEditType) {
      editReplyContent({
        operatorName: this.props.user.name,
        commentId: id,
        customerServiceReplyContent: replyNewContent,
        operatorId: this.props.user.accountId,
      })
        .then(res => {
          updateCommentList && updateCommentList();

          callback && callback(false);
          this.setState({
            confirmLoading: false,
          });
        })
        .catch(er => {
          console.log(er);
          this.setState({
            confirmLoading: false,
          });
        });
    }
  };

  handleCancel = () => {
    let { callback } = this.props;
    callback && callback(false);
  };

  onContentChange = ev => {
    this.setState({
      replyNewContent: ev.target.value,
    });
  };

  render() {
    const { visible } = this.props;
    const { confirmLoading, replyNewContent } = this.state;
    let { handleOk, handleCancel, onContentChange } = this;
    return (
      <Modal
        title="修改回复"
        confirmLoading={confirmLoading}
        visible={visible}
        onOk={handleOk}
        onCancel={handleCancel}
      >
        <TextArea
          style={{ marginTop: 20, height: '200px', marginBottom: 20 }}
          onChange={onContentChange}
          value={replyNewContent}
        />
      </Modal>
    );
  }
}
