import React from 'react';
import { Card, Input, Button, message } from 'antd';
// 第一步：获取旧CRS酒店信息
class CreateHotelStep extends React.Component {
  // 持有查询输入框
  state = {
    // hotelId: 'CN_SZX036'
    oyoId: '',
  };

  // 输入框输入时回调函数
  handleInput = ({ target }) => {
    this.setState({ oyoId: target.value });
  };

  // 处理同步点击事件
  handleClick = () => {
    const { handler } = this.props;
    const { oyoId } = this.state;
    if (oyoId) {
      // 将输入值外传
      handler(oyoId);
    } else {
      message.error('请输入OYO_Id');
    }
  };

  render() {
    const { oyoId } = this.state;

    return (
      <Card>
        <span>获取旧CRS酒店信息：</span>
        <Input
          id="oyoId"
          defaultValue={oyoId}
          onInput={this.handleInput}
          style={{ width: '240px' }}
          placeholder="请输入酒店OYO_ID"
        />
        <span className="hotel-wedges" />
        <Button onClick={this.handleClick} type="primary">
          同步
        </Button>
      </Card>
    );
  }
}

export default CreateHotelStep;
