import React from 'react';
import { Form, Select } from 'antd';

const FormItem = Form.Item;
const Option = Select.Option;

export default context =>
  class EditableCell extends React.Component {
    /**
     * const {opts, optAttr, emiter} = this.props
     */
    state = {
      editing: true,
      selectedOpt: {},
    };

    componentDidMount() {
      if (this.props.editable) {
        const { optAttr, opts, record } = this.props;
        let selectedOpt;
        opts.forEach(opt => {
          if (opt[optAttr.key] === record[optAttr.key]) {
            selectedOpt = opt;
          }
        });
        if (opts && opts.length > 0) {
          if (!selectedOpt) {
            selectedOpt = opts[0];
          }
          this.setState({
            selectedOpt,
          });
        }
      }
    }

    toggleEdit = () => {
      const editing = !this.state.editing;
      this.setState({ editing });
    };

    handleChange = (idx, opt) => {
      const { cellEmiter, record, opts } = this.props;
      const { key } = opt;
      const currentOpt = opts[key];
      this.setState({
        selectedOpt: currentOpt,
      });
      cellEmiter(currentOpt, record.oldRoomTypeId);
    };

    render() {
      const {
        opts = [],
        optAttr = { key: '', valule: '' },
        record,
        editable,
        ...restProps
      } = this.props;
      const { editing, selectedOpt } = this.state;
      return (
        <td>
          {editable ? (
            <context.Consumer>
              {() =>
                editing ? (
                  <FormItem style={{ margin: 0 }}>
                    <Select
                      style={{ width: '100%' }}
                      defaultValue={record[optAttr.key]}
                      onChange={this.handleChange}
                      placeholder="请选择"
                    >
                      {opts.map((op, idx) => (
                        <Option key={idx} value={op[optAttr.key]}>
                          {op[optAttr.value]}
                        </Option>
                      ))}
                    </Select>
                  </FormItem>
                ) : (
                  <div
                    className="editable-cell-value-wrap"
                    style={{ paddingRight: 24 }}
                    onClick={this.toggleEdit}
                  >
                    {selectedOpt[optAttr.value]}
                  </div>
                )
              }
            </context.Consumer>
          ) : (
            restProps.children
          )}
        </td>
      );
    }
  };
