import React from 'react';
import { Table } from 'antd';

import editableCellFactory from './EditableCell';
import editableRowFactory from './EditableRow';
import { dataBase, standardOptObj, sellOptsObj, columnsDefault } from '../../helper';

const EditableContext = React.createContext();
const EditableCell = editableCellFactory(EditableContext);
const EditableFormRow = editableRowFactory(EditableContext);

export default class EditableTable extends React.Component {
  state = {
    dataSource: [],
  };

  // 操作--房间设置
  handleSetting = evt => {
    // console.log(evt);
  };

  rowEmiter = (data, row) => {
    // console.log(data, row)
  };

  cellEmiter = (opt, oldRoomTypeId) => {
    const newData = [...this.state.dataSource];
    newData.forEach((item, idx) => {
      if (item.oldRoomTypeId === oldRoomTypeId) {
        Object.keys(opt).forEach(k => {
          item[k] = opt[k];
        });
      }
    });

    this.syncData(newData);
  };

  syncData = data => {
    // this.props.backpassHandler(data)
    this.setState({ dataSource: data }, () => {
      dataBase.setStep3(data);
    });
  };

  componentDidMount() {
    const { initData } = this.props;
    this.syncData(initData);
  }

  render() {
    const { dataSource } = this.state;
    const { oyoRoomTypes, sellRoomTypes } = this.props;
    const components = {
      body: {
        row: EditableFormRow,
        cell: EditableCell,
      },
    };
    const columns = columnsDefault.map(col => {
      if (!col.editable) {
        return col;
      }
      let opts;
      let initOpt;
      let optAttr;
      if (col.dataIndex === 'saleRoomTypeName') {
        opts = sellRoomTypes;
        optAttr = sellOptsObj;
      } else {
        opts = oyoRoomTypes;
        optAttr = standardOptObj;
      }
      const [fir] = opts;
      initOpt = fir;
      return {
        ...col,
        onCell: record => ({
          record,
          editable: col.editable,
          dataIndex: col.dataIndex,
          opts,
          initOpt,
          optAttr,
          cellEmiter: this.cellEmiter,
          title: col.title,
        }),
      };
    });
    const onRow = (record, idx) => ({
      record,
      rowEmiter: this.rowEmiter,
    });
    return (
      <div>
        <Table
          components={components}
          onRow={onRow}
          rowKey="oldRoomTypeId"
          rowClassName={() => 'editable-row'}
          bordered
          dataSource={dataSource}
          columns={columns}
        />
      </div>
    );
  }
}
