import React, { PureComponent, Component } from 'react';
import { func } from 'prop-types';
import { Upload, Button, Icon, message } from 'antd';
import OyoBatchUpload from '@/components/OyoBatchUpload';
import { updateWithoutSplit } from '@/utils/fetch';

export default class HMIRule extends PureComponent {
  constructor(props) {
    super(props);

    this.state = {
      fileList: [],
      fileName: '',
    };
  }

  handleChange = info => {
    console.log(info);
  };

  handleBeforeUpload = file => {
    const formData = new FormData();

    formData.append('files', file);
    formData.append('configKey', 'HMI_RULE_DESC');

    updateWithoutSplit('/api/crs/hotelFunc/uploadFile', {
      formData,
    })
      .then(res => {
        if (res.code === '000') {
          message.success('上传成功！');
          this.setState({ fileName: file.name });
        }
      })
      .catch(err => {
        console.log(err);
      });
  };

  render() {
    let { fileName } = this.state;

    return (
      <>
        <p>规则说明文件：</p>
        <Upload
          accept=".pdf"
          onChange={this.handleChange}
          fileList={this.state.fileList}
          beforeUpload={this.handleBeforeUpload}
        >
          <Button>
            <Icon type="upload" /> Upload
          </Button>
        </Upload>
        <p style={{ marginTop: '10px', marginLeft: '5px' }}>{fileName}</p>
      </>
    );
  }
}
