import React, { PureComponent } from 'react';
import { Tabs, Card } from 'antd';
import { connect } from 'dva';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import { HighestBonus, BonusIndicators, BaseCondition, HMIRule } from './components/index';

const TabPane = Tabs.TabPane;

@connect(({ hotelHMIConfigure }) => hotelHMIConfigure)
export default class HMIConfigure extends PureComponent {
  render() {
    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs defaultActiveKey="0">
            <TabPane tab="最高奖金配置" key="0">
              <HighestBonus />
            </TabPane>
            <TabPane tab="奖金指标配置" key="1">
              <BonusIndicators />
            </TabPane>
            <TabPane tab="基准条件配置" key="2">
              <BaseCondition />
            </TabPane>
            <TabPane tab="HMI规则说明" key="3">
              <HMIRule />
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
