import { transFetch, transAuthUpdate, authFetch as request, transAuthFetch } from '@/utils/fetch';
/**
 * 传入评分等级,返回对应的tag列表
 * @param {String} totalRate
 */
export function fetchCommentTags(totalRate) {
  return transAuthFetch(`/v1/back/page/templateTag/templateTags/${totalRate}`, {
    type: 8,
  });
}

// 获取奖金指标列表
export function getBonusIndicator(params) {
  return request(`/api/crs/hmi/getBonusIndicator`, {
    params,
  });
}

// 修改奖金指标
export function modifyBonusIndicator(params) {
  return request(`/api/crs/hmi/modifyBonusIndicator`, {
    params,
    method: 'POST',
  });
}

// 获取奖金指标日志
export function getOperateLogList(params) {
  return request(`/api/crs/hmi/getOperateLogList`, {
    params,
  });
}

// 获取最高奖金配置列表
export function getTotalBonus(params) {
  return request(`/api/crs/hmi/getTotalBonus`, {
    params,
  });
}

// 修改最高奖金配置
export function modifyTotalBonus(params) {
  return request(`/api/crs/hmi/modifyTotalBonus`, {
    params,
    method: 'POST',
  });
}

// 获取基准条件配置列表
export function getBenchmarkCondition(params) {
  return request(`/api/crs/hmi/getBenchmarkCondition`, {
    params,
  });
}

// 修改基准条件配置
export function modifyBenchmarkCondition(params) {
  return request(`/api/crs/hmi/modifyBenchmarkCondition`, {
    params,
    method: 'POST',
  });
}
