import {
  uploadApplication,
  deleteApplication,
  applicationList,
  downloadApplication,
} from '../service';
// import console = require('console');

export default {
  namespace: 'managePmsApp',
  state: {
    getAppList: [],
    pageNum: null,
    pageSize: null,
    totalCount: null,
  },
  effects: {
    *applicationList({ payload }, { call, put }) {
      try {
        let res = yield call(applicationList, payload);
        yield put({
          type: 'queryApplicationList',
          payload: res,
        });
        return res;
        // return Promise.resolve(res);
      } catch (error) {
        return error;
        // return Promise.reject(error);
      }
    },
    *uploadApplication({ payload }, { call, put }) {
      try {
        let res = yield call(uploadApplication, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },
    *deleteApplication({ payload }, { call, put }) {
      try {
        let res = yield call(deleteApplication, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },
    *downloadApplication({ payload }, { call, put }) {
      try {
        let res = yield call(downloadApplication, payload);
        return Promise.resolve(res);
      } catch (error) {
        return Promise.reject(error);
      }
    },
  },
  reducers: {
    queryApplicationList(state, { payload }) {
      const { pageNum, pageSize, totalCount, result } = payload.data;
      console.log(payload, 'payload');
      let getAppList = result;
      return {
        ...state,
        pageNum,
        pageSize,
        totalCount,
        getAppList,
      };
    },
  },
};
