import { authFetch, transAuthFetch, updateWithoutSplit } from '@/utils/fetch';

// 列表查询
export function applicationList(params) {
  return authFetch(`/api/crs/applicationList`, {
    method: 'POST',
    params,
  });
}

// 发布应用

export function uploadApplication(param) {
  const { params, formData } = param;
  return updateWithoutSplit(
    `/api/crs/uploadApplication`,
    {
      method: 'POST',
      formData,
      type: 2,
      params,
    },
    'file'
  );
}

// 删除应用
export function deleteApplication(params) {
  return authFetch(`/api/crs/deleteApplication`, {
    method: 'POST',
    params,
  });
}

/* // 下载应用
export function downloadApplication(params) {
  return `${params.url}`
} */

// test downloadApplication
export function downloadApplication(params) {
  return authFetch(`/api/crs/downloadApplication`, {
    method: 'GET',
    params,
  });
}
