import { getHotelCount, closeHotelFunc, editFuncInfo } from '../service';

export default {
  namespace: 'PMSFuncWhiteList',
  state: {
    selectedHotel: {},
    hotelCount: 0,
  },
  effects: {
    *getHotelCount({ payload }, { call, put, select }) {
      try {
        const res = yield call(getHotelCount, payload);
        const { data = 0 } = res;
        yield put({
          type: 'setHotelCount',
          payload: data,
        });
        return res;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
    *closeHotelFunc({ payload }, { call, put, select }) {
      try {
        const res = yield call(closeHotelFunc, payload);

        return res;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
    *editFuncInfo({ payload }, { call, put, select }) {
      try {
        const res = yield call(editFuncInfo, payload);
        return res;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
  },
  reducers: {
    setSelectedHotel(state, { payload }) {
      return {
        ...state,
        selectedHotel: payload,
      };
    },
    setHotelCount(state, { payload }) {
      return {
        ...state,
        hotelCount: payload,
      };
    },
  },
};
