import { authFetch as request, updateWithoutSplit } from '@/utils/fetch';
import { downloadFile } from '@/utils/downloadFile';

// PMS酒店功能配置列表查询
// https://shimo.im/docs/wXKq4MRLDmjHWkNG
export function getPMSFuncList(params = {}) {
  return request(`/api/crs/hotelFunc/getHotelFuncList`, {
    method: 'GET',
    params,
  });
}

// 修改酒店功能
// https://shimo.im/docs/Xm4kMLgejQRcrqDW
export function editFuncInfo(params = { funcName: '', funcKey: '', funcDesc: '' }) {
  return request(`/api/crs/hotelFunc/modifyHotelFuncInfo`, {
    method: 'POST',
    params,
  });
}

// 搜索功能开启酒店
// https://shimo.im/docs/nN2A1MwLDnYFYAD1
export function getFuncOnlineHotel(
  params = { funcKey: '', pageNum: 1, pageSize: 10, hotelName: '' }
) {
  return request(`/api/crs/hotelFunc/getOpenHotelInfo`, {
    method: 'GET',
    params,
  });
}

// 下线
// https://shimo.im/docs/15rk9dzBDXRTdqxP
export function closeHotelFunc(params = {}) {
  return request(`/api/crs/hotelFunc/closeHotelFuncForHotel`, {
    method: 'POST',
    params,
  });
}

// https://shimo.im/docs/r16q8MwnNEWI6k7D
export function getHotelCount(params = {}) {
  return request(`/api/crs/hotelFunc/getHotelFuncConfigCount`, {
    method: 'GET',
    params,
  });
}

// https://shimo.im/docs/R913JVWjKBNuj3E6
export function downloadHotelFuncConfig(queryParams = {}, fileName) {
  return downloadFile(`/api/crs/hotelFunc/exportHotelFuncConfig`, queryParams, fileName);
}

// https://shimo.im/docs/947kgJObxe4TrqVp
export function uploadHotelFuncConfig({ formData, params = {} }) {
  return updateWithoutSplit(
    `/api/crs/hotelFunc/uploadHotelFuncConfig`,
    {
      method: 'POST',
      params,
      formData,
      type: 2,
    },
    'file'
  );
}
