import React, { Component } from 'react';
import router from 'umi/router';
import { connect } from 'dva';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';

@connect()
export default class SearchList extends Component {
  handleTabChange = key => {
    const { match, location } = this.props;
    const bookingId = location.query.bookingId;

    switch (key) {
      case 'order':
        router.push(`${match.url}/order?bookingId=${bookingId}`);
        break;
      case 'room':
        router.push(`${match.url}/room?bookingId=${bookingId}`);
        break;
      case 'bill':
        router.push(`${match.url}/bill?bookingId=${bookingId}`);
        break;
      case 'journal':
        router.push(`${match.url}/journal?bookingId=${bookingId}`);
        break;
      default:
        break;
    }
  };

  render() {
    const tabList = [
      {
        key: 'order',
        tab: '订单详情',
      },
      {
        key: 'room',
        tab: '房单详情',
      },
      {
        key: 'bill',
        tab: '账单详情',
      },
      {
        key: 'journal',
        tab: '日志',
      },
    ];

    const { match, children, location } = this.props;
    return (
      <PageHeaderWrapper
        title=""
        tabList={tabList}
        tabActiveKey={location.pathname.replace(`${match.path}/`, '')}
        onTabChange={this.handleTabChange}
      >
        {children}
      </PageHeaderWrapper>
    );
  }
}
