import React, { PureComponent, Component } from 'react';
import { Modal, Button, Form, Input, message, Alert, Col, Row } from 'antd';
import PropTypes from 'prop-types';

const formItemLayout = {
  labelCol: {
    span: 4,
  },
  wrapperCol: {
    span: 20,
  },
};

const sysRemarkValidator = (rule, value, callback) => {
  const rules = /^.{1,50}$/;
  const result = rules.test(value);
  if (value === undefined) {
    callback('备注信息必填');
  }
  if (!result) {
    callback('最多50个字符');
  }
  callback();
};
class OrderDeleteModal extends Component {
  render() {
    const { onCancel, onOk, title, visible, loading, form } = this.props;
    const { getFieldDecorator } = form;

    return (
      <Modal
        visible={visible}
        title={title}
        onCancel={onCancel}
        onOk={onOk}
        okButtonProps={loading}
      >
        <Row type="flex" justify="start">
          <Col span={24}>
            <Alert showIcon message="操作不可逆，请谨慎处理" type="warning" />
            <Form layout="inline" style={{ marginTop: 20 }}>
              <Form.Item label="备注" style={{ width: '100%' }} {...formItemLayout}>
                {form.getFieldDecorator('sysRemark')(<Input.TextArea placeholder="最多50个字符" />)}
              </Form.Item>
            </Form>
          </Col>
        </Row>
      </Modal>
    );
  }
}

OrderDeleteModal.propTypes = {
  onCancel: PropTypes.func.isRequired,
  onOk: PropTypes.func.isRequired,
  title: PropTypes.string.isRequired,
  visible: PropTypes.bool.isRequired,
};

export default Form.create({})(OrderDeleteModal);
