import { message } from 'antd';
import { uploadAssociateFile } from '../services/highBooking.ts';

const menuList = localStorage.menuList || '';

export function getDefaultConfig({ comments, downloadUrl, type }, context) {
  return {
    xlsx: '.xlsx',
    isNeedTag: true,
    stepList: [
      {
        buttonTitle: '下载模版',
        comments: '每次新增时需重新下载表格',
        disabled: !menuList.includes('CRS3.10.1'),
      },
      {
        comments,
      },
      {
        buttonTitle: '上传文件',
        comments: '因处理数据较多，请等待5分钟后，在“处理结果”页面查看结果',
        disabled: !menuList.includes('CRS3.10.2'),
      },
    ],
    uploadFile: function(param) {
      const { formData } = param;
      const params = {};

      return uploadAssociateFile({ formData, params }).then(res => {
        message.success('上传成功，请在【处理结果】页面查看结果');
        return {
          success: true,
          dom: this.renderRes(res),
        };
      });
    }.bind(context),

    downloadUrl,
  };
}

export function getHightBookingHandleProps(context) {
  return getDefaultConfig(
    {
      comments: `<p>填写表格：</p>
            <p>首行为标题，请勿覆盖。：</p>
            <p>1.首行为标题，请勿修改或覆盖</p>
            <p>2.表格中需要填写的内容：</p>
            <p>• 订单号，例如：PBF151932038<span style="color: #F5222D;">必填</span></p>
            <p>3.批量上限：500条/次</p>`,

      downloadUrl: './批量处理跳高单.xlsx',
    },
    context
  );
}
