import React, { Component, PureComponent } from 'react';
import { Card, Row, Tabs } from 'antd';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import HightBookingHandle from './components/HightBookingHandle';
import HandleResult from './components/HandleResult';

const { TabPane } = Tabs;

const menuList = localStorage.menuList || '';

export default class highBooking extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      activeKey: '1',
    };
  }

  // resultRef = undefined;

  tapChange = key => {
    this.setState({
      activeKey: key,
    });
  };

  render() {
    let { activeKey } = this.state;
    let isResultTabDisabled = !menuList.includes('CRS3.10.4');

    return (
      <PageHeaderWrapper>
        <Card>
          <Tabs defaultActiveKey="1" onChange={this.tapChange}>
            <TabPane tab="批量处理跳高单" key="1">
              <HightBookingHandle />
              <Row style={{ paddingLeft: 16 }}>
                <p />
                <p style={{ color: '#000000d8', fontWeight: 500 }}>处理规则：</p>
                <p>1.可做跳高处理的来源渠道：</p>
                <p>• 飞猪（非直连）</p>
                <p>• 美团（直连）、美团（非直连）</p>
                <p>• 艺龙（直连）、艺龙（非直连）</p>
                <p>• 携程（直连）、携程（非直连）、携程（非直连）（集团账号）</p>
                <p>• 去哪儿（直连）、去哪儿（非直连）</p>
                <p>2.处理跳高单的时间限制：需在订单离店日期后的5天内处理；</p>
                <p>
                  3.跳高订单的状态将被置为<span style={{ color: '#F5222D' }}>取消</span>;
                </p>
                <p>4.跳高订单将会标记上“门店跳高单调整”。</p>
              </Row>
            </TabPane>
            <TabPane tab="处理结果" key="2" disabled={isResultTabDisabled}>
              <HandleResult active={activeKey === '2'} />
            </TabPane>
          </Tabs>
        </Card>
      </PageHeaderWrapper>
    );
  }
}
