import {
  querylistBooking,
  queryCallDetail,
  addCall,
  addCallHandle,
  addCallPayout,
  queryCIDHandle,
} from '../services/preventCID';

export default {
  namespace: 'preventCID',
  state: {
    defaultParams: {},
    CIDQueryResult: null, // 打开CID处理弹框前查询是否存在，返回null或[Object]
  },
  effects: {
    *fetchlistBooking({ payload }, { call }) {
      try {
        const response = yield call(querylistBooking, payload);
        return response;
      } catch (e) {
        return e.response;
      }
    },
    *fetchCallDetail({ payload }, { call }) {
      try {
        const response = yield call(queryCallDetail, payload);
        return response;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
    *fetchAddCall({ payload }, { call }) {
      try {
        const response = yield call(addCall, payload);
        return response;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
    *fetchCIDHandle({ payload }, { call }) {
      try {
        const response = yield call(addCallHandle, payload);
        return response;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
    *fetchVOCHandle({ payload }, { call }) {
      try {
        const response = yield call(addCallPayout, payload);
        return response;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
    *queryCIDHandle({ payload }, { call, put }) {
      try {
        const response = yield call(queryCIDHandle, payload);
        yield put({ type: 'setCIDQueryResult', payload: response.data });
        return response;
      } catch (e) {
        return Promise.reject(e.response);
      }
    },
  },
  reducers: {
    setSearchParams(state, { payload }) {
      return {
        ...state,
        defaultParams: payload,
      };
    },
    setCIDQueryResult(state, { payload }) {
      return {
        ...state,
        CIDQueryResult: payload,
      };
    },
  },
};
