import { authFetch as request, transAuthFetch } from '@/utils/fetch';

// 获取酒店Id（模糊搜索）
export function querySuggestHotel(params) {
  return request(`/api/crs/v1/common/suggestHotel`, {
    method: 'POST',
    params,
  });
}

// 获取申诉列表
export function queryComplaintList(params) {
  return request(`/api/crs/v1/roomReservation/noshow/appeal/list`, {
    method: 'POST',
    params,
  });
}

// 获取日志列表
export function queryJournalList(params) {
  return request(`/api/crs/v1/roomReservation/noshow/appeal/log/list`, {
    params,
  });
}

// 申诉通过、驳回接口
export function requestComplaint(params) {
  return transAuthFetch(`/crs/roomReservation/noshow/appeal`, {
    type: 3,
    method: 'PUT',
    params,
  });
}
