import { authFetch, transAuthFetch } from '@/utils/fetch';

export function createBooking(payload) {
  return transAuthFetch(`/crs/booking/create`, {
    method: 'POST',
    type: 3,
    params: {
      ...payload,
    },
  });
}

export function verifyNumber(number) {
  return authFetch(`/api/crs/v1/member/verify`, {
    params: {
      mobile: number,
    },
  });
}

// crs下单渠道列表
export function listCrsChannel(number) {
  return authFetch(`/api/crs/v1/channel/listCrsChannel`);
}

// crs房价类型列表
export function listRateCode(payload) {
  return transAuthFetch(`/product/rate/searchRateCodeNameList`, {
    type: 1,
    params: {
      ...payload,
    },
  });
}

// 获取商品信息
export function getProductList(payload) {
  return authFetch(`/api/crs/v1/product/getProduct`, {
    params: {
      ...payload,
    },
  });
}

// 获取销售员列表
export function getSalesList(payload) {
  return authFetch(`/api/crs/v1/product/getSales`, {
    params: {
      ...payload,
    },
  });
}

// 获取需要渠道号的渠道id
export function fetchQueryChannelList() {
  return transAuthFetch(`/crs/booking/queryChannelList`, {
    method: 'GET',
    type: 3,
  });
}
