import { authFetch as request, transAuthFetch } from '@/utils/fetch';

// 查询订单异常处理列表
export function queryExceptionList(params) {
  return request(`/api/crs/appeal/getAppealListPage`, {
    params,
  });
}

// 查询订单处理日志列表
export function queryLogList(params) {
  return request(`/api/crs/appeal/detail/${params}`);
}

// 创建申诉单-获取可申诉原因
export function requestCreateAppeal(params) {
  return request(`/api/crs/appeal/createAppeal`, {
    method: 'POST',
    params,
  });
}

// 操作-校验订单是否可申诉审核-获取可申诉原因
export function requestCheckOrder(params) {
  return request(`/api/crs/appeal/checkBookingForAppealAudit`, {
    method: 'POST',
    params,
  });
}

// 查询新增/操作页面订单处理中任务列表
export function queryProcessingList(params) {
  return request(`/api/crs/appeal/getAppealListOfBooking`, {
    params,
  });
}

// 查询房单信息
export function queryOrderSnList(params) {
  return request(`/api/crs/appeal/getRoomReservationByAppealReason`, {
    params,
  });
}

// 查询订单信息
export function queryOrderDetail(params) {
  return request(`/api/crs/v1/booking/getDetail`, {
    params,
  });
}

// 根据申诉原因-退款-查询订单信息
export function queryRefundDetail(params) {
  return request(`/api/crs/appeal/getBookingByAppealReason`, {
    params,
  });
}

// 操作处理完成
export function requestSingleAppeal(params) {
  return request(`/api/crs/appeal/appealAudit`, {
    method: 'POST',
    params,
  });
}

// 操作申诉审核通过/驳回
export function requestAppeal(params) {
  return request(`/api/crs/appeal/completeAppeal`, {
    method: 'POST',
    params,
  });
}

// 查询所有申诉原因
export function queryAllAppealReason() {
  return request(`/api/crs/appeal/getAllAppealReason`);
}

// 查询该条申诉单号的申诉列表
export function queryAppealDetail(id) {
  return request(`/api/crs/appeal/auditAppealDetail/${id}`);
}

// 查询该房单每日房价
export function roomPriceDetail(id) {
  return request(`/api/crs/appeal/roomPriceDetail/${id}`);
}

// 新申诉通过
export function appealAudit(params) {
  return request(`/api/crs/appeal/appealAudit`, {
    method: 'POST',
    params,
  });
}

// 新申诉驳回
export function rejectAppeal(params) {
  return request(`/api/crs/appeal/rejectAppealReason`, {
    method: 'POST',
    params,
  });
}
