import { fetch, authFetch, transAuthFetch, transAuthUpdate } from '@/utils/fetch';
import request from '@/utils/request';

export interface IgetExcelFile {}
export interface IupExcelFile {
  formData: FormData;
  params: Object;
}

export function getExcelFile(params: IgetExcelFile = {}): Promise<any> {
  return transAuthFetch(`/api/excel/getExcelFile`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 上传
export async function uploadFile(param: IupExcelFile) {
  let { params, formData } = param;
  return transAuthUpdate(
    `/crs/posting/cpgfix`,
    {
      params: params,
      formData,
      type: 3,
      method: 'POST',
    },
    'file'
  );
}
