import { transAuthDownload, authDownload, fetch, updateWithoutSplit } from '@/utils/fetch';

interface IupExcelFile {
  params?: object;
  formData: FormData;
}

// 查询批量处理结果列表
export function queryResultsList(params) {
  return fetch(`/api/crs/highBooking/queryHighBookingCancel`, {
    type: 3,
    params,
  });
}

// 下载单条结果的可下载项
export function queryDetailsList(params) {
  return authDownload(`/api/crs/highBooking/download`, {
    params,
    type: 3,
  });
}

// 上传关联表
export function uploadAssociateFile(param: IupExcelFile) {
  const { params, formData } = param;

  return updateWithoutSplit(
    `/api/crs/highBooking/upload`,
    {
      params,
      formData,
      type: 3,
      method: 'POST',
    },
    'file'
  );
}
