import { authFetch, transAuthFetch } from '@/utils/fetch';

export function verifyNumber(number) {
  return authFetch(`/api/crs/v1/member/verify`, {
    params: {
      mobile: number,
    },
  });
}

// crs下单渠道列表
export function listCrsChannel(number) {
  return authFetch(`/api/crs/v1/channel/listCrsChannel`);
}

// 获取某个酒店的房型列表
export function listHotelRoomType(hotelId) {
  return transAuthFetch(`/roomType/getRoomTypeList`, {
    type: 1,
    params: {
      hotelId,
    },
  });
}

// crs房价类型列表
export function listRateCode(payload) {
  console.log('supple:', payload);
  return transAuthFetch(`/rateCode/searchRateCodeNameList`, {
    type: 2,
    params: {
      ...payload,
    },
  });
}

// 补录订单查询房间号
export function requestCreateBooking(payload) {
  return transAuthFetch(`/crs/booking/queryRoomId`, {
    type: 3,
    params: {
      ...payload,
    },
  });
}

// 补录订单
export function requestSupplementOrder(payload) {
  console.log('------requestSupplementOrder------', payload);

  return transAuthFetch(`/crs/booking/create`, {
    method: 'POST',
    type: 3,
    params: {
      ...payload,
    },
  });
}

// // 获取商品信息
// export function getProductList(payload) {
//   return authFetch(`/api/crs/v1/product/getProduct`, {
//     params: {
//       ...payload,
//     },
//   });
// }

// 获取需要渠道号的渠道id
export function fetchQueryChannelList() {
  return transAuthFetch(`/crs/booking/queryChannelList`, {
    method: 'GET',
    type: 3,
  });
}
