// data-set 可以按需引入，除此之外不要引入别的包
import React from 'react';
import { Chart, Axis, Tooltip, Geom } from 'bizcharts';
import DataSet from '@antv/data-set';
import DATA from './data';

const { DataView } = DataSet;
function handle(source) {
  let res = JSON.parse(JSON.stringify(source));
  Object.keys(res).forEach(key => {
    res[key] = res[key] === 0 ? 0 : res[key] - new Date('1970-01-01').getTime();
  });
  return res;
}
// 下面的代码会被作为 cdn script 注入 注释勿删
// CDN START
const data = [handle(DATA)];

const dv = new DataView().source(data);
dv.transform({
  type: 'map',
  callback: function callback(obj) {
    obj.range = [
      obj.domainLookupEnd,
      obj.connectStart,
      obj.connectEnd,
      obj.responseStart,
      obj.responseEnd,
    ];
    return obj;
  },
});

const cols = {
  range: { max: 1556077370780 },
};

class Box extends React.Component {
  render() {
    return (
      <Chart height={400} data={dv} scale={cols} forceFit>
        <Tooltip crosshairs={false} />
        <Axis />
        <Geom
          type="schema"
          position="range*1"
          shape="box"
          tooltip="x*low*q1*median*q3*high"
          style={{
            stroke: '#545454',
            fill: '#1890FF',
            fillOpacity: 0.3,
          }}
        />
      </Chart>
    );
  }
}

export default Box;
