// 角色编辑页面的新酒店和角色配置模态框

import React, { PureComponent, Component } from 'react';
import { connect } from 'dva';
import { Row, Col, Card, Input, Button, Table, Modal, Select, message } from 'antd';
import PageHeaderWrapper from '@/components/PageHeaderWrapper';
import HotelSearch from './HotelSearch2';
import { getLowerRule, userAddRole, getHotelNameByEmplyeeId } from '../services';

const Option = Select.Option;
const obj = {
  hotelId: '',
  hotelName: '',
  roleId: 0,
  roleName: '',
  // pkId: 0,
  id: '', // 当前员工id
  list: [],
};
@connect(({ user }) => ({
  user,
}))
export default class NewHotelRoleModal extends Component {
  constructor(props) {
    super(props);
    this.state = { ...obj };
  }

  // componentDidMount() {}

  componentWillReceiveProps(next) {
    this.setState({
      state: { ...obj },
    });
  }

  handleModalCancel = () => {
    let { handleModalCancel } = this.props;
    handleModalCancel && handleModalCancel();
  };

  hotelRoleChange = value => {
    let { hotelName, hotelId } = value;
    // let { pkId } = this.state;
    let { accountId } = this.props.user;
    this.setState({
      hotelName,
      hotelId,
    });
    this.getLowerRule({ accountId, hotelId });
  };

  getLowerRule = data => {
    getLowerRule(data)
      .then(res => {
        let list = res.data;
        this.setState({
          list,
        });
      })
      .catch(error => {});
  };

  userLowerRoleChange = (value, params) => {
    this.setState({
      roleName: value,
      roleId: params.props.id,
    });
  };

  handleModalOk = () => {
    let { accountId } = this.props.user;
    let { hotelName, roleName, roleId, hotelId, list } = this.state;
    let { callbackOk, id } = this.props; // id 是员工id
    if (!hotelName || !roleName) {
      message.error('请选择酒店与角色');
      return;
    }
    userAddRole({ roleId, hotelId, id, accountId })
      .then(res => {
        callbackOk && callbackOk({ ...res.data, list });
        message.success('添加成功');
      })
      .catch(er => {
        console.log(er);
      });
  };

  render() {
    let { modalVisible } = this.props;
    let { hotelName, roleName, pkId, list } = this.state;
    let { accountId } = this.props.user;

    return (
      <Modal
        title="新增酒店与角色配置"
        visible={modalVisible}
        onOk={this.handleModalOk}
        onCancel={this.handleModalCancel}
      >
        <Row gutter={10}>
          <Col span={12}>
            <HotelSearch
              callback={value => this.hotelRoleChange(value)}
              defaultValue={hotelName}
              style={{ width: '100%' }}
              params={{
                accountId,
                pkId,
              }}
            />
          </Col>
          <Col span={12}>
            <Select
              style={{ width: '100%' }}
              value={roleName || undefined}
              placeholder="请选择角色"
              onChange={(value, param) => this.userLowerRoleChange(value, param)}
            >
              {list.map((roleItem, key) => (
                <Option
                  value={roleItem.roleName}
                  id={roleItem.roleId}
                  pkid={roleItem.pkId}
                  key={`roleId-${key}`}
                >
                  {roleItem.roleName}
                </Option>
              ))}
            </Select>
          </Col>
        </Row>
      </Modal>
    );
  }
}
