import { authFetch, fetch, transAuthFetch, transAuthUpdate } from '@/utils/fetch';
import request from '@/utils/request';

export interface IupExcelFile {
  formData: FormData;
  params: object;
}

export function getExcelFile(params: object): Promise<any> {
  return transAuthFetch(`/api/excel/getExcelFile`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 上传
export async function uploadFile(param: IupExcelFile) {
  const { params, formData } = param;
  return transAuthUpdate(
    `/api/excel/readExcel`,
    {
      params,
      formData,
      type: 5,
      method: 'POST',
    },
    'file'
  );
}
