import { fetch, authFetch, transAuthFetch, transAuthUpdate } from '@/utils/fetch';

// 获取角色列表分页
export function getRoleList(params) {
  //
  return transAuthFetch(`/api/v1/role/pageList`, {
    params,
    method: 'POST',
    type: 5,
  });
}

// 获取角色列表total
export function getAllRoleList(params) {
  return authFetch(`/api/crs/v1/role/list`, {
    params,
    method: 'POST',
  });
}

// 获取用户列表
export function getUserListAccountInfo(params) {
  let { isSearch } = params;
  // 初始查询所属用户
  if (isSearch) {
    // 点击查询所有用户
    return transAuthFetch(`/api/v1/employ/getUserByRoleList`, {
      params,
      method: 'POST',
      type: 5,
    });
  }
  return transAuthFetch(`/api/v1/employ/getLowUserList`, {
    params,
    method: 'POST',
    type: 5,
  });
}
// 新增角色s
export function addRole(params) {
  return authFetch(`/api/crs/v1/role/add`, {
    params,
    method: 'POST',
  });
}

// // 编辑角色
// export function editRole(params) {
//   return authFetch(`/api/crs/v1/role/update`, {
//     params,
//     method: 'POST',
//   });
// }
// 编辑角色
export function editRole(params) {
  return transAuthFetch(`/api/v1/role/update`, {
    type: 5,
    params,
    method: 'POST',
  });
}

// 新增账号

export function addUser(params) {
  return authFetch(`/api/crs/v1/employ/add`, {
    params,
    method: 'POST',
  });
}

// 获取权限列表   /api/crs/v1/permission/list
export function getPermissionList(params) {
  return authFetch(`/api/crs/v1/permission/list`, {
    params,
    method: 'GET',
  });
}

// 获取角色详情   /api/crs/v1/permission/list
export function getRoleDetail(params) {
  return transAuthFetch(`/api/v1/role/get`, {
    type: 5,
    params,
    method: 'GET',
  });
}

// 获取用户详细信息
export function getUserDetail(params) {
  return authFetch(`/api/crs/v1/employ/get`, {
    params,
    method: 'GET',
  });
}

// 编辑账号
export function editUser(params) {
  return authFetch(`/api/crs/v1/employ/update`, {
    params,
    method: 'POST',
  });
}
// 编辑账号
export function editUserRole(params) {
  return authFetch(`/api/crs/v1/role/update`, {
    params,
    method: 'POST',
  });
}
// /api/v1/role/rolesByEmployeeId  获取下属角色列表 只供管理员
export function getLowerRule(params) {
  return transAuthFetch(`/api/v1/role/rolesByEmployeeId`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 获取酒店角色列表 https://www.showdoc.cc/accountService?page_id=1119245609240370
export function getHotelRolePageList(params) {
  return transAuthFetch(`/api/v1/hotel/role/getHotelRolePageList`, {
    params,
    type: 5,
    method: 'POST',
  });
}

// 获取酒店角色列表 https://www.showdoc.cc/accountService?page_id=1119245609240370
export function getSalesArea(params) {
  return transAuthFetch(`/common/salesArea`, {
    params,
    type: 1,
    method: 'GET',
  });
}

// 获取岗位类型详情 https://www.showdoc.cc/accountService?page_id=1130913825906926
export function getPostList(params) {
  return transAuthFetch(`/api/v1/hotel/role/getPostList`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 获取岗位类型详情 https://www.showdoc.cc/accountService?page_id=1130913825906926
export function userRoleAdd(params) {
  return transAuthFetch(`/api/v1/hotel/role/add`, {
    params,
    type: 5,
    method: 'POST',
  });
}

// 模糊搜索酒店
export function getHotelName(params) {
  return transAuthFetch(`/api/v1/group/getHotelName`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 模糊查询酒店 根据登陆的用户id查询出该员工所属的所有酒店

export function getHotelNameByEmplyeeId(params) {
  return transAuthFetch(`/api/v1/group/getHotelNameByEmplyeeId`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 用户新增角色
export function userAddRole(params) {
  return transAuthFetch(`/api/v1/hotel/role/add`, {
    params,
    type: 5,
    method: 'POST',
  });
}

// 用户新增修改
export function userUpdateRole(params) {
  return transAuthFetch(`/api/v1/hotel/role/update`, {
    params,
    type: 5,
    method: 'POST',
  });
}

// 员工酒店角色删除 https://www.showdoc.cc/accountService?page_id=1094855982706393
export function userDeleteRole(params) {
  return transAuthFetch(`/api/v1/hotel/role/delete`, {
    params,
    type: 5,
    method: 'POST',
  });
}

// 员工酒店角色删除 https://www.showdoc.cc/accountService?page_id=1094855982706393
export function userSendMessage(params) {
  return transAuthFetch(`/api/v1/employ/sendMessage`, {
    params,
    type: 5,
    method: 'GET',
  });
}

// 删除用户
// api/v1/hotel/role/dalete   //https://www.showdoc.cc/accountService?page_id=1296412976016912
export function deleteUser(params) {
  return transAuthFetch(`/api/v1/employ/deleteUser`, {
    params,
    type: 5,
    method: 'GET',
  });
}
// 判断当前登陆人是否有对员工的编辑权限
//  /api/v1/employ/canEditUser?employeeId=1357&accountId=1
export function canEditUser(params) {
  return transAuthFetch(`/api/v1/employ/canEditUser`, {
    params,
    type: 5,
    method: 'GET',
  });
}
//  用户详情页删除全部关联酒店   /api/v1/employ/deleteEmployeeHotel?employeeId=1357&accountId=1
export function deleteEmployeeHotel(params) {
  return transAuthFetch(`/api/v1/employ/deleteEmployeeHotel`, {
    params,
    type: 5,
    method: 'GET',
  });
}
// 上传头像
export function uploadAvatar({ formData }) {
  return transAuthUpdate(
    `/api/v1/employ/uploadImg`,
    {
      method: 'POST',
      type: 5,
      formData,
    },
    'file'
  );
}

// 删除头像
export function deleteAvatar(params) {
  return transAuthFetch(`/api/v1/employ/deleteImg`, {
    type: 5,
    params,
  });
}
