import React, { PureComponent } from 'react';
import { connect } from 'dva';
import { Checkbox, Radio } from 'antd';
import styles from '../../AddStrategy.less';

const RadioGroup = Radio.Group;

@connect(({ strategy, loading }) => ({
  strategy,
  loading: loading.models.price,
}))
export default class GuaranteeRule extends PureComponent {
  render() {
    const strategy = this.props.strategy;
    let { guaranteeRule, payRule } = strategy;

    return (
      <div className={styles.container}>
        <div className={(styles.rulesBlockHd, styles.blockHd)}>
          <p>担保规则</p>
          <Checkbox onChange={this.onIsCanCustom} checked={guaranteeRule.customizable}>
            允许酒店自定义
          </Checkbox>
        </div>
        <div className={styles.containerBd}>
          <RadioGroup onChange={this.handlerType} value={guaranteeRule.type}>
            {payRule.type !== 2 ? (
              <>
                <Radio value={1}>无担保</Radio>
                <Radio value={2}>全天首晚担保</Radio>
              </>
            ) : null}

            <Radio value={3}>全天全额担保</Radio>
          </RadioGroup>
        </div>
      </div>
    );
  }

  onIsCanCustom = () => {
    this.props.dispatch({
      type: 'strategy/onIsCanCustom',
      payload: {
        key: 'guaranteeRule',
      },
    });
  };

  handlerType = e => {
    this.props.dispatch({
      type: 'strategy/changeMainVal',
      payload: {
        guaranteeRule: {
          ...this.props.strategy.guaranteeRule,
          type: Number(e.target.value),
        },
      },
    });
  };
}
