import React, { PureComponent } from 'react';
import { connect } from 'dva';
import { Checkbox, Radio } from 'antd';
import styles from '../../AddStrategy.less';

const RadioGroup = Radio.Group;

@connect(({ strategy, loading }) => ({
  strategy,
  loading: loading.models.price,
}))
export default class PayRule extends PureComponent {
  render() {
    const strategy = this.props.strategy;
    let { payRule } = strategy;

    return (
      <div className={styles.container}>
        <div className={(styles.rulesBlockHd, styles.blockHd)}>
          <p>可使用用户支付规则</p>
          <Checkbox onChange={this.onIsCanCustom} checked={payRule.customizable}>
            允许酒店自定义
          </Checkbox>
        </div>
        <div className={styles.containerBd}>
          <RadioGroup
            className={styles.reservationLt}
            onChange={this.handlerType}
            value={payRule.type}
          >
            <Radio value={0}>现付</Radio>
            <Radio value={1}>预付</Radio>
            <Radio value={2}>信用住</Radio>
          </RadioGroup>
        </div>
      </div>
    );
  }

  onIsCanCustom = () => {
    this.props.dispatch({
      type: 'strategy/onIsCanCustom',
      payload: {
        key: 'payRule',
      },
    });
  };

  handlerType = e => {
    const val = Number(e.target.value);
    const payload = {
      payRule: {
        ...this.props.strategy.payRule,
        type: Number(e.target.value),
      },
      guaranteeRule: {
        ...this.props.strategy.guaranteeRule,
      },
    };

    if (Number(e.target.value) === 2) {
      payload.guaranteeRule.type = 3;
    }

    this.props.dispatch({
      type: 'strategy/changeMainVal',
      payload,
    });
  };
}
