import { queryPriceStrategyList } from '../services/strategy';

export default {
  namespace: 'price',

  state: {
    queryData: {
      defaultParams: {
        status: '',
        hotelId: '',
        name: '',
        pageNum: 1,
        pageSize: 10,
      },
      pageNum: 1,
      pageSize: 10,
      totalCount: 0,
      list: [],
    },
  },

  effects: {
    *fetch({ payload }, { call, put }) {
      try {
        const response = yield call(queryPriceStrategyList, payload);
        yield put({
          type: 'queryPriceStrategyList',
          payload: response,
        });
        return response;
      } catch (e) {
        return e.response;
      }
    },
  },

  reducers: {
    queryPriceStrategyList(state, { payload }) {
      const { data } = payload;
      const { result, pageSize, pageNum, totalCount } = data;
      const list = result.map((item, key) => {
        const ele = item;
        ele.key = key;
        return ele;
      });
      const queryData = {
        defaultParams: state.queryData.defaultParams,
        pageNum,
        pageSize,
        totalCount,
        list,
      };
      return {
        ...state,
        queryData,
      };
    },
  },
};
