import { authFetch } from '@/utils/fetch';

export async function queryPriceStrategyList(params) {
  return authFetch(`/api/crs/v1/rateCode/searchRateCodeList`, {
    params: { ...params },
  });
}

export function getRateCodeDetail(rateCodeId) {
  return authFetch(`/api/crs/v1/rateCode/getRateCodeDetail`, {
    params: {
      rateCodeId,
    },
  });
}

export function createRateCode(params) {
  return authFetch(`/api/crs/v1/rateCode/createRateCode`, {
    method: 'POST',
    params: {
      ...params,
    },
  });
}

export function update(params) {
  return authFetch(`/api/crs/v1/price/rateCode/update`, {
    method: 'POST',
    params: {
      ...params,
    },
  });
}

// 获取客源会员列表
export function getMemberLevelList() {
  return authFetch(`/api/crs/umpMember/getGradeInfoList`);
}
