import { fetch, authFetch, transAuthFetch, transFetch } from '@/utils/fetch';

export function login(params) {
  return transFetch(`/api/v1/token/get`, {
    type: 5,
    params,
    method: 'POST',
  });
}

export function loginByPhone(params) {
  return transFetch(`/api/v1/token/getByPhone`, {
    type: 5,
    params,
    method: 'POST',
  });
}
export function getPhoneCode(params) {
  return transFetch(`/api/v1/message/sentMessage`, {
    type: 5,
    params,
    method: 'GET',
  });
}
// 第一次登陆重置密码
export function updatePass(params) {
  // debugger;
  return transAuthFetch(`/api/v1/token/passwordResetByToken`, {
    type: 5,
    params,
    method: 'POST',
  });
}
// 手机号重置密码
export function resetPass(params) {
  // debugger;
  return transFetch(`/api/v1/message/passwordResetByPhone`, {
    type: 5,
    params,
    method: 'POST',
  });
}

export function logout(params) {
  return fetch(`/api/crs/v1/logout`, {
    params,
    method: 'GET',
  });
}

export function getUserInfo(params) {
  // 头shan
  return authFetch(`/api/crs/v1/token/getAccount`, {
    params,
    method: 'POST',
  });
}

export function getCode(params) {
  return authFetch(`/api/crs/v1/message/refreshImgCode`, {
    params,
    method: 'GET',
  });
}

export function getUserMenu(params) {
  return authFetch(`/api/crs/v1/account/token/getMenu`, {
    params,
    method: 'POST',
  });
}

// 校验手机 /api/v1/message/verifyMessage
export function verifyMessage(params) {
  return transFetch(`/api/v1/message/verifyMessage`, {
    params,
    method: 'GET',
    type: 5,
  });
}
