// 两个浮点数求和
export function accAdd(num1, num2) {
  let r1;
  let r2;
  let m;

  try {
    r1 = num1.toString().split('.')[1].length;
  } catch (e) {
    r1 = 0;
  }
  try {
    r2 = num2.toString().split('.')[1].length;
  } catch (e) {
    r2 = 0;
  }
  m = 10 ** Math.max(r1, r2);
  // return (num1*m+num2*m)/m;
  return Math.round(num1 * m + num2 * m) / m;
}

// 两个浮点数相减
export function accSub(num1, num2) {
  let r1;
  let r2;
  let m;
  let n;
  try {
    r1 = num1.toString().split('.')[1].length;
  } catch (e) {
    r1 = 0;
  }
  try {
    r2 = num2.toString().split('.')[1].length;
  } catch (e) {
    r2 = 0;
  }
  m = 10 ** Math.max(r1, r2);
  n = r1 >= r2 ? r1 : r2;
  return (Math.round(num1 * m - num2 * m) / m).toFixed(n);
}

// 两个浮点数相除
export function accDiv(num1, num2) {
  let t1;
  let t2;
  let r1;
  let r2;
  try {
    t1 = num1.toString().split('.')[1].length;
  } catch (e) {
    t1 = 0;
  }
  try {
    t2 = num2.toString().split('.')[1].length;
  } catch (e) {
    t2 = 0;
  }
  r1 = Number(num1.toString().replace('.', ''));
  r2 = Number(num2.toString().replace('.', ''));
  return (r1 / r2) * 10 ** (t2 - t1);
}

// 两个浮点数相乘
export function accMul(num1, num2) {
  let m = 0;
  let s1 = num1.toString();
  let s2 = num2.toString();

  try {
    m += s1.split('.')[1].length;
  } catch (e) {
    console.log(e);
  }
  try {
    m += s2.split('.')[1].length;
  } catch (e) {
    console.log(e);
  }
  return (Number(s1.replace('.', '')) * Number(s2.replace('.', ''))) / 10 ** m;
}

export const hex2rgb = (color, opacity = 1) => {
  // 如果传入是ccddee33，这里还未做兼容后面的33处理，日期：2019-07-09
  if (/^#([0-9a-fA-F]{6}|[0-9a-fA-F]{3})$/.test(color)) {
    let str = color.substr(1); // #ccddee or #cde  to  ccddee or cde
    if (str.length === 3) {
      // cde to ccddee
      str = str
        .split('')
        .map(value => value.repeat(2))
        .join('');
    }
    const resArr = [];
    for (let i = 0; i < 3; i++) {
      // ccddee每次取cc、dd、ee，后面16是进制
      resArr[i] = Number.parseInt(str.substr(i * 2, 2), 16);
    }
    return `rgba(${resArr.toString()},${opacity})`;
  }

  console.error('color should be hex color value like #fff or #ffffff');
  return color;
};
