const Dictionary = {};
export default Dictionary;

/**
 *
 * @param {Array} list 字典数组
 * @returns {Object}  返回key-value字典用于页面显示
 */
function getDicKV(list) {
  return list.reduce((kv, e) => {
    const tmp = kv;
    tmp[e.code] = e.name;
    return tmp;
  }, {});
}

/**
 *
 * @param {Object} kv key-value字典
 * @returns {Array}  返回字典数组
 */
function getDicList(kv) {
  return Object.keys(kv).map(e => ({ name: kv[e], code: (Number.isNaN(+e) && e) || +e }));
}

// 渠道
Dictionary.otaCodeKV = {
  Qunar: '去哪儿',
  Ctrip: '携程',
  Fliggy: '飞猪',
  Elong: '艺龙',
  ElongDirect: '艺龙直连',
  ElongEBK: '艺龙EBK',
  Wechat: '微信',
  Alipay: '支付宝',
  Xiaomi: '小米',
};
Dictionary.otaCode = getDicList(Dictionary.otaCodeKV);

// 对账状态
Dictionary.reconStatusKV = { 0: '待对账', 1: '成功' };
Dictionary.reconStatus = getDicList(Dictionary.reconStatusKV);

// 渠道
Dictionary.summaryStatusKV = { 0: '待汇总', 1: '已汇总', 2: '关闭' };
Dictionary.summaryStatus = getDicList(Dictionary.summaryStatusKV);

// 业务类型
Dictionary.businessType = [
  { code: 1, name: '消费' },
  { code: 2, name: '退款' },
  { code: 3, name: '赔付' },
];
Dictionary.businessTypeKV = getDicKV(Dictionary.businessType);

//
Dictionary.billStatusKV = { 0: '未处理', 1: '成功', 2: '失败', 3: '对账中' };
Dictionary.billStatus = getDicList(Dictionary.billStatusKV);

Dictionary.weeklyStatusKV = { 0: '待确认', 1: '待结算', 2: '待出款', 3: '出款成功' };
Dictionary.weeklyStatus = getDicList(Dictionary.weeklyStatusKV);

Dictionary.adjustStatusKV = { 0: '未发送', 1: '发送成功', 2: '发送失败' };
Dictionary.adjustStatus = getDicList(Dictionary.adjustStatusKV);

Dictionary.withdrawStatusKV = { 0: '待编辑', 1: '待结算', 2: '待出款', 3: '出款成功' };
Dictionary.withdrawStatus = getDicList(Dictionary.withdrawStatusKV);

// 出款管理账单状态
Dictionary.outmoneyManageKV = { 0: '待出款', 1: '出款成功' };
Dictionary.outmoneyManage = getDicList(Dictionary.outmoneyManageKV);

Dictionary.customaryTypeKV = { 1: '商户周结退款', 2: '提现退款' };
Dictionary.customaryType = getDicList(Dictionary.customaryTypeKV);

// 出款管理重处理状态
Dictionary.reprocessKV = { t: '是', f: '否' };
Dictionary.reprocess = getDicList(Dictionary.reprocessKV);

// 商户信息表列表状态
Dictionary.merchantKV = { 0: '不可用', 1: '可用' };
Dictionary.merchant = getDicList(Dictionary.merchantKV);

// 账户类型
Dictionary.accountType = [
  { code: null, name: '全部' },
  { code: 1, name: '结算账户' },
  { code: 2, name: '公司本部账户' },
];

// 账户状态
Dictionary.accountStatus = [
  { code: '', name: '全部' },
  { code: 1, name: '正常' },
  { code: 2, name: '销户' },
];

// 银行流水 方向
Dictionary.transactionType = [{ code: 1, name: '借方' }, { code: 2, name: '贷方' }];

// 匹配状态
Dictionary.matchStatusKV = { 0: 'Y', 1: 'N' };
Dictionary.matchStatus = getDicList(Dictionary.matchStatusKV);

// 银行流水 确认状态
Dictionary.confirmStatusKV = { 0: '待确认', 1: '已确认' };
Dictionary.confirmStatus = getDicList(Dictionary.confirmStatusKV);

// 审核状态
Dictionary.approveStatusKV = { 0: '待审核', 1: '审核通过', 2: '审核拒绝' };
Dictionary.approveStatus = getDicList(Dictionary.approveStatusKV);

// 虚拟账号维护 银行名称
Dictionary.accountBankNameKV = { 0: '中国工商银行', 1: '招商银行' };
Dictionary.accountBankName = getDicList(Dictionary.accountBankNameKV);

// 状态 费用状态
Dictionary.CostStatusKV = {
  0: '待结算',
  1: '部分结算',
  2: '全额结算',
  3: '已确认',
  4: '入账中',
  5: '已入账',
};
Dictionary.CostStatus = getDicList(Dictionary.CostStatusKV);

// spa自动还款  凭证模板配类型
Dictionary.accountEntryTemplateStatusKV = { 0: '不可用', 1: '可用' };
Dictionary.accountEntryTemplateStatus = getDicList(Dictionary.accountEntryTemplateStatusKV);

// 退款 支付渠道
Dictionary.channelCodeKV = { wechat: '微信', alipay: '支付宝', xiaomi: '小米支付' };
Dictionary.channelCode = getDicList(Dictionary.channelCodeKV);

// 退款 状态
Dictionary.refundStatusKV = { 0: '退款中', 1: '退款成功', 2: '退款失败', 3: '待退款' };
Dictionary.refundStatus = getDicList(Dictionary.refundStatusKV);

// 退款 类型
Dictionary.refundTypeKV = { 1: '网银退款', 2: '无需退款' };
Dictionary.refundType = getDicList(Dictionary.refundTypeKV);

// 退款 来源
Dictionary.appCodeKV = {
  PMS_1_0: '旧版PMS',
  'PMS2.0': '新版PMS',
  'CRS1.0': '旧版CRS',
  'CRS2.0': '新版CRS',
  'OYO-APP': '无线APP',
  'OYO-APP-IOS': '苹果端APP',
  'OYO-APP-ANDROID': '安卓端APP',
  OTA: 'OTA直连',
};
Dictionary.appCode = getDicList(Dictionary.appCodeKV);

// 支付-对账单对账-差错处理-渠道
Dictionary.errorHandlingChannelKV = { 1: '支付宝', 2: '微信' };
Dictionary.errorHandlingChannel = getDicList(Dictionary.errorHandlingChannelKV);

// 支付-对账单对账-差错处理-渠道类型
Dictionary.errorHandlingTypeKV = { 0: '渠道多', 1: '系统多', 2: '对账完成' };
Dictionary.errorHandlingType = getDicList(Dictionary.errorHandlingTypeKV);

// 支付-对账单对账-差错处理-渠道状态
Dictionary.errorHandlingStateKV = { 0: '待处理', 1: '已提交', 2: '已退款', 3: '已关闭' };
Dictionary.errorHandlingState = getDicList(Dictionary.errorHandlingStateKV);

// 支付掉单-支付状态
Dictionary.reFundPayStateKV = {
  0: '支付中',
  1: '交易支付成功',
  2: '支付失败',
  3: '待支付',
};
Dictionary.reFundPayState = getDicList(Dictionary.reFundPayStateKV);

// 支付掉单-补单状态
Dictionary.supplementStateKV = { 0: '待补单', 1: '补单成功', 2: '无需补单' };
Dictionary.supplementState = getDicList(Dictionary.supplementStateKV);

// 支付调单 - 支付状态
Dictionary.supplementStatusKV = { 0: '支付中', 1: '交易支付成功', 2: '支付失败', 3: '待付款' };
Dictionary.supplementStatus = getDicList(Dictionary.supplementStatusKV);

// 自动退款处理 - 退款来源
Dictionary.automaticRefundProcessingAppCodeKV = {
  PMS_1_0: '旧版PMS',
  'PMS2.0': '新版PMS',
  'CRS1.0': '旧版CRS',
  'CRS2.0': '新版CRS',
  'OYO-APP': '无线APP',
  'OYO-APP-IOS': '苹果端APP',
  'OYO-APP-ANDROID': '安卓端APP',
  'OYO-APP-APPLET': '小程序',
  OTA: 'OTA直连',
};
Dictionary.automaticRefundProcessingAppCode = getDicList(
  Dictionary.automaticRefundProcessingAppCodeKV
);

// 自动退款处理 - 支付渠道
Dictionary.automaticRefundProcessingChannelCodeKV = {
  alipay: '支付宝',
  wechat: '微信',
  xiaomi: '小米支付',
};
Dictionary.automaticRefundProcessingChannelCode = getDicList(
  Dictionary.automaticRefundProcessingChannelCodeKV
);

// 自动退款处理 - 状态
Dictionary.automaticRefundProcessingrefundStatusKV = {
  0: '退款中',
  1: '退款成功',
  2: '退款失败',
};
Dictionary.automaticRefundProcessingrefundStatus = getDicList(
  Dictionary.automaticRefundProcessingrefundStatusKV
);

// 自动退款处理 - 处理状态
Dictionary.automaticRefundProcessingprocessingStateKV = { 0: '无', 1: '关闭' };
Dictionary.automaticRefundProcessingprocessingState = getDicList(
  Dictionary.automaticRefundProcessingprocessingStateKV
);

// 交易查询-渠道
Dictionary.transactionQueryChannelCodeKV = { alipay: '支付宝', wechat: '微信', xiaomi: '小米支付' };
Dictionary.transactionQueryChannelCode = getDicList(Dictionary.transactionQueryChannelCodeKV);

// // 交易查询-状态
// Dictionary.transactionQueryStatusKV = {
//   0: '支付中',
//   1: '交易支付成功',
//   2: '支付失败',
//   3: '待支付',
//   4: '未付款交易超时关闭，或支付完成后全额退款',
//   5: '交易结束，不可退款',
//   6: '转入退款(微信才有)',
// };
// Dictionary.transactionQueryStatus = getDicList(Dictionary.transactionQueryStatusKV);

// 交易查询-状态 -退款
Dictionary.transactionQueryRefundStatusKV = {
  0: '退款中',
  1: '退款成功',
  2: '退款失败',
  3: '待退款',
};
Dictionary.transactionQueryStatus = getDicList(Dictionary.transactionQueryRefundStatusKV);

// 交易查询-状态 -支付
Dictionary.transactionQueryStatusKV = {
  0: '支付中',
  1: '交易支付成功',
  2: '支付失败',
  3: '待付款',
};
Dictionary.transactionQueryStatus = getDicList(Dictionary.transactionQueryStatusKV);

// 交易查询-类型
Dictionary.transactionQueryPayTypeKV = { 0: '全部', 1: '支付', 2: '退款' };
Dictionary.transactionQueryPayType = getDicList(Dictionary.transactionQueryPayTypeKV);

// 对账结果查询-对账状态
Dictionary.settlementListStatusKV = { 1: '支付宝', 2: '微信', 3: '小米' };
Dictionary.settlementListStatus = getDicList(Dictionary.settlementListStatusKV);

// 对账结果查询-交易类型
Dictionary.transactionModeStatusKV = { 1: '支付', 2: '退款' };
Dictionary.transactionModeStatus = getDicList(Dictionary.transactionModeStatusKV);

// 商户结算-渠道
Dictionary.settlementchannelTypeKV = { 1: '支付宝', 2: '微信' };
Dictionary.settlementchannelType = getDicList(Dictionary.settlementchannelTypeKV);

// 商户结算-状态
Dictionary.settlementStatusKV = { 0: '待结算', 1: '已结算', 2: '关闭' };
Dictionary.settlementStatus = getDicList(Dictionary.settlementStatusKV);

// 商户结算-结算状态
Dictionary.settlementOrderStatusKV = {
  0: '待入住',
  1: '在住',
  2: '离店',
  3: '取消',
  4: 'noshow',
  5: 'ownerbooking',
  6: 'blocked',
  7: 'hold',
  8: 'unprocessed',
  9: 'needmanualintervention',
  10: 'needmanualoverbooking',
  11: 'needmanualbulk',
  12: 'SAVED',
};
Dictionary.settlementOrderStatus = getDicList(Dictionary.settlementOrderStatusKV);

// 商户对账单-费率表-状态
Dictionary.scheduleOfRatesKV = {
  'On Hold': 'On Hold',
  Active: 'Active',
  Live: 'Live',
  Blocked: 'Blocked',
};
Dictionary.scheduleOfRates = getDicList(Dictionary.scheduleOfRatesKV);

// 商户对账单-过滤商户信息列表-状态
Dictionary.filterMerchantInformationListStatusKV = {
  'On Hold': 'On Hold',
  Active: 'Active',
  Live: 'Live',
  Blocked: 'Blocked',
};
Dictionary.filterMerchantInformationListStatus = getDicList(
  Dictionary.filterMerchantInformationListStatusKV
);

// 账期对账报表下载 - 文件类型
Dictionary.accountsDataReportTypeKV = {
  汇总表: '汇总表',
  明细表: '明细表',
  对账单: '对账单',
  source维度汇总表: 'source维度汇总表',
};
Dictionary.accountsDataReportType = getDicList(Dictionary.accountsDataReportTypeKV);
// 账期数据-状态
Dictionary.accountDataOrderStatusKV = {
  0: 'Confirm Booking',
  1: 'Checked In',
  2: 'Checked Out',
  3: 'Cancelled Booking',
  4: 'No Show',
  5: 'Owner Booking',
  6: 'Blocked',
  7: 'Hold',
  8: 'Unprocessed',
  9: 'Need Manual Intervention',
  10: 'Need Manual Overbooking',
  11: 'Need Manual Bulk',
  12: 'Saved',
  13: 'Void Booking',
};
Dictionary.accountDataOrderStatus = getDicList(Dictionary.accountDataOrderStatusKV);

// 账期数据-区域
Dictionary.accountDataAreaKV = {
  1: 'Central China',
  2: 'East China',
  3: 'Expansion M1B SC',
  4: 'Expansion M1B West',
  5: 'Expansion M1B North',
  6: 'M1B North',
  7: 'M1B SC',
  8: 'M1B West',
  9: 'North China',
  10: 'North East China',
  11: 'NorthWest China',
  12: 'South Central China',
  13: 'South China',
  14: 'SouthWest China',
};
Dictionary.accountDataArea = getDicList(Dictionary.accountDataAreaKV);

// 账期数据-订单渠道
Dictionary.accountDataChannelKV = {
  0: 'Direct',
  1: 'Online Travel Agent',
  2: 'Corporate',
  3: 'Extended Booking',
  4: 'Walk In',
  5: 'Website Enquiry',
  6: 'Email',
  7: 'Just-Dial',
  8: 'Travel Agent',
  9: 'Google Ads',
  10: 'Affiliate',
  11: 'Facebook',
  12: 'Twitter',
  13: 'Block',
  14: 'Owner',
  15: 'Referral',
  16: 'Other',
  17: 'Web Booking',
  18: 'Sulekha',
  19: 'Classifieds',
  20: 'Campus',
  21: 'Mobile Web Booking',
  22: 'IOS App',
  23: 'Android App',
  24: 'Holidayiq',
  25: 'Weddings',
  26: 'Events',
  27: 'Medicals',
  28: 'email-marketing',
  29: 'Bulk Lead',
  30: 'CC Lead',
  31: 'Missed call',
  32: 'Web_TravelAgent',
  33: 'Web_Corporate',
  34: 'Studio Channels',
  35: 'Owner TA',
  36: '3P',
  37: 'IRCTC',
  38: 'Windows App',
  39: 'Airport',
  40: 'Property Manager',
  41: 'Railway Station Agent',
  42: 'Bus Travel Agent',
  43: 'Wedding Planner Agent',
  44: 'Medical Tourism',
  45: 'Auto Agent',
  46: 'Cab Agent',
  47: 'Owner Engagement',
  48: 'Just-Dial-Zo',
  49: 'Rediff',
  50: 'CorporateGuest',
  51: 'Counter',
  52: 'Sales Agent',
  53: 'SME',
  54: 'Central Leads',
  55: 'IRCTC_TA',
  56: 'Just-Dial_Basic',
  57: 'Package',
  58: 'OYO For Business',
  59: 'Retail Partner',
  60: 'OYO For Business Packages',
  61: 'Packages',
  62: 'Buyback',
  63: 'Migrated',
  64: 'Migrated_OTA',
  65: 'Charters',
  66: 'Promoter',
  67: 'WeChatMiniApp',
  68: 'Medical',
};
Dictionary.accountDataChannel = getDicList(Dictionary.accountDataChannelKV);

// 账期数据-渠道名称
Dictionary.accountDataChannelNameKV = {
  0: 'Affordable hotels and resorts',
  1: 'Agoda',
  2: 'Airbnb',
  3: 'American Airlines Advantage',
  4: 'Asia Tech',
  5: 'Axis',
  6: 'Bonton Holidays',
  7: 'Booking.com',
  8: 'BOOKINGJINI',
  9: 'Checkin Room',
  10: 'ChinaOnline',
  11: 'Cleartrip',
  12: 'Ctrip',
  13: 'Desiya',
  14: 'Eglobe',
  15: 'Elong',
  16: 'Expedia',
  17: 'ezeego1',
  18: 'FindMyStay',
  19: 'Fliggy.com',
  20: 'GoIbibo',
  21: 'GoMMT',
  22: 'Goomo',
  23: 'Groupon',
  24: 'Groupon Corporate',
  25: 'Hostel World',
  26: 'Hotel Beds',
  27: 'HotelsAroundU',
  28: 'HRS',
  29: 'JL Tours',
  30: 'Lets Go Holiday',
  31: 'Little',
  32: 'MakeMyTrip',
  33: 'Master',
  34: 'Meituan',
  35: 'Mobikwik',
  36: 'Musafir.com',
  37: 'NearBuy',
  38: 'Paytm.com',
  39: 'Pegipegi',
  40: 'Qunar',
  41: 'RedBus',
  42: 'Right Stay',
  43: 'RoomLion',
  44: 'Room On Call',
  45: 'Roomorama',
  46: 'RoomsTonite',
  47: 'SavvyMob',
  48: 'Simplotel',
  49: 'Stay Uncle',
  50: 'Stayzilla',
  51: 'Travelguru',
  52: 'TraveLoka',
  53: 'Travelport',
  54: 'Tripclues',
  55: 'VIA',
  56: 'Vista Rooms',
  57: 'XchangeBE',
  58: 'YouZan',
  59: 'Yun Zhang Gui',
  60: 'ZEN Rooms',
  61: 'Zhiketong',
  62: 'ZULU',
};
Dictionary.accountDataChannelName = getDicList(Dictionary.accountDataChannelNameKV);

// 账期数据-支付方式
Dictionary.accountDataPaytypeKV = {
  0: 'Cash at Hotel',
  1: 'Cheque at Hotel',
  2: 'Hotel EDC Machine',
  3: 'OYO EDC Machine',
  4: 'Bill To Company',
  5: 'Net Banking',
  6: 'Complimentary Stay',
  7: 'Bank Transfer',
  8: 'OTA',
  9: 'Citrus-Pay',
  10: 'Zaakpay',
  11: 'CC Avenue',
  12: 'Gharpay',
  13: 'Cash - OYO Executive',
  14: 'None',
  15: 'payu',
  16: 'oyo_wallet',
  17: 'Guest not paid',
  18: 'paytm',
  19: 'ola_money',
  20: 'TA',
  21: 'mobikwik_wallet',
  22: 'Ezetap',
  23: 'VendorCredit',
  24: 'Cash Collected By Third Party',
  25: 'Already Paid',
  26: 'paypal',
  27: 'NEFT',
  28: 'my_oxigen',
  29: 'paytm_seamless_wallet',
  30: 'payzapp',
  31: 'oyo_auto_prepaid',
  32: 'freecharge',
  33: 'MM EDC Machine',
  34: 'Bill To Company Alcott',
  35: 'Owner OTA Payment',
  36: 'oyo_tds',
  37: 'alcott_tds',
  38: 'Paytm Offline',
  39: 'csc',
  40: 'Package Settlement',
  41: 'marketing_fund',
  42: 'oyo_special_discount',
  43: 'nabil',
};
Dictionary.accountDataPaytype = getDicList(Dictionary.accountDataPaytypeKV);

// 账期数据-支付类型
Dictionary.accountDataPaykindKV = {
  0: 'Prepaid',
  1: 'Pay At Hotel',
  2: 'Prepaid + Pay At Hotel',
  3: 'Barter Deal',
};
Dictionary.accountDataPaykind = getDicList(Dictionary.accountDataPaykindKV);

// 账期数据-key source
Dictionary.accountDataKeysourceKV = {
  0: 'KS_CRS',
  1: 'KS_Website',
  2: 'KS_Android',
  3: 'KS_IOS',
  4: 'KS_PropertyManager',
  5: 'KS_Android_App_Irctc',
  6: 'KS_Web_Irctc',
  7: 'KS_Mobile_Web_Irctc',
  8: 'KS_CRS_V2',
  9: 'KS_MM_Demand',
  10: 'KS_Mobile_Web',
  11: 'KS_Partner_App',
  12: 'KS_Windows',
  13: 'KS_GMAPP',
  14: 'KS_Axis_Rooms',
  15: 'KS_Wechat_Mini_App',
  16: 'KS_TotalHolidays',
};
Dictionary.accountDataKeysource = getDicList(Dictionary.accountDataKeysourceKV);

// 余额录入-优惠券类型
Dictionary.categoryKV = {
  1: '现金券',
  2: '折扣券',
  3: '免房券',
};
Dictionary.category = getDicList(Dictionary.categoryKV);
// 中信银行转账-状态
Dictionary.citicBankStatusKV = {
  1: '待处理',
  2: '处理中',
  3: '成功',
  4: '失败',
  5: '异常',
  6: '关闭',
};
Dictionary.citicBankStatus = getDicList(Dictionary.citicBankStatusKV);

// 中信银行转账-审批状态
Dictionary.citicBankApproveStatusKV = {
  0: '待审核',
  1: '审核通过',
  2: '审核拒绝',
};
Dictionary.citicBankApproveStatus = getDicList(Dictionary.citicBankApproveStatusKV);

// 出款对账 资金对账
Dictionary.reconciliationOfFundsKV = {
  0: '待确认',
  1: '已确认',
};
Dictionary.reconciliationOfFunds = getDicList(Dictionary.reconciliationOfFundsKV);

// 费用管理 -费用对账 -区域
Dictionary.queryCostByParamsAreaKV = {
  0: '未知',
  1: 'North China',
  2: 'NorthWest China',
  3: 'North East China',
  4: 'SouthWest China',
  5: 'South Central China',
  6: 'Expansion M1B',
  7: 'South China',
  8: 'East China',
};
Dictionary.queryCostByParamsArea = getDicList(Dictionary.queryCostByParamsAreaKV);

// 费用管理 -费用对账 -状态
Dictionary.queryCostByParamsStatusKV = {
  0: '待结算',
  1: '部分结算',
  2: '全额结算',
  3: '已确认',
  4: '入账中',
  5: '已入账',
};
Dictionary.queryCostByParamsStatus = getDicList(Dictionary.queryCostByParamsStatusKV);

// 费用管理 -费用对账 -调整
Dictionary.adjustTypesKV = {
  0: '费率调整',
  1: '订单调整',
  2: '其他',
};
Dictionary.adjustTypes = getDicList(Dictionary.adjustTypesKV);
