import { message } from 'antd';

/**
 * 优化antd的message 重复的提示3秒内不会重复出现
 */

const messageFn = [
  {
    name: 'error',
    fn: message.error,
  },
  {
    name: 'success',
    fn: message.success,
  },
  {
    name: 'warn',
    fn: message.warn,
  },
  {
    name: 'info',
    fn: message.info,
  },
];

messageFn.forEach(item => {
  message[item.name] = (function() {
    const textList = [];

    return function(content, duration = 3, onClose) {
      if (textList.includes(content)) return;

      textList.push(content);

      item.fn(content, duration, () => {
        onClose && onClose();
        const index = textList.indexOf(content);

        textList.splice(index, 1);
      });
    };
  })();
});
