import { message } from 'antd';
// export const SUCCESSCODE = '200'
export const SUCCESSCODE = '000';
export const empty = Object.create(null);

export const isSuccess = status => status === SUCCESSCODE || status === '2900';
export const safeCall = (status, msg, fn) => {
  if (isSuccess(status)) {
    return fn();
  }
  message.error(msg);

  return empty;
};

export const convertToStandardCode = code => {
  let status;
  switch (code) {
    case '000':
      status = SUCCESSCODE;
      break;
    default:
      status = code;
  }
  return status;
};
