import { PHONE, BANKCARDID, CARDID, CHINANAME } from '@/constant/reg';

const RULES = {
  name: [
    {
      required: true,
      message: '请输入名字',
    },
  ],
  phone: [
    {
      required: true,
      whitespace: true,
      // message: '联系电话必填',
      validator: (rule, value, callback) => {
        const isPhone = PHONE.test(value);
        isPhone ? callback() : callback('请输入正确格式的11位手机号码');
      },
    },
  ],
  date: [{ type: 'object', required: true, message: '请选择时间' }],
  rangeDate: [{ type: 'array', required: true, message: '请选择时间范围' }],
  paymentType: [{ required: true, message: '请选择支付类型' }],
  roomNum: [{ required: true, message: '请输入间数' }],
  amount: [{ required: true, message: '请输入支付金额' }],
  bookingRoomPrice: [{ required: true, message: '请输入金额' }],
  bankCardId: [
    {
      required: true,
      massage: '银行卡号不对',
      validator: (rule, value, callback) => {
        const bankCardId = BANKCARDID.test(value);
        bankCardId ? callback() : callback('请输入正确格式的银行卡号');
      },
    },
  ],
  cardId: [
    {
      required: false,
      massage: '身份证号不对',
      validator: (rule, value, callback) => {
        const cardId = CARDID.test(value);
        cardId ? callback() : callback('请输入正确格式的身份证号');
      },
    },
  ],
  hotelName: [
    {
      required: true,
      massage: '酒店或公司不能为空',
      validator: (rule, value, callback) => {
        value ? callback() : callback('请输入酒店或公司');
      },
    },
  ],
  chinaName: [
    {
      required: true,
      massage: '姓名格式不对',
      validator: (rule, value, callback) => {
        const chinaName = CHINANAME.test(value);
        chinaName ? callback() : callback('请输入正确格式的姓名');
      },
    },
  ],
};
export { RULES };
