const gulp = require("gulp");
const path = require("path");
const minimist = require("minimist");
const fileUtil = require("../../utils/files");
const gulpSequence = require("gulp-sequence");
const defaultTask = require("./defaultTask");
const staticTask = require("./staticTask");
const umiSsrTask = require("./umiSsrTask");
const gulpArgv = minimist(process.argv.slice(2), {});

// 项目根目录
const cliPath = path.join(__dirname, "../../");
// 基础目录
const templatesPath = path.join(cliPath, "templates");
// dist目录 根据用户输入的项目名生成
const processPath = process.cwd(); // path.resolve(process.cwd(), gulpArgv.name);
// 防止该目录下已经存在重名 重复会依次-1-2堆叠
const projectName = fileUtil.getFileName(processPath, gulpArgv.name);
// 项目路径
const projetPath = path.join(processPath, projectName);

defaultTask({ gulpArgv, projectName, processPath, projetPath, templatesPath });
staticTask({ gulpArgv, projetPath, templatesPath });
umiSsrTask({ gulpArgv, templatesPath, projetPath });

gulp.task(
  "static",
  gulpSequence(
    "cloneGit",
    "staticNodeServices",
    "handlerPackageJson",
    "handlerDockerignore",
    "handlerStaticDist",
    "handlerGitignore",
    ["installWeb", "installNode"]
  )
);

gulp.task(
  "umiSsr",
  gulpSequence(
    "cloneGit",
    "umiSsrNodeServices",
    "handlerPackageJson",
    "handlerDockerignore",
    "handlerSsrDist",
    "handlerGitignore",
    ["installWeb", "installNode"]
  )
);

gulp.task("vueSsr", function() {
  console.log("sorry, 暂不支持 等待后续更新!!!");
});
