const gulp = require("gulp");
const path = require("path");
const minimist = require("minimist");
const fileUtil = require("../../utils/files");
const rename = require("gulp-rename");
const replace = require("gulp-replace");
const gulpSequence = require("gulp-sequence");
const shell = require("shelljs");
const gulpArgv = minimist(process.argv.slice(2), {});

module.exports = function({ gulpArgv, templatesPath, projetPath }) {
  const templateName =
    gulpArgv.history === "hash"
      ? "static-hash-node-services"
      : "static-browser-node-services";

  gulp.task("staticNodeServices", function(cb) {
    gulp
      .src(path.join(templatesPath, templateName, "**"))
      .pipe(gulp.dest(path.join(projetPath, "node-services")))
      .on("end", function() {
        cb();
      });
  });

  gulp.task("handlerStaticDist", function(cb) {
    gulp
      .src(path.join(projetPath, "node-services", "index.js"))
      .pipe(replace(/{{{ dist }}}/g, gulpArgv.distPath))
      .pipe(gulp.dest(path.join(projetPath, "node-services")))
      .on("end", function() {
        cb();
      });
  });
};
