const gulp = require("gulp");
const path = require("path");
const replace = require("gulp-replace");

module.exports = function({ gulpArgv, templatesPath, projetPath }) {
  gulp.task("umiSsrNodeServices", function(cb) {
    gulp
      .src(path.join(templatesPath, `umiSsr-browser-node-services`, "**"))
      .pipe(gulp.dest(path.join(projetPath, "node-services")))
      .on("end", function() {
        cb();
      });
  });

  gulp.task("handlerSsrDist", function(cb) {
    gulp
      .src(path.join(projetPath, "node-services", "index.js"))
      .pipe(replace(/{{{ dist }}}/g, gulpArgv.distPath))
      .pipe(gulp.dest(path.join(projetPath, "node-services")))
      .on("end", function() {
        gulp
          .src(
            path.join(projetPath, "node-services/Routers/ssrRender", "index.js")
          )
          .pipe(replace(/{{{ dist }}}/g, gulpArgv.distPath))
          .pipe(
            gulp.dest(path.join(projetPath, "node-services/Routers/ssrRender"))
          )
          .on("end", function() {
            cb();
          });
      });
  });
};
