const Router = require('koa-router');
const StaticRender = require('./staticRender/index.js');
const Ping = require('./ping/index.js');

const routerList = [Ping];

function apiRouters(app) {
  const router = new Router();

  routerList.forEach(RouterModule => {
    new RouterModule(router).install();
  });

  app.use(router.routes()).use(router.allowedMethods());
}

function staticRenderRouter(app) {
  const router = new Router();

  new StaticRender(router).install();

  app.use(router.routes()).use(router.allowedMethods());
}

module.exports = {
  apiRouters,
  staticRenderRouter,
};
