require("regenerator-runtime/runtime");
require("./utils/setGlobal");
const Koa = require("koa");
const path = require("path");
const staticRouter = require("koa-static-router");
const views = require("koa-views");
const { historyApiFallback } = require("koa2-connect-history-api-fallback");
const { apiRouters, staticRenderRouter } = require("./Routers/index");
const createProxy = require("./utils/proxy");
const logger = require("./utils/logger");

const app = new Koa();

// 应用级别错误
app.on("error", err => {
  logger.error(err);
});

// 路由
apiRouters(app);

// 代理转发
createProxy(app);

// 渲染静态资源html
app.use(views(path.join(__dirname, "{{{ dist }}}")));

app.use(
  historyApiFallback({
    verbose: true,

    index: "/"
  })
);

// 静态资源
app.use(
  staticRouter([
    {
      dir: "./static",
      router: "/"
    },
    {
      dir: "./{{{ dist }}}/static",
      router: "/static"
    },
    {
      dir: "./{{{ dist }}}",
      router: "/"
    }
  ])
);

staticRenderRouter(app);

app.listen(5000, () => {
  console.log("server listening on 5000");
});
