const devProxyConfig = require('../configs/dev.config');
const testProxyConfig = require('../configs/test.config');
const uatProxyConfig = require('../configs/uat.config');
const prodProxyConfig = require('../configs/prod.config');

function getProxyConfig(SERVICE_ENV) {
  if (typeof SERVICE_ENV !== 'string') {
    // 准备报错机制
    return {};
  }

  const env = SERVICE_ENV.toUpperCase();
  let config = {};

  switch (env) {
    case 'DEV':
      config = devProxyConfig;
      break;
    case 'TEST':
      config = testProxyConfig;
      break;
    case 'UAT':
      config = uatProxyConfig;
      break;
    case 'PROD':
      config = prodProxyConfig;
      break;
    default:
      config = {};
  }

  return config.proxyConfig || {};
}

module.exports = getProxyConfig;
