require("regenerator-runtime/runtime");
require("./utils/setGlobal");
const Koa = require("koa");
const path = require("path");
const staticRouter = require("koa-static-router");
const views = require("koa-views");
const Routers = require("./Routers/index");
const createProxy = require("./utils/proxy");
const logger = require("./utils/logger");

const app = new Koa();

// 应用级别错误
app.on("error", err => {
  logger.error(err);
});

// 渲染静态资源html
app.use(views(path.join(__dirname, "{{{ dist }}}")));

// 静态资源
app.use(
  staticRouter([
    {
      dir: "./static",
      router: "/"
    },
    {
      dir: "./{{{ dist }}}/static",
      router: "/static"
    },
    {
      dir: "./{{{ dist }}}",
      router: "/"
    }
  ])
);

// app.use(
//   koaBody({
//     multipart: true,
//   })
// );

// 代理转发
createProxy(app);

// 路由
Routers(app);

app.listen(5000, () => {
  console.log("server listening on 5000");
});
