require("regenerator-runtime/runtime");
require("./utils/setGlobal");
const Koa = require("koa");
const staticRouter = require("koa-static-router");
const koaBody = require("koa-body");
const Routers = require("./Routers/index");
const createProxy = require("./utils/proxy");
const logger = require("./utils/logger");

const app = new Koa();

// 应用级别错误
app.on("error", err => {
  logger.error(err);
});

// 静态资源
app.use(
  staticRouter([
    {
      dir: "./static",
      router: "/"
    },
    {
      dir: "./{{{ dist }}}/static",
      router: "/static"
    },
    {
      dir: "./{{{ dist }}}",
      router: "/"
    }
  ])
);

app.use(koaBody());

// 代理转发
createProxy(app);

// 路由
Routers(app);

app.listen(5000, () => {
  console.log("server listening on 5000");
});
